package com.ruoyi.common.enums;

/**
 * 模板消息枚举
 *
 * @author JiangYuQi
 */
public enum MessageTypeEnum {

    AQYHZG("10", "安全隐患整改"),
    ZLYHZG("20", "质量隐患整改"),
    CSCLSP("30", "实测实量审批"),
    JPYSSP("40", "举牌验收审批"),
    CLFYSP("50", "材料封样审批"),
    QYFSSP("60", "取样复试审批"),
    GCSPCSBL("70", "办理工程审批超时提醒"),
    GCSPCSCS("80", "抄送工程审批超时提醒"),
    YHZGCSGZ("90", "隐患整改超时通知"),
    YHFJCSGZ("100", "隐患复检超时通知"),
    LZYJSP("110", "劳资预警审批"),
    LZYJCSTZ("120", "劳资预警审批超时"),
    GCGNJY("130", "工程功能检验审批");

    //工作流审批由ProcDefKey组成
    private final String code;
    private final String name;

    MessageTypeEnum(String code, String name)
    {
        this.code = code;
        this.name = name;
    }

    public String getCode()
    {
        return code;
    }

    public String getName()
    {
        return name;
    }

    public static String getYHPCLX(Long infoType){
        if(infoType==0){
            return MessageTypeEnum.AQYHZG.code;
        }else{
            return MessageTypeEnum.ZLYHZG.code;
        }
    }
}
