package com.ruoyi.flowable.service;

import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.system.domain.FlowTaskEntity;

import java.util.List;
import java.util.Map;

/**
 * @author JiangYuQi
 * @date 2021-04-03 14:41
 */
public interface IFlowBusinessKeyService {

    /**
     * 根据条件查询所有流程任务
     * @param flowTaskEntity
     * @return
     */
    public List<FlowTaskEntity> selectAllFlowTaskByParams(FlowTaskEntity flowTaskEntity);

    /**
     * 根据条件查询流程任务
     * @param procInsId
     * @return
     */
    public FlowTaskEntity findFlowTaskByProcInsId(String procInsId);

    /**
     * 查询项目信息
     * @param proId
     * @return
     */
    public Map<String,Object> selectSurProjectById(Long proId);

    /**
     * 根据条件统计所有流任务
     * @param flowTaskEntity
     * @return
     */
    public Map<String,Object> quueryCount(FlowTaskEntity flowTaskEntity);

    /**
     * 根据条件流程Id查询操作日志
     * @param procInsId
     * @return
     */
    public List<Map<String, Object>> selectCommentByProcInsId(String procInsId);

    /**
     * 根据条件流程Id查询操作日志
     * @param procInsId
     * @return
     */
    public Map<String, Object> selectLastCommentByProcInsId(String procInsId);

    /**
     * 根据流程Id查询表单数据
     * @param procInsId
     * @return
     */
    public Map<String, Object> selectFormDatasByProcInsId(String procInsId);

    /**
     * 查询我的代办任务
     * @param flowTaskEntity
     * @return
     */
    public List<Map<String, Object>> selectMyAwaitFlowTask(FlowTaskEntity flowTaskEntity);


    /**
     * 根据条件查询我的代办分组数量统计
     * @param flowTaskEntity
     * @return
     */
    public List<Map<String, Object>> findAwaitCountGroupByCategory(FlowTaskEntity flowTaskEntity);

    /**
     * 查询我的已办任务
     * @param flowTaskEntity
     * @return
     */
    public List<Map<String, Object>> selectMyFinishedFlowTask(FlowTaskEntity flowTaskEntity);

    public  List<FlowTaskEntity> groupByCategory(FlowTaskEntity where);

    public List<FlowTaskEntity> groupByUnit(FlowTaskEntity where);

    public List<FlowTaskEntity> listByUnit(FlowTaskEntity where);

    public List<FlowTaskEntity> listByState(FlowTaskEntity where);

    public List<FlowTaskEntity> groupByUnitTotal(FlowTaskEntity where);

    public List<FlowTaskEntity> groupByUnitFinish(FlowTaskEntity where);

    public List<FlowTaskEntity> groupByProject(long deptId,String proType);

    /**
     * 根据条件查询安全类作业工作流列表
     * @param flowTaskEntity
     * @return
     */
    public List<FlowTaskEntity> findSafetyWorkList(FlowTaskEntity flowTaskEntity);

    public List<FlowTaskEntity> listByCategory(FlowTaskEntity where);

    /**
     * 根据条件查询流程用户
     * @param businessKey 流程归属表单
     * @param candidateUsers 办理用户列表
     * @param candidateGroups 办理角色列表
     * @return
     */
    public List<SysUser> findFlowTaskUsers(String businessKey, List<String> candidateUsers, List<String> candidateGroups);

    /**
     *  工程管理-分包单位占比
     * @param where
     * @return
     */
    public List<FlowTaskEntity> groupFlowBySubDeptType(FlowTaskEntity where);
    /**
     *  工程管理-分包单位资质审批明细
     * @param where
     * @return
     */
    public List<FlowTaskEntity> listFlowBySubDeptType(FlowTaskEntity where);
}
