package com.ruoyi.quartz.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 基坑监测-南方测绘-报警信息对象 dev_pitmonit_southsmos_alarm
 * 
 * @author ruoyi
 * @date 2024-08-08
 */
public class DevPitmonitSouthsmosAlarm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 配置ID */
    @Excel(name = "配置ID")
    private Long cfgId;

    /** 服务端ID */
    @Excel(name = "服务端ID")
    private Long srvId;

    /** 该条报警信息的一个描述 */
    @Excel(name = "该条报警信息的一个描述")
    private String alarmInfo;

    /** 产生报警的来源，格式：点名-监测分项名 */
    @Excel(name = "产生报警的来源，格式：点名-监测分项名")
    private String alarmSource;

    /** 次产生报警的时间（暂时没用上) */
    @Excel(name = "次产生报警的时间", readConverterExp = "次产生报警的时间（暂时没用上)")
    private Date gmtAlarm;

    /** 报警时间，如果数据回落至正常范围或被处理，则报警结束 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "报警时间，如果数据回落至正常范围或被处理，则报警结束", width = 30, dateFormat = "yyyy-MM-dd")
    private Date gmtAlarmOver;

    /** 开始后第一次产生报警的时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "开始后第一次产生报警的时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date gmtAlarmStart;

    /** 数据库记录创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "数据库记录创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date gmtCreate;

    /** 报警更新时间，该报警每产生一次都会更新该时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "报警更新时间，该报警每产生一次都会更新该时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date gmtModified;

    /** 报警所处最高级别，1：超预警，2：超报警，3：超控制 */
    @Excel(name = "报警所处最高级别，1：超预警，2：超报警，3：超控制")
    private Long level;

    /** 监测项id */
    @Excel(name = "监测项id")
    private Long meId;

    /** 监测项名称 */
    @Excel(name = "监测项名称")
    private String meName;

    /** 监测分项id */
    @Excel(name = "监测分项id")
    private Long monitorItemId;

    /** 报警产生次数，如果报警来源一样，类型一样，则认为是同一条报警，多次产生也只会累加次数 */
    @Excel(name = "报警产生次数，如果报警来源一样，类型一样，则认为是同一条报警，多次产生也只会累加次数")
    private Long numbers;

    /** 报警处理结果 */
    @Excel(name = "报警处理结果")
    private String result;

    /** 处理图片地址 */
    @Excel(name = "处理图片地址")
    private String resultUrl;

    /** 报警测点id */
    @Excel(name = "报警测点id")
    private Long spId;

    /** 报警测点名 */
    @Excel(name = "报警测点名")
    private String spName;

    /** 处理人 */
    @Excel(name = "处理人")
    private String staff;

    /** 处理电话 */
    @Excel(name = "处理电话")
    private String staffPhone;

    /** 报警状态：实时、历史，处理过的报警信息将变为历史，不再返回 */
    @Excel(name = "报警状态：实时、历史，处理过的报警信息将变为历史，不再返回")
    private String status;

    /** 报警工程id */
    @Excel(name = "报警工程id")
    private Long structureId;

    /** 报警工程名 */
    @Excel(name = "报警工程名")
    private String structureName;

    /** 该警最高级别设置的阈值 */
    @Excel(name = "该警最高级别设置的阈值")
    private String threshold;

    /** 类型：数据异常、设备异常，数据报警都是数据异常 */
    @Excel(name = "类型：数据异常、设备异常，数据报警都是数据异常")
    private String type;

    /** 判断的标准：测量值、单次变化量、累计变化量、变化速率 */
    @Excel(name = "判断的标准：测量值、单次变化量、累计变化量、变化速率")
    private String variety;

    /** 状态 */
    @Excel(name = "状态")
    private Long state;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCfgId(Long cfgId) 
    {
        this.cfgId = cfgId;
    }

    public Long getCfgId() 
    {
        return cfgId;
    }
    public void setSrvId(Long srvId) 
    {
        this.srvId = srvId;
    }

    public Long getSrvId() 
    {
        return srvId;
    }
    public void setAlarmInfo(String alarmInfo) 
    {
        this.alarmInfo = alarmInfo;
    }

    public String getAlarmInfo() 
    {
        return alarmInfo;
    }
    public void setAlarmSource(String alarmSource) 
    {
        this.alarmSource = alarmSource;
    }

    public String getAlarmSource() 
    {
        return alarmSource;
    }
    public void setGmtAlarm(Date gmtAlarm) 
    {
        this.gmtAlarm = gmtAlarm;
    }

    public Date getGmtAlarm() 
    {
        return gmtAlarm;
    }
    public void setGmtAlarmOver(Date gmtAlarmOver) 
    {
        this.gmtAlarmOver = gmtAlarmOver;
    }

    public Date getGmtAlarmOver() 
    {
        return gmtAlarmOver;
    }
    public void setGmtAlarmStart(Date gmtAlarmStart) 
    {
        this.gmtAlarmStart = gmtAlarmStart;
    }

    public Date getGmtAlarmStart() 
    {
        return gmtAlarmStart;
    }
    public void setGmtCreate(Date gmtCreate) 
    {
        this.gmtCreate = gmtCreate;
    }

    public Date getGmtCreate() 
    {
        return gmtCreate;
    }
    public void setGmtModified(Date gmtModified) 
    {
        this.gmtModified = gmtModified;
    }

    public Date getGmtModified() 
    {
        return gmtModified;
    }
    public void setLevel(Long level) 
    {
        this.level = level;
    }

    public Long getLevel() 
    {
        return level;
    }
    public void setMeId(Long meId) 
    {
        this.meId = meId;
    }

    public Long getMeId() 
    {
        return meId;
    }
    public void setMeName(String meName) 
    {
        this.meName = meName;
    }

    public String getMeName() 
    {
        return meName;
    }
    public void setMonitorItemId(Long monitorItemId) 
    {
        this.monitorItemId = monitorItemId;
    }

    public Long getMonitorItemId() 
    {
        return monitorItemId;
    }
    public void setNumbers(Long numbers) 
    {
        this.numbers = numbers;
    }

    public Long getNumbers() 
    {
        return numbers;
    }
    public void setResult(String result) 
    {
        this.result = result;
    }

    public String getResult() 
    {
        return result;
    }
    public void setResultUrl(String resultUrl) 
    {
        this.resultUrl = resultUrl;
    }

    public String getResultUrl() 
    {
        return resultUrl;
    }
    public void setSpId(Long spId) 
    {
        this.spId = spId;
    }

    public Long getSpId() 
    {
        return spId;
    }
    public void setSpName(String spName) 
    {
        this.spName = spName;
    }

    public String getSpName() 
    {
        return spName;
    }
    public void setStaff(String staff) 
    {
        this.staff = staff;
    }

    public String getStaff() 
    {
        return staff;
    }
    public void setStaffPhone(String staffPhone) 
    {
        this.staffPhone = staffPhone;
    }

    public String getStaffPhone() 
    {
        return staffPhone;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setStructureId(Long structureId) 
    {
        this.structureId = structureId;
    }

    public Long getStructureId() 
    {
        return structureId;
    }
    public void setStructureName(String structureName) 
    {
        this.structureName = structureName;
    }

    public String getStructureName() 
    {
        return structureName;
    }
    public void setThreshold(String threshold) 
    {
        this.threshold = threshold;
    }

    public String getThreshold() 
    {
        return threshold;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setVariety(String variety) 
    {
        this.variety = variety;
    }

    public String getVariety() 
    {
        return variety;
    }
    public void setState(Long state) 
    {
        this.state = state;
    }

    public Long getState() 
    {
        return state;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("cfgId", getCfgId())
            .append("srvId", getSrvId())
            .append("alarmInfo", getAlarmInfo())
            .append("alarmSource", getAlarmSource())
            .append("gmtAlarm", getGmtAlarm())
            .append("gmtAlarmOver", getGmtAlarmOver())
            .append("gmtAlarmStart", getGmtAlarmStart())
            .append("gmtCreate", getGmtCreate())
            .append("gmtModified", getGmtModified())
            .append("level", getLevel())
            .append("meId", getMeId())
            .append("meName", getMeName())
            .append("monitorItemId", getMonitorItemId())
            .append("numbers", getNumbers())
            .append("result", getResult())
            .append("resultUrl", getResultUrl())
            .append("spId", getSpId())
            .append("spName", getSpName())
            .append("staff", getStaff())
            .append("staffPhone", getStaffPhone())
            .append("status", getStatus())
            .append("structureId", getStructureId())
            .append("structureName", getStructureName())
            .append("threshold", getThreshold())
            .append("type", getType())
            .append("variety", getVariety())
            .append("state", getState())
            .append("remark", getRemark())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
