package com.ruoyi.quartz.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.alibaba.fastjson2.JSONObject;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 基坑监测-南方测绘-测点数据对象 dev_pitmonit_southsmos_data
 * 
 * @author ruoyi
 * @date 2024-08-09
 */
public class DevPitmonitSouthsmosData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 配置ID */
    @Excel(name = "配置ID")
    private Long cfgId;

    /** 数据类型:horizontal-水平位移(x,y),presureWallsideSoil-围护墙侧向土压力,waterLevel-地下水位 */
    @Excel(name = "数据类型:horizontal-水平位移(x,y),presureWallsideSoil-围护墙侧向土压力,waterLevel-地下水位")
    private String dataType;

    /** 服务端dataId */
    @Excel(name = "服务端dataId")
    private Long dataId;

    /** 测点Id */
    @Excel(name = "测点Id")
    private Long spId;

    /** 测点名 */
    @Excel(name = "测点名")
    private String spName;

    /** 收集时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "收集时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date collectTime;

    /** 变化速率(X) */
    @Excel(name = "变化速率(X)")
    private BigDecimal changeRate;

    /** 变化速率(Y) */
    @Excel(name = "变化速率(Y)")
    private BigDecimal changeRate2;

    /**  */
    @Excel(name = "")
    private BigDecimal displace;

    /**  */
    @Excel(name = "")
    private BigDecimal displace2;

    /** 累计变化量，单位为m(X) */
    @Excel(name = "累计变化量，单位为m(X)")
    private BigDecimal totalize;

    /** 累计变化量，单位为m(Y) */
    @Excel(name = "累计变化量，单位为m(Y)")
    private BigDecimal totalize2;

    /** 单次变化量，单位为m(X) */
    @Excel(name = "单次变化量，单位为m(X)")
    private BigDecimal variation;

    /** 单次变化量，单位为m(Y) */
    @Excel(name = "单次变化量，单位为m(Y)")
    private BigDecimal variation2;

    /** 状态 */
    @Excel(name = "状态")
    private Long state;

    /**  */
    @Excel(name = "")
    private Long isDel;
    public void convertToHorizontal(JSONObject o) {
        changeRate=o.getBigDecimal("changeRateX");
        changeRate2=o.getBigDecimal("changeRateY");
        displace=o.getBigDecimal("displaceX");
        displace2=o.getBigDecimal("displaceY");
        totalize=o.getBigDecimal("totalizeX");
        totalize2=o.getBigDecimal("totalizeY");
        variation=o.getBigDecimal("variationX");
        variation2=o.getBigDecimal("variationY");
    }
    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCfgId(Long cfgId) 
    {
        this.cfgId = cfgId;
    }

    public Long getCfgId() 
    {
        return cfgId;
    }
    public void setDataType(String dataType) 
    {
        this.dataType = dataType;
    }

    public String getDataType() 
    {
        return dataType;
    }
    public void setDataId(Long dataId) 
    {
        this.dataId = dataId;
    }

    public Long getDataId() 
    {
        return dataId;
    }
    public void setSpId(Long spId) 
    {
        this.spId = spId;
    }

    public Long getSpId() 
    {
        return spId;
    }
    public void setSpName(String spName) 
    {
        this.spName = spName;
    }

    public String getSpName() 
    {
        return spName;
    }
    public void setCollectTime(Date collectTime) 
    {
        this.collectTime = collectTime;
    }

    public Date getCollectTime() 
    {
        return collectTime;
    }
    public void setChangeRate(BigDecimal changeRate) 
    {
        this.changeRate = changeRate;
    }

    public BigDecimal getChangeRate() 
    {
        return changeRate;
    }
    public void setChangeRate2(BigDecimal changeRate2) 
    {
        this.changeRate2 = changeRate2;
    }

    public BigDecimal getChangeRate2() 
    {
        return changeRate2;
    }
    public void setDisplace(BigDecimal displace) 
    {
        this.displace = displace;
    }

    public BigDecimal getDisplace() 
    {
        return displace;
    }
    public void setDisplace2(BigDecimal displace2) 
    {
        this.displace2 = displace2;
    }

    public BigDecimal getDisplace2() 
    {
        return displace2;
    }
    public void setTotalize(BigDecimal totalize) 
    {
        this.totalize = totalize;
    }

    public BigDecimal getTotalize() 
    {
        return totalize;
    }
    public void setTotalize2(BigDecimal totalize2) 
    {
        this.totalize2 = totalize2;
    }

    public BigDecimal getTotalize2() 
    {
        return totalize2;
    }
    public void setVariation(BigDecimal variation) 
    {
        this.variation = variation;
    }

    public BigDecimal getVariation() 
    {
        return variation;
    }
    public void setVariation2(BigDecimal variation2) 
    {
        this.variation2 = variation2;
    }

    public BigDecimal getVariation2() 
    {
        return variation2;
    }
    public void setState(Long state) 
    {
        this.state = state;
    }

    public Long getState() 
    {
        return state;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("cfgId", getCfgId())
            .append("dataType", getDataType())
            .append("dataId", getDataId())
            .append("spId", getSpId())
            .append("spName", getSpName())
            .append("collectTime", getCollectTime())
            .append("changeRate", getChangeRate())
            .append("changeRate2", getChangeRate2())
            .append("displace", getDisplace())
            .append("displace2", getDisplace2())
            .append("totalize", getTotalize())
            .append("totalize2", getTotalize2())
            .append("variation", getVariation())
            .append("variation2", getVariation2())
            .append("state", getState())
            .append("remark", getRemark())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }

    //围护墙侧向土压力
    public void convertToPresureWallsideSoil(JSONObject jsonObject) {
    }
    //地下水位
    public void convertToWaterLevel(JSONObject jsonObject) {
    }
}
