package com.ruoyi.quartz.domain;

import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.quartz.util.JsonTextToDate;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 基坑监测-南方测绘-测点对象 dev_pitmonit_southsmos_surveypoint
 * 
 * @author ruoyi
 * @date 2024-08-08
 */
public class DevPitmonitSouthsmosSurveypoint extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 配置ID */
    @Excel(name = "配置ID")
    private Long cfgId;

    /** 测点ID */
    @Excel(name = "测点ID")
    private Long spId;

    /** 所属监测点组ID */
    @Excel(name = "所属监测点组ID")
    private Long groupId;

    /** 所属监测点组名称 */
    @Excel(name = "所属监测点组名称")
    private String groupName;

    /** 监测项Id */
    @Excel(name = "监测项Id")
    private Long meId;

    /** 监测项名称 */
    @Excel(name = "监测项名称")
    private String meName;

    /** 监测项英文标识名 */
    @Excel(name = "监测项英文标识名")
    private String meNameEn;

    /** 改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JSONField(deserializeUsing = JsonTextToDate.class)
    @Excel(name = "改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date modifyDate;

    /** 测点名称 */
    @Excel(name = "测点名称")
    private String name;

    /** 位置 */
    @Excel(name = "位置")
    private String position;

    /** 数据来源形式0：人工上传；1：设备 */
    @Excel(name = "数据来源形式0：人工上传；1：设备")
    private Long dataSource;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd  HH:mm:ss")
    @JSONField(deserializeUsing = JsonTextToDate.class)
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createDate;

    /** 服务器status */
    @Excel(name = "服务器status")
    private String status;

    /** 状态 */
    @Excel(name = "状态")
    private Long state;

    /**  */
    @Excel(name = "")
    private Long isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCfgId(Long cfgId) 
    {
        this.cfgId = cfgId;
    }

    public Long getCfgId() 
    {
        return cfgId;
    }
    public void setSpId(Long spId) 
    {
        this.spId = spId;
    }

    public Long getSpId() 
    {
        return spId;
    }
    public void setGroupId(Long groupId) 
    {
        this.groupId = groupId;
    }

    public Long getGroupId() 
    {
        return groupId;
    }
    public void setGroupName(String groupName) 
    {
        this.groupName = groupName;
    }

    public String getGroupName() 
    {
        return groupName;
    }
    public void setMeId(Long meId) 
    {
        this.meId = meId;
    }

    public Long getMeId() 
    {
        return meId;
    }
    public void setMeName(String meName) 
    {
        this.meName = meName;
    }

    public String getMeName() 
    {
        return meName;
    }
    public void setMeNameEn(String meNameEn) 
    {
        this.meNameEn = meNameEn;
    }

    public String getMeNameEn() 
    {
        return meNameEn;
    }
    public void setModifyDate(Date modifyDate) 
    {
        this.modifyDate = modifyDate;
    }

    public Date getModifyDate() 
    {
        return modifyDate;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setPosition(String position) 
    {
        this.position = position;
    }

    public String getPosition() 
    {
        return position;
    }
    public void setDataSource(Long dataSource) 
    {
        this.dataSource = dataSource;
    }

    public Long getDataSource() 
    {
        return dataSource;
    }
    public void setCreateDate(Date createDate) 
    {
        this.createDate = createDate;
    }

    public Date getCreateDate() 
    {
        return createDate;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setState(Long state) 
    {
        this.state = state;
    }

    public Long getState() 
    {
        return state;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("cfgId", getCfgId())
            .append("spId", getSpId())
            .append("groupId", getGroupId())
            .append("groupName", getGroupName())
            .append("meId", getMeId())
            .append("meName", getMeName())
            .append("meNameEn", getMeNameEn())
            .append("modifyDate", getModifyDate())
            .append("name", getName())
            .append("position", getPosition())
            .append("dataSource", getDataSource())
            .append("createDate", getCreateDate())
            .append("status", getStatus())
            .append("state", getState())
            .append("remark", getRemark())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
