package com.ruoyi.quartz.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目基坑监测配置
对象 sur_project_pit_monit_cfg
 * 
 * @author ruoyi
 * @date 2024-08-08
 */
public class SurProjectPitMonitCfg extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 项目ID */
    @Excel(name = "项目ID")
    private Long projectId;

    /** 总包单位ID */
    @Excel(name = "总包单位ID")
    private Long subDeptId;

    /** 厂商编号参考字典pitmonit_vendors */
    @Excel(name = "厂商编号参考字典pitmonit_vendors")
    private String vendorCode;

    /** 厂商参数 */
    @Excel(name = "厂商参数")
    private String vendorParamter;

    /** 1-启用,0-停用 */
    @Excel(name = "1-启用,0-停用")
    private Long enabled;

    /** 状态 */
    @Excel(name = "状态")
    private Long state;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setSubDeptId(Long subDeptId) 
    {
        this.subDeptId = subDeptId;
    }

    public Long getSubDeptId() 
    {
        return subDeptId;
    }
    public void setVendorCode(String vendorCode) 
    {
        this.vendorCode = vendorCode;
    }

    public String getVendorCode() 
    {
        return vendorCode;
    }
    public void setVendorParamter(String vendorParamter) 
    {
        this.vendorParamter = vendorParamter;
    }

    public String getVendorParamter() 
    {
        return vendorParamter;
    }
    public void setEnabled(Long enabled) 
    {
        this.enabled = enabled;
    }

    public Long getEnabled() 
    {
        return enabled;
    }
    public void setState(Long state) 
    {
        this.state = state;
    }

    public Long getState() 
    {
        return state;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("subDeptId", getSubDeptId())
            .append("vendorCode", getVendorCode())
            .append("vendorParamter", getVendorParamter())
            .append("enabled", getEnabled())
            .append("state", getState())
            .append("remark", getRemark())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
