package com.ruoyi.quartz.mapper;

import com.ruoyi.quartz.domain.QuartzProjectAttendanceCfg;

import java.util.List;

/**
 * 项目考勤配置Mapper接口
 * 
 * @author ruoyi
 * @date 2023-09-24
 */
public interface QuartzProjectAttendanceCfgMapper
{
    /**
     * 查询项目考勤配置
     * 
     * @param id 项目考勤配置主键
     * @return 项目考勤配置
     */
    public QuartzProjectAttendanceCfg selectSurProjectAttendanceCfgById(Long id);

    /**
     * 查询项目考勤配置列表
     * 
     * @param quartzProjectAttendanceCfg 项目考勤配置
     * @return 项目考勤配置集合
     */
    public List<QuartzProjectAttendanceCfg> selectSurProjectAttendanceCfgList(QuartzProjectAttendanceCfg quartzProjectAttendanceCfg);

    /**
     * 新增项目考勤配置
     * 
     * @param quartzProjectAttendanceCfg 项目考勤配置
     * @return 结果
     */
    public int insertSurProjectAttendanceCfg(QuartzProjectAttendanceCfg quartzProjectAttendanceCfg);

    /**
     * 修改项目考勤配置
     * 
     * @param quartzProjectAttendanceCfg 项目考勤配置
     * @return 结果
     */
    public int updateSurProjectAttendanceCfg(QuartzProjectAttendanceCfg quartzProjectAttendanceCfg);

    /**
     * 删除项目考勤配置
     * 
     * @param id 项目考勤配置主键
     * @return 结果
     */
    public int deleteSurProjectAttendanceCfgById(Long id);

    /**
     * 批量删除项目考勤配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSurProjectAttendanceCfgByIds(Long[] ids);

    public List<QuartzProjectAttendanceCfg> selectSurProjectAttendanceCfgListForAllInfo(QuartzProjectAttendanceCfg where);
}
