package com.ruoyi.quartz.mapper;

import com.ruoyi.quartz.domain.QuartzProjectAttendanceGroup;

import java.util.List;

/**
 * 广联达班组信息Mapper接口
 * 
 * @author ruoyi
 * @date 2023-09-26
 */
public interface QuartzProjectAttendanceGroupMapper
{
    /**
     * 查询广联达班组信息
     * 
     * @param id 广联达班组信息主键
     * @return 广联达班组信息
     */
    public QuartzProjectAttendanceGroup selectSurProjectAttendanceGroupById(Long id);

    /**
     * 查询广联达班组信息列表
     * 
     * @param quartzProjectAttendanceGroup 广联达班组信息
     * @return 广联达班组信息集合
     */
    public List<QuartzProjectAttendanceGroup> selectSurProjectAttendanceGroupViewList(QuartzProjectAttendanceGroup quartzProjectAttendanceGroup);

    /**
     * 查询广联达班组信息列表
     *
     * @param quartzProjectAttendanceGroup 广联达班组信息
     * @return 广联达班组信息集合
     */
    public List<QuartzProjectAttendanceGroup> selectSurProjectAttendanceGroupList(QuartzProjectAttendanceGroup quartzProjectAttendanceGroup);

    /**
     * 新增广联达班组信息
     * 
     * @param quartzProjectAttendanceGroup 广联达班组信息
     * @return 结果
     */
    public int insertSurProjectAttendanceGroup(QuartzProjectAttendanceGroup quartzProjectAttendanceGroup);

    /**
     * 修改广联达班组信息
     * 
     * @param quartzProjectAttendanceGroup 广联达班组信息
     * @return 结果
     */
    public int updateSurProjectAttendanceGroup(QuartzProjectAttendanceGroup quartzProjectAttendanceGroup);

    /**
     * 删除广联达班组信息
     * 
     * @param id 广联达班组信息主键
     * @return 结果
     */
    public int deleteSurProjectAttendanceGroupById(Long id);

    /**
     * 批量删除广联达班组信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSurProjectAttendanceGroupByIds(Long[] ids);

    /**
     * 批量删除广联达班组信息
     *
     * @param list 需要删除的数据参数集合
     * @return 结果
     */
    public int deleteSurProjectAttendanceGroupByParams(List<String> list);

    /**
     * 批量新增广联达班组信息
     *
     * @param quartzProjectAttendanceGroupList 广联达班组信息列表
     * @return 结果
     */
    public int batchSurProjectAttendanceGroup(List<QuartzProjectAttendanceGroup> quartzProjectAttendanceGroupList);
}
