package com.ruoyi.quartz.service;

import com.ruoyi.quartz.domain.QuartzProjectAttendanceData;

import java.util.List;
import java.util.Map;

/**
 * 劳务实名制管理Service接口
 * 
 * @author ruoyi
 * @date 2023-09-24
 */
public interface IQuartzProjectAttendanceDataService
{
    /**
     * 查询劳务实名制管理
     * 
     * @param id 劳务实名制管理主键
     * @return 劳务实名制管理
     */
    public QuartzProjectAttendanceData selectSurProjectAttendanceDataById(Long id);

    /**
     * 查询劳务实名制管理列表
     * 
     * @param quartzProjectAttendanceData 劳务实名制管理
     * @return 劳务实名制管理集合
     */
    public List<QuartzProjectAttendanceData> selectSurProjectAttendanceDataList(QuartzProjectAttendanceData quartzProjectAttendanceData);

    /**
     * 查询考勤信息
     *
     * @param quartzProjectAttendanceData 劳务实名制管理
     * @return 劳务实名制管理集合
     */
    public QuartzProjectAttendanceData findCurrentAttendanceData(QuartzProjectAttendanceData quartzProjectAttendanceData);

    public List<QuartzProjectAttendanceData> selectSurProjectAttendanceDataListEx(QuartzProjectAttendanceData quartzProjectAttendanceData);

    /**
     * 新增劳务实名制管理
     * 
     * @param quartzProjectAttendanceData 劳务实名制管理
     * @return 结果
     */
    public int insertSurProjectAttendanceData(QuartzProjectAttendanceData quartzProjectAttendanceData);

    /**
     * 修改劳务实名制管理
     * 
     * @param quartzProjectAttendanceData 劳务实名制管理
     * @return 结果
     */
    public int updateSurProjectAttendanceData(QuartzProjectAttendanceData quartzProjectAttendanceData);

    /**
     * 批量删除劳务实名制管理
     * 
     * @param ids 需要删除的劳务实名制管理主键集合
     * @return 结果
     */
    public int deleteSurProjectAttendanceDataByIds(Long[] ids);

    /**
     * 删除劳务实名制管理信息
     * 
     * @param id 劳务实名制管理主键
     * @return 结果
     */
    public int deleteSurProjectAttendanceDataById(Long id);

    /**
     * 批量删除劳务实名制管理
     *
     * @param list 需要删除的数据参数集合
     * @return 结果
     */
    public int deleteSurProjectAttendanceDataByParams(List<String> list);

    /**
     * 批量新增劳务实名制考勤管理
     *
     * @param quartzProjectAttendanceDataList 劳务实名制管理考勤列表
     * @return 结果
     */
    public int batchSurProjectAttendanceData(List<QuartzProjectAttendanceData> quartzProjectAttendanceDataList);

    public void add(QuartzProjectAttendanceData sdata);

    public String getLastServerId(QuartzProjectAttendanceData where);

    public List<QuartzProjectAttendanceData> groupByComany(QuartzProjectAttendanceData where);

    public Long getHuazhuPage( QuartzProjectAttendanceData where);

    public List<QuartzProjectAttendanceData> groupAllByComany(QuartzProjectAttendanceData where);

    public List<Map<String,Object>> initOtherData(Map<String,Object> data);

    public List<Map<String,Object>> initHuaZhuData(Map<String,Object> data);

    List<QuartzProjectAttendanceData> todayAttendance(QuartzProjectAttendanceData where);

    /**
     * 统计所有数据
     * @param where
     * @return
     */
    public List<Map<String, Object>> groupAllByParams(QuartzProjectAttendanceData where);

    /**
     * 统计人员数据
     * @param where
     * @return
     */
    public List<Map<String, Object>> findGroupAllByDays(QuartzProjectAttendanceData where);

    /**
     * 考勤数据列表
     * @param where
     * @return
     */
    public List<QuartzProjectAttendanceData> attendanceDataList(QuartzProjectAttendanceData where);

    /**
     * 统计考勤数据
     * @param where
     * @return
     */
    public List<Map<String, Object>> groupDataByParams(QuartzProjectAttendanceData where);

    List<QuartzProjectAttendanceData> groupTodayCompanyTypeId(QuartzProjectAttendanceData where);

    /**
     * 指增加
     * @param addList
     */
    void addList(List<QuartzProjectAttendanceData> addList);
}
