package com.ruoyi.quartz.service;

import com.ruoyi.quartz.domain.QuartzProjectAttendanceData;
import com.ruoyi.quartz.domain.QuartzProjectAttendanceUser;

import java.util.List;
import java.util.Map;

/**
 * 考勤人员基本属性Service接口
 * 
 * @author ruoyi
 * @date 2023-09-24
 */
public interface IQuartzProjectAttendanceUserService
{
    /**
     * 查询考勤人员基本属性
     * 
     * @param id 考勤人员基本属性主键
     * @return 考勤人员基本属性
     */
    public QuartzProjectAttendanceUser selectSurProjectAttendanceUserById(Long id);

    /**
     * 查询考勤人员信息
     *
     * @param quartzProjectAttendanceUser
     * @return 考勤人员基本属性
     */
    public QuartzProjectAttendanceUser findCurrentAttendanceUser(QuartzProjectAttendanceUser quartzProjectAttendanceUser);

    /**
     * 查询[研筑]考勤人员信息
     *
     * @param quartzProjectAttendanceUser
     * @return 考勤人员基本属性
     */
    public QuartzProjectAttendanceUser findYzCurrentAttendanceUser(QuartzProjectAttendanceUser quartzProjectAttendanceUser);

    /**
     * 查询考勤人员基本属性列表
     * 
     * @param quartzProjectAttendanceUser 考勤人员基本属性
     * @return 考勤人员基本属性集合
     */
    public List<QuartzProjectAttendanceUser> selectSurProjectAttendanceUserList(QuartzProjectAttendanceUser quartzProjectAttendanceUser);

    /**
     * 新增考勤人员基本属性
     * 
     * @param quartzProjectAttendanceUser 考勤人员基本属性
     * @return 结果
     */
    public int insertSurProjectAttendanceUser(QuartzProjectAttendanceUser quartzProjectAttendanceUser);

    /**
     * 修改考勤人员基本属性
     * 
     * @param quartzProjectAttendanceUser 考勤人员基本属性
     * @return 结果
     */
    public int updateSurProjectAttendanceUser(QuartzProjectAttendanceUser quartzProjectAttendanceUser);

    /**
     * 批量删除考勤人员基本属性
     * 
     * @param ids 需要删除的考勤人员基本属性主键集合
     * @return 结果
     */
    public int deleteSurProjectAttendanceUserByIds(Long[] ids);

    /**
     * 删除考勤人员基本属性信息
     * 
     * @param id 考勤人员基本属性主键
     * @return 结果
     */
    public int deleteSurProjectAttendanceUserById(Long id);

    /**
     * 批量删除考勤人员基本属性
     *
     * @param list 需要删除的数据参数集合
     * @return 结果
     */
    public int deleteSurProjectAttendanceUserByParams(List<String> list);

    /**
     * 批量新增考勤人员基本属性
     *
     * @param quartzProjectAttendanceUserList 考勤人员基本属性列表
     * @return 结果
     */
    public int batchSurProjectAttendanceUser(List<QuartzProjectAttendanceUser> quartzProjectAttendanceUserList);

    public void add(QuartzProjectAttendanceUser user);

   public  List<QuartzProjectAttendanceUser> queryAttendanceData(QuartzProjectAttendanceUser where);

    public long countTodayAttendance(QuartzProjectAttendanceUser where);

    public List<QuartzProjectAttendanceUser> todayAttendance(QuartzProjectAttendanceUser where);

    public long countAttendance(QuartzProjectAttendanceUser where);

    /**
     * 济工网人员查询
     * @param quartzProjectAttendanceUser
     * @return
     */
    public List<QuartzProjectAttendanceUser> selectSurProjectAttendanceUserListJgw(QuartzProjectAttendanceUser quartzProjectAttendanceUser);

    /**
     * 在岗工人查询
     * @param where
     * @return
     */
    public List<QuartzProjectAttendanceUser> queryWorkerOnDuty(QuartzProjectAttendanceUser where);

    /**
     * 统计人员数据
     * @param where
     * @return
     */
    public List<Map<String, Object>> groupUserByParams(QuartzProjectAttendanceUser where);

    /**
     * 在岗工人查询
     * @param where
     * @return
     */
    public List<QuartzProjectAttendanceUser> attendanceUserList(QuartzProjectAttendanceUser where);

    /**
     * 统计人员数据
     * @param projectId
     * @return
     */
    public List<Map<String, Object>> findUserAllByDays(Long projectId);

    /**
     * 按部门汇总在岗人数
     * @param where
     * @return
     */
    List<QuartzProjectAttendanceData> groupByWorkerOnDutyByDept(QuartzProjectAttendanceUser where);

    List<QuartzProjectAttendanceUser> querySurProjectAttendanceUserList(QuartzProjectAttendanceUser quartzProjectAttendanceUser);
    /**
     * 按部门汇总在岗|离岗人数
     * @param where
     * @return
     */
    List<QuartzProjectAttendanceData> groupByWorkerByDept(QuartzProjectAttendanceUser where);
    /**
     * 在岗|离岗工人查询
     * @param where
     * @return
     */
    List<QuartzProjectAttendanceUser> queryWorkerByState(QuartzProjectAttendanceUser where);
}
