package com.ruoyi.quartz.service;

import com.ruoyi.common.core.domain.entity.SysUser;

import java.util.List;
import java.util.Map;

/**
 * 定时任务Service
 *
 * @author JiangYuQi
 */
public interface ITaskService {

    /**
     * 查询超时3天未办理的流程任务
     */
    public List<Map<String, Object>> findDaysAwaitFlowTask();

    /**
     * 查询超时3天未办理的举牌验收
     */
    public List<Map<String, Object>> findDaysAwaitJpysList();

    /**
     * 查询超时3天未办理的实测实量
     */
    public List<Map<String, Object>> findDaysAwaitScslList();

    /**
     * 查询超时3天未办理的取样复试
     */
    public List<Map<String, Object>> findDaysAwaitQyfsList();

    /**
     * 查询超时3天未办理的材料封样
     */
    public List<Map<String, Object>> findDaysAwaitClfyList();

    /**
     * 查询超时1天未整改的隐患数据
     */
    public List<Map<String, Object>> findDaysAwaitYhzgList();

    /**
     * 查询超时1天未复检的隐患数据
     */
    public List<Map<String, Object>> findDaysAwaitYhfjList();

    /**
     * 根据条件查询流程用户
     * @param businessKey 流程归属表单
     * @param candidateUsers 办理用户列表
     * @param candidateGroups 办理角色列表
     * @return
     */
    public List<SysUser> findFlowTaskUsers(String businessKey, List<String> candidateUsers, List<String> candidateGroups);

    /**
     * 查询用户绑定小程序openId列表
     *
     * @param userName 用户登录名
     * @return 用户绑定小程序openId集合
     */
    public List<Map<String, Object>> findSysUserOpenidsByUser(String userName);

    /**
     * 查询用户绑定小程序openId列表[项目甲代]
     *
     * @param proId 项目信息
     * @return 用户绑定小程序openId集合
     */
    public List<Map<String, Object>> findMsgProMagUsers(Long proId);

    /**
     * 查询时间内最大的主键【清除塔吊历史实时数据使用】
     * @param date
     * @return
     */
    public Long findTowerMaxIdByDate(String date);

    /**
     * 清除塔吊历史实时数据
     * @param id 最大主键
     * @return
     */
    public int deleteDevTowerDataRunByMaxId(Long id);

    /**
     * 检查设备状态
     * @return
     */
    public List<Map<String, Object>> findAllTowerMaxId();

    /**
     * 同步设备状态
     * @param map
     * @return
     */
    public int updateTowerConfigOnline(Map<String, Object> map);
}
