package com.ruoyi.quartz.service.impl;

import java.util.List;

import cn.hutool.core.util.StrUtil;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.quartz.domain.DevPitmonitSouthsmosData;
import com.ruoyi.quartz.domain.SurProjectPitMonitCfg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.quartz.mapper.DevPitmonitSouthsmosAlarmMapper;
import com.ruoyi.quartz.domain.DevPitmonitSouthsmosAlarm;
import com.ruoyi.quartz.service.IDevPitmonitSouthsmosAlarmService;
import com.ruoyi.common.utils.SecurityUtils;
/**
 * 基坑监测-南方测绘-报警信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-08
 */
@Service
public class DevPitmonitSouthsmosAlarmServiceImpl implements IDevPitmonitSouthsmosAlarmService 
{
    @Autowired
    private DevPitmonitSouthsmosAlarmMapper devPitmonitSouthsmosAlarmMapper;

    /**
     * 查询基坑监测-南方测绘-报警信息
     * 
     * @param id 基坑监测-南方测绘-报警信息主键
     * @return 基坑监测-南方测绘-报警信息
     */
    @Override
    public DevPitmonitSouthsmosAlarm selectDevPitmonitSouthsmosAlarmById(Long id)
    {
        return devPitmonitSouthsmosAlarmMapper.selectDevPitmonitSouthsmosAlarmById(id);
    }
    @Override
    public DevPitmonitSouthsmosAlarm selectDevPitmonitSouthsmosAlarmBySrvId(Long id)
    {
        DevPitmonitSouthsmosAlarm where=new DevPitmonitSouthsmosAlarm();
        where.setSrvId(id);
        List<DevPitmonitSouthsmosAlarm> list=selectDevPitmonitSouthsmosAlarmList(where);
        return  list.size()==1?list.get(0):null;
    }

    /**
     * 查询基坑监测-南方测绘-报警信息列表
     * 
     * @param devPitmonitSouthsmosAlarm 基坑监测-南方测绘-报警信息
     * @return 基坑监测-南方测绘-报警信息
     */
    @Override
    public List<DevPitmonitSouthsmosAlarm> selectDevPitmonitSouthsmosAlarmList(DevPitmonitSouthsmosAlarm devPitmonitSouthsmosAlarm)
    {
        return devPitmonitSouthsmosAlarmMapper.selectDevPitmonitSouthsmosAlarmList(devPitmonitSouthsmosAlarm);
    }

    /**
     * 新增基坑监测-南方测绘-报警信息
     * 
     * @param devPitmonitSouthsmosAlarm 基坑监测-南方测绘-报警信息
     * @return 结果
     */
    @Override
    public int insertDevPitmonitSouthsmosAlarm(DevPitmonitSouthsmosAlarm devPitmonitSouthsmosAlarm)
    {
        String userName=SecurityUtils.getUsername();
        devPitmonitSouthsmosAlarm.setCreateBy(StrUtil.isEmpty(userName)?"task":userName);
        devPitmonitSouthsmosAlarm.setCreateTime(DateUtils.getNowDate());
        devPitmonitSouthsmosAlarm.setIsDel(0l);
        return devPitmonitSouthsmosAlarmMapper.insertDevPitmonitSouthsmosAlarm(devPitmonitSouthsmosAlarm);
    }

    /**
     * 修改基坑监测-南方测绘-报警信息
     * 
     * @param devPitmonitSouthsmosAlarm 基坑监测-南方测绘-报警信息
     * @return 结果
     */
    @Override
    public int updateDevPitmonitSouthsmosAlarm(DevPitmonitSouthsmosAlarm devPitmonitSouthsmosAlarm)
    {
        String userName=SecurityUtils.getUsername();
        devPitmonitSouthsmosAlarm.setUpdateBy(StrUtil.isEmpty(userName)?"task":userName);
        devPitmonitSouthsmosAlarm.setUpdateTime(DateUtils.getNowDate());
        return devPitmonitSouthsmosAlarmMapper.updateDevPitmonitSouthsmosAlarm(devPitmonitSouthsmosAlarm);
    }

    /**
     * 批量删除基坑监测-南方测绘-报警信息
     * 
     * @param ids 需要删除的基坑监测-南方测绘-报警信息主键
     * @return 结果
     */
    @Override
    public int deleteDevPitmonitSouthsmosAlarmByIds(Long[] ids)
    {
        return devPitmonitSouthsmosAlarmMapper.deleteDevPitmonitSouthsmosAlarmByIds(ids);
    }

    /**
     * 删除基坑监测-南方测绘-报警信息信息
     * 
     * @param id 基坑监测-南方测绘-报警信息主键
     * @return 结果
     */
    @Override
    public int deleteDevPitmonitSouthsmosAlarmById(Long id)
    {
        return devPitmonitSouthsmosAlarmMapper.deleteDevPitmonitSouthsmosAlarmById(id);
    }



    @Override
    public void addList(List<DevPitmonitSouthsmosAlarm> alarmList, SurProjectPitMonitCfg cfg) {
        alarmList.forEach(it->{
            it.setCfgId(cfg.getId());
            DevPitmonitSouthsmosAlarm old=selectDevPitmonitSouthsmosAlarmBySrvId(it.getSrvId());
            if(old==null){
                insertDevPitmonitSouthsmosAlarm(it);
            }
        });
    }
}
