package com.ruoyi.quartz.service.impl;

import java.util.List;

import cn.hutool.core.util.StrUtil;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.quartz.domain.DevPitmonitSouthsmosElement;
import com.ruoyi.quartz.domain.SurProjectPitMonitCfg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.quartz.mapper.DevPitmonitSouthsmosDataMapper;
import com.ruoyi.quartz.domain.DevPitmonitSouthsmosData;
import com.ruoyi.quartz.service.IDevPitmonitSouthsmosDataService;
import com.ruoyi.common.utils.SecurityUtils;
/**
 * 基坑监测-南方测绘-测点数据Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-09
 */
@Service
public class DevPitmonitSouthsmosDataServiceImpl implements IDevPitmonitSouthsmosDataService 
{
    @Autowired
    private DevPitmonitSouthsmosDataMapper devPitmonitSouthsmosDataMapper;

    /**
     * 查询基坑监测-南方测绘-测点数据
     * 
     * @param id 基坑监测-南方测绘-测点数据主键
     * @return 基坑监测-南方测绘-测点数据
     */
    @Override
    public DevPitmonitSouthsmosData selectDevPitmonitSouthsmosDataById(Long id)
    {
        return devPitmonitSouthsmosDataMapper.selectDevPitmonitSouthsmosDataById(id);
    }

    @Override
    public DevPitmonitSouthsmosData selectDevPitmonitSouthsmosDataByDataId(Long id) {
        DevPitmonitSouthsmosData where=new DevPitmonitSouthsmosData();
        where.setDataId(id);
        List<DevPitmonitSouthsmosData> list=selectDevPitmonitSouthsmosDataList(where);
        return list.size()==1?list.get(0):null;
    }

    /**
     * 查询基坑监测-南方测绘-测点数据列表
     * 
     * @param devPitmonitSouthsmosData 基坑监测-南方测绘-测点数据
     * @return 基坑监测-南方测绘-测点数据
     */
    @Override
    public List<DevPitmonitSouthsmosData> selectDevPitmonitSouthsmosDataList(DevPitmonitSouthsmosData devPitmonitSouthsmosData)
    {
        return devPitmonitSouthsmosDataMapper.selectDevPitmonitSouthsmosDataList(devPitmonitSouthsmosData);
    }

    /**
     * 新增基坑监测-南方测绘-测点数据
     * 
     * @param devPitmonitSouthsmosData 基坑监测-南方测绘-测点数据
     * @return 结果
     */
    @Override
    public int insertDevPitmonitSouthsmosData(DevPitmonitSouthsmosData devPitmonitSouthsmosData)
    {
        String userName=SecurityUtils.getUsername();
        devPitmonitSouthsmosData.setCreateBy(StrUtil.isEmpty(userName)?"task":userName);
        devPitmonitSouthsmosData.setCreateTime(DateUtils.getNowDate());
        devPitmonitSouthsmosData.setIsDel(0l);
        return devPitmonitSouthsmosDataMapper.insertDevPitmonitSouthsmosData(devPitmonitSouthsmosData);
    }

    /**
     * 修改基坑监测-南方测绘-测点数据
     * 
     * @param devPitmonitSouthsmosData 基坑监测-南方测绘-测点数据
     * @return 结果
     */
    @Override
    public int updateDevPitmonitSouthsmosData(DevPitmonitSouthsmosData devPitmonitSouthsmosData)
    {
        String userName=SecurityUtils.getUsername();
        devPitmonitSouthsmosData.setUpdateBy(StrUtil.isEmpty(userName)?"task":userName);
        devPitmonitSouthsmosData.setUpdateTime(DateUtils.getNowDate());
        return devPitmonitSouthsmosDataMapper.updateDevPitmonitSouthsmosData(devPitmonitSouthsmosData);
    }

    /**
     * 批量删除基坑监测-南方测绘-测点数据
     * 
     * @param ids 需要删除的基坑监测-南方测绘-测点数据主键
     * @return 结果
     */
    @Override
    public int deleteDevPitmonitSouthsmosDataByIds(Long[] ids)
    {
        return devPitmonitSouthsmosDataMapper.deleteDevPitmonitSouthsmosDataByIds(ids);
    }

    /**
     * 删除基坑监测-南方测绘-测点数据信息
     * 
     * @param id 基坑监测-南方测绘-测点数据主键
     * @return 结果
     */
    @Override
    public int deleteDevPitmonitSouthsmosDataById(Long id)
    {
        return devPitmonitSouthsmosDataMapper.deleteDevPitmonitSouthsmosDataById(id);
    }

    @Override
    public void addList(List<DevPitmonitSouthsmosData> dataList, SurProjectPitMonitCfg cfg, DevPitmonitSouthsmosElement el) {
        dataList.forEach(it->{
            it.setCfgId(cfg.getId());
            it.setDataType(el.getNameEn());
            DevPitmonitSouthsmosData old=selectDevPitmonitSouthsmosDataByDataId(it.getDataId());
            if(old==null){
                insertDevPitmonitSouthsmosData(it);
            }
        });
    }
}
