package com.ruoyi.quartz.service.impl;

import java.util.ArrayList;
import java.util.List;

import cn.hutool.core.util.StrUtil;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.quartz.mapper.DevPitmonitSouthsmosDevSpMapper;
import com.ruoyi.quartz.domain.DevPitmonitSouthsmosDevSp;
import com.ruoyi.quartz.service.IDevPitmonitSouthsmosDevSpService;
import com.ruoyi.common.utils.SecurityUtils;
/**
 * 基坑监测-南方测绘-设备-测点关系Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-11
 */
@Service
public class DevPitmonitSouthsmosDevSpServiceImpl implements IDevPitmonitSouthsmosDevSpService 
{
    @Autowired
    private DevPitmonitSouthsmosDevSpMapper devPitmonitSouthsmosDevSpMapper;

    /**
     * 查询基坑监测-南方测绘-设备-测点关系
     * 
     * @param id 基坑监测-南方测绘-设备-测点关系主键
     * @return 基坑监测-南方测绘-设备-测点关系
     */
    @Override
    public DevPitmonitSouthsmosDevSp selectDevPitmonitSouthsmosDevSpById(Long id)
    {
        return devPitmonitSouthsmosDevSpMapper.selectDevPitmonitSouthsmosDevSpById(id);
    }

    @Override
    public DevPitmonitSouthsmosDevSp selectDevPitmonitSouthsmosDevSpByDevId(Long devId, Long spId) {
        DevPitmonitSouthsmosDevSp where=new DevPitmonitSouthsmosDevSp();
        where.setSpId(spId);
        where.setDevId(devId);
        List<DevPitmonitSouthsmosDevSp> list=selectDevPitmonitSouthsmosDevSpList(where);
        return list.size()>0?list.get(0):null;
    }

    /**
     * 查询基坑监测-南方测绘-设备-测点关系列表
     * 
     * @param devPitmonitSouthsmosDevSp 基坑监测-南方测绘-设备-测点关系
     * @return 基坑监测-南方测绘-设备-测点关系
     */
    @Override
    public List<DevPitmonitSouthsmosDevSp> selectDevPitmonitSouthsmosDevSpList(DevPitmonitSouthsmosDevSp devPitmonitSouthsmosDevSp)
    {
        return devPitmonitSouthsmosDevSpMapper.selectDevPitmonitSouthsmosDevSpList(devPitmonitSouthsmosDevSp);
    }

    /**
     * 新增基坑监测-南方测绘-设备-测点关系
     * 
     * @param devPitmonitSouthsmosDevSp 基坑监测-南方测绘-设备-测点关系
     * @return 结果
     */
    @Override
    public int insertDevPitmonitSouthsmosDevSp(DevPitmonitSouthsmosDevSp devPitmonitSouthsmosDevSp)
    {
        String userName=SecurityUtils.getUsername();
        devPitmonitSouthsmosDevSp.setCreateBy(StrUtil.isEmpty(userName)?"task":userName);
        devPitmonitSouthsmosDevSp.setCreateTime(DateUtils.getNowDate());
        devPitmonitSouthsmosDevSp.setIsDel(0l);
        return devPitmonitSouthsmosDevSpMapper.insertDevPitmonitSouthsmosDevSp(devPitmonitSouthsmosDevSp);
    }

    /**
     * 修改基坑监测-南方测绘-设备-测点关系
     * 
     * @param devPitmonitSouthsmosDevSp 基坑监测-南方测绘-设备-测点关系
     * @return 结果
     */
    @Override
    public int updateDevPitmonitSouthsmosDevSp(DevPitmonitSouthsmosDevSp devPitmonitSouthsmosDevSp)
    {
        String userName=SecurityUtils.getUsername();
        devPitmonitSouthsmosDevSp.setUpdateBy(StrUtil.isEmpty(userName)?"task":userName);
        devPitmonitSouthsmosDevSp.setUpdateTime(DateUtils.getNowDate());
        return devPitmonitSouthsmosDevSpMapper.updateDevPitmonitSouthsmosDevSp(devPitmonitSouthsmosDevSp);
    }

    /**
     * 批量删除基坑监测-南方测绘-设备-测点关系
     * 
     * @param ids 需要删除的基坑监测-南方测绘-设备-测点关系主键
     * @return 结果
     */
    @Override
    public int deleteDevPitmonitSouthsmosDevSpByIds(Long[] ids)
    {
        return devPitmonitSouthsmosDevSpMapper.deleteDevPitmonitSouthsmosDevSpByIds(ids);
    }

    /**
     * 删除基坑监测-南方测绘-设备-测点关系信息
     * 
     * @param id 基坑监测-南方测绘-设备-测点关系主键
     * @return 结果
     */
    @Override
    public int deleteDevPitmonitSouthsmosDevSpById(Long id)
    {
        return devPitmonitSouthsmosDevSpMapper.deleteDevPitmonitSouthsmosDevSpById(id);
    }

    @Override
    public void addDevPitmonitSouthsmosDevSp(DevPitmonitSouthsmosDevSp item) {
        DevPitmonitSouthsmosDevSp old=selectDevPitmonitSouthsmosDevSpByDevId(item.getDevId(),item.getSpId());
        if(old==null){
            insertDevPitmonitSouthsmosDevSp(item);
        }
    }
}
