package com.ruoyi.quartz.service.impl;

import java.util.List;

import cn.hutool.core.util.StrUtil;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.quartz.domain.DevPitmonitSouthsmosDevSp;
import com.ruoyi.quartz.domain.SurProjectPitMonitCfg;
import com.ruoyi.quartz.service.IDevPitmonitSouthsmosDevSpService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.quartz.mapper.DevPitmonitSouthsmosDeviceMapper;
import com.ruoyi.quartz.domain.DevPitmonitSouthsmosDevice;
import com.ruoyi.quartz.service.IDevPitmonitSouthsmosDeviceService;
import com.ruoyi.common.utils.SecurityUtils;
/**
 * 基坑监测-南方测绘-设备Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-11
 */
@Service
public class DevPitmonitSouthsmosDeviceServiceImpl implements IDevPitmonitSouthsmosDeviceService 
{
    @Autowired
    private DevPitmonitSouthsmosDeviceMapper devPitmonitSouthsmosDeviceMapper;
    @Autowired
    private IDevPitmonitSouthsmosDevSpService devSpService;
    /**
     * 查询基坑监测-南方测绘-设备
     * 
     * @param id 基坑监测-南方测绘-设备主键
     * @return 基坑监测-南方测绘-设备
     */
    @Override
    public DevPitmonitSouthsmosDevice selectDevPitmonitSouthsmosDeviceById(Long id)
    {
        return devPitmonitSouthsmosDeviceMapper.selectDevPitmonitSouthsmosDeviceById(id);
    }

    @Override
    public DevPitmonitSouthsmosDevice selectDevPitmonitSouthsmosDeviceByDevId(Long devId) {
        DevPitmonitSouthsmosDevice where=new DevPitmonitSouthsmosDevice();
        where.setDevId(devId);
        List<DevPitmonitSouthsmosDevice> list=selectDevPitmonitSouthsmosDeviceList(where);
        return list.size()>0?list.get(0):null;
    }

    /**
     * 查询基坑监测-南方测绘-设备列表
     * 
     * @param devPitmonitSouthsmosDevice 基坑监测-南方测绘-设备
     * @return 基坑监测-南方测绘-设备
     */
    @Override
    public List<DevPitmonitSouthsmosDevice> selectDevPitmonitSouthsmosDeviceList(DevPitmonitSouthsmosDevice devPitmonitSouthsmosDevice)
    {
        return devPitmonitSouthsmosDeviceMapper.selectDevPitmonitSouthsmosDeviceList(devPitmonitSouthsmosDevice);
    }

    /**
     * 新增基坑监测-南方测绘-设备
     * 
     * @param devPitmonitSouthsmosDevice 基坑监测-南方测绘-设备
     * @return 结果
     */
    @Override
    public int insertDevPitmonitSouthsmosDevice(DevPitmonitSouthsmosDevice devPitmonitSouthsmosDevice)
    {
        String userName=SecurityUtils.getUsername();
        devPitmonitSouthsmosDevice.setCreateBy(StrUtil.isEmpty(userName)?"task":userName);
        devPitmonitSouthsmosDevice.setCreateTime(DateUtils.getNowDate());
        devPitmonitSouthsmosDevice.setIsDel(0l);
        return devPitmonitSouthsmosDeviceMapper.insertDevPitmonitSouthsmosDevice(devPitmonitSouthsmosDevice);
    }

    /**
     * 修改基坑监测-南方测绘-设备
     * 
     * @param devPitmonitSouthsmosDevice 基坑监测-南方测绘-设备
     * @return 结果
     */
    @Override
    public int updateDevPitmonitSouthsmosDevice(DevPitmonitSouthsmosDevice devPitmonitSouthsmosDevice)
    {
        String userName=SecurityUtils.getUsername();
        devPitmonitSouthsmosDevice.setUpdateBy(StrUtil.isEmpty(userName)?"task":userName);
        devPitmonitSouthsmosDevice.setUpdateTime(DateUtils.getNowDate());
        return devPitmonitSouthsmosDeviceMapper.updateDevPitmonitSouthsmosDevice(devPitmonitSouthsmosDevice);
    }

    /**
     * 批量删除基坑监测-南方测绘-设备
     * 
     * @param ids 需要删除的基坑监测-南方测绘-设备主键
     * @return 结果
     */
    @Override
    public int deleteDevPitmonitSouthsmosDeviceByIds(Long[] ids)
    {
        return devPitmonitSouthsmosDeviceMapper.deleteDevPitmonitSouthsmosDeviceByIds(ids);
    }

    /**
     * 删除基坑监测-南方测绘-设备信息
     * 
     * @param id 基坑监测-南方测绘-设备主键
     * @return 结果
     */
    @Override
    public int deleteDevPitmonitSouthsmosDeviceById(Long id)
    {
        return devPitmonitSouthsmosDeviceMapper.deleteDevPitmonitSouthsmosDeviceById(id);
    }

    @Override
    public void addList(List<DevPitmonitSouthsmosDevice> items, SurProjectPitMonitCfg cfg) {
        items.forEach(it->{
            it.setCfgId(cfg.getId());
            DevPitmonitSouthsmosDevice old= selectDevPitmonitSouthsmosDeviceByDevId(it.getDevId());
            if(old==null) {
                insertDevPitmonitSouthsmosDevice(it);
            }
          it.getSpDevices().forEach(item->{
              item.setCfgId(cfg.getId());
              devSpService.addDevPitmonitSouthsmosDevSp(item);
          });

        });
    }
}
