package com.ruoyi.quartz.service.impl;

import java.util.List;

import cn.hutool.core.util.StrUtil;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.quartz.mapper.DevPitmonitSouthsmosElementItemMapper;
import com.ruoyi.quartz.domain.DevPitmonitSouthsmosElementItem;
import com.ruoyi.quartz.service.IDevPitmonitSouthsmosElementItemService;
import com.ruoyi.common.utils.SecurityUtils;
/**
 * 基坑监测-南方测绘-监测项-明细Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-08
 */
@Service
public class DevPitmonitSouthsmosElementItemServiceImpl implements IDevPitmonitSouthsmosElementItemService 
{
    @Autowired
    private DevPitmonitSouthsmosElementItemMapper devPitmonitSouthsmosElementItemMapper;

    /**
     * 查询基坑监测-南方测绘-监测项-明细
     * 
     * @param id 基坑监测-南方测绘-监测项-明细主键
     * @return 基坑监测-南方测绘-监测项-明细
     */
    @Override
    public DevPitmonitSouthsmosElementItem selectDevPitmonitSouthsmosElementItemById(Long id)
    {
        return devPitmonitSouthsmosElementItemMapper.selectDevPitmonitSouthsmosElementItemById(id);
    }

    @Override
    public DevPitmonitSouthsmosElementItem selectDevPitmonitSouthsmosElementItemBySrvId(Long id) {
        DevPitmonitSouthsmosElementItem where=new DevPitmonitSouthsmosElementItem();
        where.setSrvId(id);
        List<DevPitmonitSouthsmosElementItem> list=selectDevPitmonitSouthsmosElementItemList(where);
        return list.size()==1?list.get(0):null;
    }

    /**
     * 查询基坑监测-南方测绘-监测项-明细列表
     * 
     * @param devPitmonitSouthsmosElementItem 基坑监测-南方测绘-监测项-明细
     * @return 基坑监测-南方测绘-监测项-明细
     */
    @Override
    public List<DevPitmonitSouthsmosElementItem> selectDevPitmonitSouthsmosElementItemList(DevPitmonitSouthsmosElementItem devPitmonitSouthsmosElementItem)
    {
        return devPitmonitSouthsmosElementItemMapper.selectDevPitmonitSouthsmosElementItemList(devPitmonitSouthsmosElementItem);
    }

    /**
     * 新增基坑监测-南方测绘-监测项-明细
     * 
     * @param devPitmonitSouthsmosElementItem 基坑监测-南方测绘-监测项-明细
     * @return 结果
     */
    @Override
    public int insertDevPitmonitSouthsmosElementItem(DevPitmonitSouthsmosElementItem devPitmonitSouthsmosElementItem)
    {
        if(selectDevPitmonitSouthsmosElementItemBySrvId(devPitmonitSouthsmosElementItem.getSrvId())!=null){
                return 0;
        }
        String userName=SecurityUtils.getUsername();
        devPitmonitSouthsmosElementItem.setCreateBy(StrUtil.isEmpty(userName)?"task":userName);
        devPitmonitSouthsmosElementItem.setCreateTime(DateUtils.getNowDate());
        devPitmonitSouthsmosElementItem.setIsDel(0l);
        return devPitmonitSouthsmosElementItemMapper.insertDevPitmonitSouthsmosElementItem(devPitmonitSouthsmosElementItem);
    }

    /**
     * 修改基坑监测-南方测绘-监测项-明细
     * 
     * @param devPitmonitSouthsmosElementItem 基坑监测-南方测绘-监测项-明细
     * @return 结果
     */
    @Override
    public int updateDevPitmonitSouthsmosElementItem(DevPitmonitSouthsmosElementItem devPitmonitSouthsmosElementItem)
    {
        String userName=SecurityUtils.getUsername();
        devPitmonitSouthsmosElementItem.setUpdateBy(StrUtil.isEmpty(userName)?"task":userName);
        devPitmonitSouthsmosElementItem.setUpdateTime(DateUtils.getNowDate());
        return devPitmonitSouthsmosElementItemMapper.updateDevPitmonitSouthsmosElementItem(devPitmonitSouthsmosElementItem);
    }

    /**
     * 批量删除基坑监测-南方测绘-监测项-明细
     * 
     * @param ids 需要删除的基坑监测-南方测绘-监测项-明细主键
     * @return 结果
     */
    @Override
    public int deleteDevPitmonitSouthsmosElementItemByIds(Long[] ids)
    {
        return devPitmonitSouthsmosElementItemMapper.deleteDevPitmonitSouthsmosElementItemByIds(ids);
    }

    /**
     * 删除基坑监测-南方测绘-监测项-明细信息
     * 
     * @param id 基坑监测-南方测绘-监测项-明细主键
     * @return 结果
     */
    @Override
    public int deleteDevPitmonitSouthsmosElementItemById(Long id)
    {
        return devPitmonitSouthsmosElementItemMapper.deleteDevPitmonitSouthsmosElementItemById(id);
    }
}
