package com.ruoyi.quartz.service.impl;

import java.util.List;

import cn.hutool.core.util.StrUtil;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.quartz.domain.SurProjectPitMonitCfg;
import com.ruoyi.quartz.mapper.DevPitmonitSouthsmosElementItemMapper;
import com.ruoyi.quartz.service.IDevPitmonitSouthsmosElementItemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.quartz.mapper.DevPitmonitSouthsmosElementMapper;
import com.ruoyi.quartz.domain.DevPitmonitSouthsmosElement;
import com.ruoyi.quartz.service.IDevPitmonitSouthsmosElementService;
import com.ruoyi.common.utils.SecurityUtils;
/**
 * 基坑监测-南方测绘-监测项Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-08
 */
@Service
public class DevPitmonitSouthsmosElementServiceImpl implements IDevPitmonitSouthsmosElementService 
{
    @Autowired
    private DevPitmonitSouthsmosElementMapper devPitmonitSouthsmosElementMapper;
    @Autowired
    private IDevPitmonitSouthsmosElementItemService elementItemService;
    /**
     * 查询基坑监测-南方测绘-监测项
     * 
     * @param id 基坑监测-南方测绘-监测项主键
     * @return 基坑监测-南方测绘-监测项
     */
    @Override
    public DevPitmonitSouthsmosElement selectDevPitmonitSouthsmosElementById(Long id)
    {
        return devPitmonitSouthsmosElementMapper.selectDevPitmonitSouthsmosElementById(id);
    }

    @Override
    public DevPitmonitSouthsmosElement selectDevPitmonitSouthsmosElementBySrvId(Long id) {
        DevPitmonitSouthsmosElement where=new DevPitmonitSouthsmosElement();
        where.setSrvId(id);
        List<DevPitmonitSouthsmosElement> list=selectDevPitmonitSouthsmosElementList(where);
        return list.size()==1?list.get(0): null;
    }

    /**
     * 查询基坑监测-南方测绘-监测项列表
     * 
     * @param devPitmonitSouthsmosElement 基坑监测-南方测绘-监测项
     * @return 基坑监测-南方测绘-监测项
     */
    @Override
    public List<DevPitmonitSouthsmosElement> selectDevPitmonitSouthsmosElementList(DevPitmonitSouthsmosElement devPitmonitSouthsmosElement)
    {
        return devPitmonitSouthsmosElementMapper.selectDevPitmonitSouthsmosElementList(devPitmonitSouthsmosElement);
    }

    /**
     * 新增基坑监测-南方测绘-监测项
     * 
     * @param devPitmonitSouthsmosElement 基坑监测-南方测绘-监测项
     * @return 结果
     */
    @Override
    public int insertDevPitmonitSouthsmosElement(DevPitmonitSouthsmosElement devPitmonitSouthsmosElement)
    {
        String userName=SecurityUtils.getUsername();
        devPitmonitSouthsmosElement.setCreateBy(StrUtil.isEmpty(userName)?"task":userName);
        devPitmonitSouthsmosElement.setCreateTime(DateUtils.getNowDate());
        devPitmonitSouthsmosElement.setIsDel(0l);
        return devPitmonitSouthsmosElementMapper.insertDevPitmonitSouthsmosElement(devPitmonitSouthsmosElement);
    }

    /**
     * 修改基坑监测-南方测绘-监测项
     * 
     * @param devPitmonitSouthsmosElement 基坑监测-南方测绘-监测项
     * @return 结果
     */
    @Override
    public int updateDevPitmonitSouthsmosElement(DevPitmonitSouthsmosElement devPitmonitSouthsmosElement)
    {
        String userName=SecurityUtils.getUsername();
        devPitmonitSouthsmosElement.setUpdateBy(StrUtil.isEmpty(userName)?"task":userName);
        devPitmonitSouthsmosElement.setUpdateTime(DateUtils.getNowDate());
        return devPitmonitSouthsmosElementMapper.updateDevPitmonitSouthsmosElement(devPitmonitSouthsmosElement);
    }

    /**
     * 批量删除基坑监测-南方测绘-监测项
     * 
     * @param ids 需要删除的基坑监测-南方测绘-监测项主键
     * @return 结果
     */
    @Override
    public int deleteDevPitmonitSouthsmosElementByIds(Long[] ids)
    {
        return devPitmonitSouthsmosElementMapper.deleteDevPitmonitSouthsmosElementByIds(ids);
    }

    /**
     * 删除基坑监测-南方测绘-监测项信息
     * 
     * @param id 基坑监测-南方测绘-监测项主键
     * @return 结果
     */
    @Override
    public int deleteDevPitmonitSouthsmosElementById(Long id)
    {
        return devPitmonitSouthsmosElementMapper.deleteDevPitmonitSouthsmosElementById(id);
    }

    @Override
    public void addList(List<DevPitmonitSouthsmosElement> elList, SurProjectPitMonitCfg cfg) {
        elList.forEach(el->{
            el.setCfgId(cfg.getId());
            DevPitmonitSouthsmosElement old=selectDevPitmonitSouthsmosElementBySrvId(el.getSrvId());
            if(old==null){
                insertDevPitmonitSouthsmosElement(el);
            }
            if(el.getItems()!=null){
                el.getItems().forEach(item->{
                    item.setCfgId(cfg.getId());
                    elementItemService.insertDevPitmonitSouthsmosElementItem(item);
                });
            }
        });
    }
}
