package com.ruoyi.quartz.service.impl;

import java.util.List;

import cn.hutool.core.util.StrUtil;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.quartz.domain.SurProjectPitMonitCfg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.quartz.mapper.DevPitmonitSouthsmosSurveypointMapper;
import com.ruoyi.quartz.domain.DevPitmonitSouthsmosSurveypoint;
import com.ruoyi.quartz.service.IDevPitmonitSouthsmosSurveypointService;
import com.ruoyi.common.utils.SecurityUtils;
/**
 * 基坑监测-南方测绘-测点Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-08
 */
@Service
public class DevPitmonitSouthsmosSurveypointServiceImpl implements IDevPitmonitSouthsmosSurveypointService 
{
    @Autowired
    private DevPitmonitSouthsmosSurveypointMapper devPitmonitSouthsmosSurveypointMapper;

    /**
     * 查询基坑监测-南方测绘-测点
     * 
     * @param id 基坑监测-南方测绘-测点主键
     * @return 基坑监测-南方测绘-测点
     */
    @Override
    public DevPitmonitSouthsmosSurveypoint selectDevPitmonitSouthsmosSurveypointById(Long id)
    {
        return devPitmonitSouthsmosSurveypointMapper.selectDevPitmonitSouthsmosSurveypointById(id);
    }

    @Override
    public DevPitmonitSouthsmosSurveypoint selectDevPitmonitSouthsmosSurveypointBySpId(Long id) {
        DevPitmonitSouthsmosSurveypoint where=new DevPitmonitSouthsmosSurveypoint();
        where.setSpId(id);
        List<DevPitmonitSouthsmosSurveypoint> list=selectDevPitmonitSouthsmosSurveypointList(where);
        return list.size()==1?list.get(0): null;
    }

    /**
     * 查询基坑监测-南方测绘-测点列表
     * 
     * @param devPitmonitSouthsmosSurveypoint 基坑监测-南方测绘-测点
     * @return 基坑监测-南方测绘-测点
     */
    @Override
    public List<DevPitmonitSouthsmosSurveypoint> selectDevPitmonitSouthsmosSurveypointList(DevPitmonitSouthsmosSurveypoint devPitmonitSouthsmosSurveypoint)
    {
        return devPitmonitSouthsmosSurveypointMapper.selectDevPitmonitSouthsmosSurveypointList(devPitmonitSouthsmosSurveypoint);
    }

    /**
     * 新增基坑监测-南方测绘-测点
     * 
     * @param devPitmonitSouthsmosSurveypoint 基坑监测-南方测绘-测点
     * @return 结果
     */
    @Override
    public int insertDevPitmonitSouthsmosSurveypoint(DevPitmonitSouthsmosSurveypoint devPitmonitSouthsmosSurveypoint)
    {
        String userName=SecurityUtils.getUsername();
        devPitmonitSouthsmosSurveypoint.setCreateBy(StrUtil.isEmpty(userName)?"task":userName);
        devPitmonitSouthsmosSurveypoint.setCreateTime(DateUtils.getNowDate());
        devPitmonitSouthsmosSurveypoint.setIsDel(0l);
        return devPitmonitSouthsmosSurveypointMapper.insertDevPitmonitSouthsmosSurveypoint(devPitmonitSouthsmosSurveypoint);
    }

    /**
     * 修改基坑监测-南方测绘-测点
     * 
     * @param devPitmonitSouthsmosSurveypoint 基坑监测-南方测绘-测点
     * @return 结果
     */
    @Override
    public int updateDevPitmonitSouthsmosSurveypoint(DevPitmonitSouthsmosSurveypoint devPitmonitSouthsmosSurveypoint)
    {
        String userName=SecurityUtils.getUsername();
        devPitmonitSouthsmosSurveypoint.setUpdateBy(StrUtil.isEmpty(userName)?"task":userName);
        devPitmonitSouthsmosSurveypoint.setUpdateTime(DateUtils.getNowDate());
        return devPitmonitSouthsmosSurveypointMapper.updateDevPitmonitSouthsmosSurveypoint(devPitmonitSouthsmosSurveypoint);
    }

    /**
     * 批量删除基坑监测-南方测绘-测点
     * 
     * @param ids 需要删除的基坑监测-南方测绘-测点主键
     * @return 结果
     */
    @Override
    public int deleteDevPitmonitSouthsmosSurveypointByIds(Long[] ids)
    {
        return devPitmonitSouthsmosSurveypointMapper.deleteDevPitmonitSouthsmosSurveypointByIds(ids);
    }

    /**
     * 删除基坑监测-南方测绘-测点信息
     * 
     * @param id 基坑监测-南方测绘-测点主键
     * @return 结果
     */
    @Override
    public int deleteDevPitmonitSouthsmosSurveypointById(Long id)
    {
        return devPitmonitSouthsmosSurveypointMapper.deleteDevPitmonitSouthsmosSurveypointById(id);
    }

    @Override
    public void addList(List<DevPitmonitSouthsmosSurveypoint> ptList, SurProjectPitMonitCfg cfg) {
        ptList.forEach(pt->{
            pt.setCfgId(cfg.getId());
            DevPitmonitSouthsmosSurveypoint old=selectDevPitmonitSouthsmosSurveypointBySpId(pt.getSpId());
            if(old==null){
                insertDevPitmonitSouthsmosSurveypoint(pt);
            }
        });
    }
}
