package com.ruoyi.quartz.service.impl;

import java.util.List;

import cn.hutool.core.util.StrUtil;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.quartz.domain.SurProjectPitMonitCfg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.quartz.mapper.DevPitmonitSouthsmosThresholdMapper;
import com.ruoyi.quartz.domain.DevPitmonitSouthsmosThreshold;
import com.ruoyi.quartz.service.IDevPitmonitSouthsmosThresholdService;
import com.ruoyi.common.utils.SecurityUtils;
/**
 * 报警阈值Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-09
 */
@Service
public class DevPitmonitSouthsmosThresholdServiceImpl implements IDevPitmonitSouthsmosThresholdService 
{
    @Autowired
    private DevPitmonitSouthsmosThresholdMapper devPitmonitSouthsmosThresholdMapper;

    /**
     * 查询报警阈值
     * 
     * @param id 报警阈值主键
     * @return 报警阈值
     */
    @Override
    public DevPitmonitSouthsmosThreshold selectDevPitmonitSouthsmosThresholdById(Long id)
    {
        return devPitmonitSouthsmosThresholdMapper.selectDevPitmonitSouthsmosThresholdById(id);
    }

    @Override
    public DevPitmonitSouthsmosThreshold selectDevPitmonitSouthsmosThresholdBySrvId(Long id) {
        DevPitmonitSouthsmosThreshold where=new DevPitmonitSouthsmosThreshold();
        where.setSrvId(id);
        List<DevPitmonitSouthsmosThreshold> list=selectDevPitmonitSouthsmosThresholdList(where);
        return list.size()==1?list.get(0):null;
    }

    /**
     * 查询报警阈值列表
     * 
     * @param devPitmonitSouthsmosThreshold 报警阈值
     * @return 报警阈值
     */
    @Override
    public List<DevPitmonitSouthsmosThreshold> selectDevPitmonitSouthsmosThresholdList(DevPitmonitSouthsmosThreshold devPitmonitSouthsmosThreshold)
    {
        return devPitmonitSouthsmosThresholdMapper.selectDevPitmonitSouthsmosThresholdList(devPitmonitSouthsmosThreshold);
    }

    /**
     * 新增报警阈值
     * 
     * @param devPitmonitSouthsmosThreshold 报警阈值
     * @return 结果
     */
    @Override
    public int insertDevPitmonitSouthsmosThreshold(DevPitmonitSouthsmosThreshold devPitmonitSouthsmosThreshold)
    {
        String userName=SecurityUtils.getUsername();
        devPitmonitSouthsmosThreshold.setCreateBy(StrUtil.isEmpty(userName)?"task":userName);
        devPitmonitSouthsmosThreshold.setCreateTime(DateUtils.getNowDate());
        devPitmonitSouthsmosThreshold.setIsDel(0l);
        return devPitmonitSouthsmosThresholdMapper.insertDevPitmonitSouthsmosThreshold(devPitmonitSouthsmosThreshold);
    }

    /**
     * 修改报警阈值
     * 
     * @param devPitmonitSouthsmosThreshold 报警阈值
     * @return 结果
     */
    @Override
    public int updateDevPitmonitSouthsmosThreshold(DevPitmonitSouthsmosThreshold devPitmonitSouthsmosThreshold)
    {
        String userName=SecurityUtils.getUsername();
        devPitmonitSouthsmosThreshold.setUpdateBy(StrUtil.isEmpty(userName)?"task":userName);
        devPitmonitSouthsmosThreshold.setUpdateTime(DateUtils.getNowDate());
        return devPitmonitSouthsmosThresholdMapper.updateDevPitmonitSouthsmosThreshold(devPitmonitSouthsmosThreshold);
    }

    /**
     * 批量删除报警阈值
     * 
     * @param ids 需要删除的报警阈值主键
     * @return 结果
     */
    @Override
    public int deleteDevPitmonitSouthsmosThresholdByIds(Long[] ids)
    {
        return devPitmonitSouthsmosThresholdMapper.deleteDevPitmonitSouthsmosThresholdByIds(ids);
    }

    /**
     * 删除报警阈值信息
     * 
     * @param id 报警阈值主键
     * @return 结果
     */
    @Override
    public int deleteDevPitmonitSouthsmosThresholdById(Long id)
    {
        return devPitmonitSouthsmosThresholdMapper.deleteDevPitmonitSouthsmosThresholdById(id);
    }

    @Override
    public void addList(List<DevPitmonitSouthsmosThreshold> thList, SurProjectPitMonitCfg cfg) {
        thList.forEach(th->{
            th.setCfgId(cfg.getId());
            DevPitmonitSouthsmosThreshold old=selectDevPitmonitSouthsmosThresholdBySrvId(th.getSrvId());
            if(old==null){
                insertDevPitmonitSouthsmosThreshold(th);
            }
        });
    }
}
