package com.ruoyi.quartz.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.quartz.domain.QuartzProjectAttendanceCfg;
import com.ruoyi.quartz.domain.QuartzProjectAttendanceData;
import com.ruoyi.quartz.domain.QuartzProjectAttendanceUser;
import com.ruoyi.quartz.mapper.QuartzProjectAttendanceUserMapper;
import com.ruoyi.quartz.service.IQuartzProjectAttendanceUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 考勤人员基本属性Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-09-24
 */
@Service
public class QuartzProjectAttendanceUserServiceImpl implements IQuartzProjectAttendanceUserService
{
    @Autowired
    private QuartzProjectAttendanceUserMapper quartzProjectAttendanceUserMapper;

    /**
     * 查询考勤人员基本属性
     * 
     * @param id 考勤人员基本属性主键
     * @return 考勤人员基本属性
     */
    @Override
    public QuartzProjectAttendanceUser selectSurProjectAttendanceUserById(Long id)
    {
        return quartzProjectAttendanceUserMapper.selectSurProjectAttendanceUserById(id);
    }

    /**
     * 查询考勤人员信息
     *
     * @param quartzProjectAttendanceUser
     * @return 考勤人员基本属性
     */
    @Override
    public QuartzProjectAttendanceUser findCurrentAttendanceUser(QuartzProjectAttendanceUser quartzProjectAttendanceUser) {
        return quartzProjectAttendanceUserMapper.findCurrentAttendanceUser(quartzProjectAttendanceUser);
    }

    /**
     * 查询[研筑]考勤人员信息
     *
     * @param quartzProjectAttendanceUser
     * @return 考勤人员基本属性
     */
    public QuartzProjectAttendanceUser findYzCurrentAttendanceUser(QuartzProjectAttendanceUser quartzProjectAttendanceUser){
        return quartzProjectAttendanceUserMapper.findYzCurrentAttendanceUser(quartzProjectAttendanceUser);
    }

    /**
     * 查询考勤人员基本属性列表
     * 
     * @param quartzProjectAttendanceUser 考勤人员基本属性
     * @return 考勤人员基本属性
     */
    @Override
    public List<QuartzProjectAttendanceUser> selectSurProjectAttendanceUserList(QuartzProjectAttendanceUser quartzProjectAttendanceUser)
    {
        return quartzProjectAttendanceUserMapper.selectSurProjectAttendanceUserList(quartzProjectAttendanceUser);
    }

    /**
     * 新增考勤人员基本属性
     * 
     * @param quartzProjectAttendanceUser 考勤人员基本属性
     * @return 结果
     */
    @Override
    public int insertSurProjectAttendanceUser(QuartzProjectAttendanceUser quartzProjectAttendanceUser)
    {
        if(StringUtils.isEmpty(quartzProjectAttendanceUser.getCreateBy())){
            quartzProjectAttendanceUser.setCreateBy("task");
            quartzProjectAttendanceUser.setCreateTime(DateUtils.getNowDate());
        }
        return quartzProjectAttendanceUserMapper.insertSurProjectAttendanceUser(quartzProjectAttendanceUser);
    }

    /**
     * 修改考勤人员基本属性
     * 
     * @param quartzProjectAttendanceUser 考勤人员基本属性
     * @return 结果
     */
    @Override
    public int updateSurProjectAttendanceUser(QuartzProjectAttendanceUser quartzProjectAttendanceUser)
    {
        if(StringUtils.isEmpty(quartzProjectAttendanceUser.getCreateBy())){
            quartzProjectAttendanceUser.setUpdateBy("task");
        }
        quartzProjectAttendanceUser.setUpdateTime(DateUtils.getNowDate());
        return quartzProjectAttendanceUserMapper.updateSurProjectAttendanceUser(quartzProjectAttendanceUser);
    }

    /**
     * 批量删除考勤人员基本属性
     * 
     * @param ids 需要删除的考勤人员基本属性主键
     * @return 结果
     */
    @Override
    public int deleteSurProjectAttendanceUserByIds(Long[] ids)
    {
        return quartzProjectAttendanceUserMapper.deleteSurProjectAttendanceUserByIds(ids);
    }

    /**
     * 删除考勤人员基本属性信息
     * 
     * @param id 考勤人员基本属性主键
     * @return 结果
     */
    @Override
    public int deleteSurProjectAttendanceUserById(Long id)
    {
        return quartzProjectAttendanceUserMapper.deleteSurProjectAttendanceUserById(id);
    }

    /**
     * 批量删除考勤人员基本属性
     *
     * @param list 需要删除的数据参数集合
     * @return 结果
     */
    @Override
    public int deleteSurProjectAttendanceUserByParams(List<String> list) {
        return quartzProjectAttendanceUserMapper.deleteSurProjectAttendanceUserByParams(list);
    }

    /**
     * 批量新增考勤人员基本属性
     *
     * @param quartzProjectAttendanceUserList 考勤人员基本属性列表
     * @return 结果
     */
    @Override
    public int batchSurProjectAttendanceUser(List<QuartzProjectAttendanceUser> quartzProjectAttendanceUserList) {
        return quartzProjectAttendanceUserMapper.batchSurProjectAttendanceUser(quartzProjectAttendanceUserList);
    }

    @Override
    public void add(QuartzProjectAttendanceUser user) {
        QuartzProjectAttendanceUser where=new QuartzProjectAttendanceUser();
        where.setWorkerId(user.getWorkerId());
        where.setCfgid(user.getCfgid());
        List<QuartzProjectAttendanceUser> list=selectSurProjectAttendanceUserList(where);
        if(list.size()==0){
            insertSurProjectAttendanceUser(user);
        }else{
            QuartzProjectAttendanceUser old=list.get(0);
            if(user.getVendorsCode().equals("jgw")){
                user.setCompanyId(old.getCompanyId());
                String oldNav=old.getNativePlace();
                String newNav=user.getNativePlace();
                if(oldNav==null || !oldNav.equals(newNav)){
                    old.setNativePlace(newNav);
                }
            }
            user.setId(old.getId());
            updateSurProjectAttendanceUser(user);
        }
    }

    @Override
    public List<QuartzProjectAttendanceUser> queryAttendanceData(QuartzProjectAttendanceUser where) {
        List<QuartzProjectAttendanceUser> list= quartzProjectAttendanceUserMapper.queryAttendanceUsers(where);
        List<String> workerIds=new ArrayList<>();
        for(QuartzProjectAttendanceUser u: list){
            workerIds.add(u.getWorkerId());
        }
        where.setWorkerIds(workerIds);
        List<QuartzProjectAttendanceUser> datas= quartzProjectAttendanceUserMapper.todayAttendanceData(workerIds);
        for (QuartzProjectAttendanceUser u:list) {
            u.setInTime(findDate(datas,u,"E"));
            u.setOutTime(findDate(datas,u,"L"));
        }
        return list;
    }

    @Override
    public long countTodayAttendance(QuartzProjectAttendanceUser where) {
        return quartzProjectAttendanceUserMapper.countTodayAttendance(where);
    }

    @Override
    public List<QuartzProjectAttendanceUser> todayAttendance(QuartzProjectAttendanceUser where) {
        if(where.getIndex()<1){
            where.setIndex(1);
        }
        where.setIndex((where.getIndex()-1)* where.getSize());
        List<QuartzProjectAttendanceUser> list= quartzProjectAttendanceUserMapper.todayAttendance(where);
        List<String> workerIds=new ArrayList<>();
        for(QuartzProjectAttendanceUser u: list){
            workerIds.add(u.getWorkerId());
        }
        List<QuartzProjectAttendanceUser> datas= quartzProjectAttendanceUserMapper.todayAttendanceData(workerIds);
        for (QuartzProjectAttendanceUser u:list) {
            u.setInTime(findDate(datas,u,"E"));
            u.setOutTime(findDate(datas,u,"L"));
        }
        return list;
    }

    @Override
    public long countAttendance(QuartzProjectAttendanceUser user) {
        QuartzProjectAttendanceCfg where=new QuartzProjectAttendanceCfg();
        where.setCreateBy(user.getCreateBy());
        where.setSubDeptId(user.getSubDeptId());
        where.setProjectId(user.getProjectId());
        return quartzProjectAttendanceUserMapper.countAttendance(where);
    }

    @Override
    public List<QuartzProjectAttendanceUser> selectSurProjectAttendanceUserListJgw(QuartzProjectAttendanceUser quartzProjectAttendanceUser) {
        return quartzProjectAttendanceUserMapper.selectSurProjectAttendanceUserListJgw(quartzProjectAttendanceUser);
    }

    /**
     * 在岗工人查询
     * @param where
     * @return
     */
    @Override
    public List<QuartzProjectAttendanceUser> queryWorkerOnDuty(QuartzProjectAttendanceUser where) {
        return quartzProjectAttendanceUserMapper.queryWorkerOnDuty(where);
    }

    /**
     * 统计人员数据
     * @param where
     * @return
     */
    public List<Map<String, Object>> groupUserByParams(QuartzProjectAttendanceUser where){
        return quartzProjectAttendanceUserMapper.groupUserByParams(where);
    }

    /**
     * 在岗工人查询
     * @param where
     * @return
     */
    @Override
    public List<QuartzProjectAttendanceUser> attendanceUserList(QuartzProjectAttendanceUser where){
        return quartzProjectAttendanceUserMapper.attendanceUserList(where);
    }

    /**
     * 统计人员数据
     * @param projectId
     * @return
     */
    @Override
    public List<Map<String, Object>> findUserAllByDays(Long projectId){
        return quartzProjectAttendanceUserMapper.findUserAllByDays(projectId);
    }

    /**
     * 按部门汇总在岗人数
     * @param where
     * @return
     */
    @Override
    public List<QuartzProjectAttendanceData> groupByWorkerOnDutyByDept(QuartzProjectAttendanceUser where) {
        return quartzProjectAttendanceUserMapper.groupByWorkerOnDutyByDept(where);
    }

    @Override
    public List<QuartzProjectAttendanceUser> querySurProjectAttendanceUserList(QuartzProjectAttendanceUser quartzProjectAttendanceUser) {
        return quartzProjectAttendanceUserMapper.querySurProjectAttendanceUserList(quartzProjectAttendanceUser);
    }
    /**
     * 按部门汇总在岗|离岗人数
     * @param where
     * @return
     */
    @Override
    public List<QuartzProjectAttendanceData> groupByWorkerByDept(QuartzProjectAttendanceUser where) {
        return quartzProjectAttendanceUserMapper.groupByWorkerByDept(where);
    }
    /**
     * 在岗|离岗工人查询
     * @param where
     * @return
     */
    @Override
    public List<QuartzProjectAttendanceUser> queryWorkerByState(QuartzProjectAttendanceUser where) {
        return quartzProjectAttendanceUserMapper.queryWorkerByState(where);
    }

    private Date findDate(List<QuartzProjectAttendanceUser> datas, QuartzProjectAttendanceUser u, String type) {
        for (QuartzProjectAttendanceUser user:datas) {
            if(user.getWorkerId().equals(u.getWorkerId()) && user.getName().equals(type)){
                if(type.equals("L")){
                    return user.getOutTime();
                }else{
                    return user.getInTime();
                }
            }
        }
        return  null;
    }

}
