package com.ruoyi.quartz.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.quartz.mapper.SurProjectPitMonitCfgMapper;
import com.ruoyi.quartz.domain.SurProjectPitMonitCfg;
import com.ruoyi.quartz.service.ISurProjectPitMonitCfgService;
import com.ruoyi.common.utils.SecurityUtils;
/**
 * 项目基坑监测配置
Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-08
 */
@Service
public class SurProjectPitMonitCfgServiceImpl implements ISurProjectPitMonitCfgService 
{
    @Autowired
    private SurProjectPitMonitCfgMapper surProjectPitMonitCfgMapper;

    /**
     * 查询项目基坑监测配置

     * 
     * @param id 项目基坑监测配置
主键
     * @return 项目基坑监测配置

     */
    @Override
    public SurProjectPitMonitCfg selectSurProjectPitMonitCfgById(Long id)
    {
        return surProjectPitMonitCfgMapper.selectSurProjectPitMonitCfgById(id);
    }

    /**
     * 查询项目基坑监测配置
列表
     * 
     * @param surProjectPitMonitCfg 项目基坑监测配置

     * @return 项目基坑监测配置

     */
    @Override
    public List<SurProjectPitMonitCfg> selectSurProjectPitMonitCfgList(SurProjectPitMonitCfg surProjectPitMonitCfg)
    {
        return surProjectPitMonitCfgMapper.selectSurProjectPitMonitCfgList(surProjectPitMonitCfg);
    }

    /**
     * 新增项目基坑监测配置

     * 
     * @param surProjectPitMonitCfg 项目基坑监测配置

     * @return 结果
     */
    @Override
    public int insertSurProjectPitMonitCfg(SurProjectPitMonitCfg surProjectPitMonitCfg)
    {
        surProjectPitMonitCfg.setCreateBy(SecurityUtils.getUsername());
        surProjectPitMonitCfg.setCreateTime(DateUtils.getNowDate());
        return surProjectPitMonitCfgMapper.insertSurProjectPitMonitCfg(surProjectPitMonitCfg);
    }

    /**
     * 修改项目基坑监测配置

     * 
     * @param surProjectPitMonitCfg 项目基坑监测配置

     * @return 结果
     */
    @Override
    public int updateSurProjectPitMonitCfg(SurProjectPitMonitCfg surProjectPitMonitCfg)
    {
        surProjectPitMonitCfg.setUpdateBy(SecurityUtils.getUsername());
        surProjectPitMonitCfg.setUpdateTime(DateUtils.getNowDate());
        return surProjectPitMonitCfgMapper.updateSurProjectPitMonitCfg(surProjectPitMonitCfg);
    }

    /**
     * 批量删除项目基坑监测配置

     * 
     * @param ids 需要删除的项目基坑监测配置
主键
     * @return 结果
     */
    @Override
    public int deleteSurProjectPitMonitCfgByIds(Long[] ids)
    {
        return surProjectPitMonitCfgMapper.deleteSurProjectPitMonitCfgByIds(ids);
    }

    /**
     * 删除项目基坑监测配置
信息
     * 
     * @param id 项目基坑监测配置
主键
     * @return 结果
     */
    @Override
    public int deleteSurProjectPitMonitCfgById(Long id)
    {
        return surProjectPitMonitCfgMapper.deleteSurProjectPitMonitCfgById(id);
    }
}
