package com.ruoyi.quartz.task;

import com.ruoyi.common.core.redis.RedisCache;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.quartz.service.ITaskService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import com.ruoyi.common.utils.StringUtils;

import java.util.*;

/**
 * 定时任务调度测试
 * 
 * @author ruoyi
 */
@Component("ryTask")
public class RyTask
{
    @Autowired
    private RedisCache redisCache;

    @Autowired
    private ITaskService taskService;

    public void ryMultipleParams(String s, Boolean b, Long l, Double d, Integer i)
    {
        System.out.println(StringUtils.format("执行多参方法： 字符串类型{}，布尔类型{}，长整型{}，浮点型{}，整形{}", s, b, l, d, i));
    }

    public void ryParams(String params)
    {
        System.out.println("执行有参方法：" + params);
    }

    public void ryNoParams()
    {
        System.out.println("执行无参方法");
    }

    /**
     * 定时清除超时的塔吊数据
     */
    public void expiredTowerData()
    {
        Calendar cal = Calendar.getInstance();
        Date date = new Date();
        cal.setTime(date);
        cal.add(Calendar.DATE,-15);
        String dateStr = DateUtils.parseDateToStr(DateUtils.YYYY_MM_DD,cal.getTime());
        Long maxId = taskService.findTowerMaxIdByDate(dateStr);
        if(maxId!=null){
            taskService.deleteDevTowerDataRunByMaxId(maxId);
        }
    }

    /**
     * 监测塔基设备状态
     */
    public void findDeviceTowerOnline()
    {
        List<Map<String, Object>> list = taskService.findAllTowerMaxId();
        for (Map<String, Object> map:list){
            Date date = (Date)map.get("createTime");
            long times = System.currentTimeMillis()-(5*60000);
            if(date.getTime()<times){
                map.put("online","2");
            }else{
                map.put("online","1");
            }
            taskService.updateTowerConfigOnline(map);
        }
    }

}
