package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户绑定小程序openId对象 sys_user_openid
 * 
 * @author ruoyi
 * @date 2024-04-01
 */
public class SysUserOpenid extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 小程序openId */
    @Excel(name = "小程序openId")
    private String openId;

    /** 公众号openId（消息） */
    @Excel(name = "公众号openId", readConverterExp = "消=息")
    private String msgOpenId;

    /** 用户Id */
    @Excel(name = "用户Id")
    private String userId;

    /** 用户登录名 */
    @Excel(name = "用户登录名")
    private String loginName;

    /** 小程序昵称 */
    @Excel(name = "小程序昵称")
    private String nickname;

    /** 删除状态（0：未删除；1：删除） */
    @Excel(name = "删除状态", readConverterExp = "0=：未删除；1：删除")
    private Long isDel;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date creatTime;

    /** 唯一应用id */
    @Excel(name = "唯一应用id")
    private String unionid;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setOpenId(String openId) 
    {
        this.openId = openId;
    }

    public String getOpenId() 
    {
        return openId;
    }
    public void setMsgOpenId(String msgOpenId) 
    {
        this.msgOpenId = msgOpenId;
    }

    public String getMsgOpenId() 
    {
        return msgOpenId;
    }
    public void setUserId(String userId) 
    {
        this.userId = userId;
    }

    public String getUserId() 
    {
        return userId;
    }
    public void setLoginName(String loginName) 
    {
        this.loginName = loginName;
    }

    public String getLoginName() 
    {
        return loginName;
    }
    public void setNickname(String nickname) 
    {
        this.nickname = nickname;
    }

    public String getNickname() 
    {
        return nickname;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }
    public void setCreatTime(Date creatTime) 
    {
        this.creatTime = creatTime;
    }

    public Date getCreatTime() 
    {
        return creatTime;
    }
    public void setUnionid(String unionid) 
    {
        this.unionid = unionid;
    }

    public String getUnionid() 
    {
        return unionid;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("openId", getOpenId())
            .append("msgOpenId", getMsgOpenId())
            .append("userId", getUserId())
            .append("loginName", getLoginName())
            .append("nickname", getNickname())
            .append("isDel", getIsDel())
            .append("creatTime", getCreatTime())
            .append("unionid", getUnionid())
            .toString();
    }
}
