package com.ruoyi.system.domain.vo;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;
import javax.validation.constraints.Size;

/**
 * 修改密码
 */
@Data
public class AlertUserPassVo {

    private static final long serialVersionUID = 1L;

    /**
     * 手机号码格式限制
     */
    public static final String MOBILE_PHONE_NUMBER_PATTERN = "^0{0,1}(13[0-9]|15[0-9]|14[0-9]|18[0-9])[0-9]{8}$";

    /**
     * 登录账号
     */
    @NotBlank(message = "登录账号不能为空")
    @Pattern(regexp = "^0{0,1}(13[0-9]|15[0-9]|14[0-9]|18[0-9])[0-9]{8}$", message = "手机号格式异常")
    private String loginName;

    @NotBlank(message = "登录密码不能为空")
    @Size(min = 6, max = 20, message = "登录密码格式异常")
    private String password;

    @NotBlank(message = "确认密码不能为空")
    @Size(min = 6, max = 20, message = "确认密码格式异常")
    private String confPass;

    @Size(min = 6, max = 20, message = "旧密码格式异常")
    private String oldPass;

    @Pattern(regexp = "^[0-9]{6}$", message = "验证码格式异常")
    private String code;

    /**
     * 来源
     */
    @NotBlank(message = "来源不能为空")
    @Pattern(regexp = "r|u", message = "来源异常")
    private String source;
}
