package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.SysUserOpenid;

/**
 * 用户绑定小程序openIdService接口
 * 
 * @author ruoyi
 * @date 2024-04-01
 */
public interface ISysUserOpenidService 
{
    /**
     * 查询用户绑定小程序openId
     * 
     * @param id 用户绑定小程序openId主键
     * @return 用户绑定小程序openId
     */
    public SysUserOpenid selectSysUserOpenidById(Long id);

    /**
     * 查询用户绑定小程序openId
     *
     * @param openId 用户绑定小程序openId主键
     * @return 用户绑定小程序openId
     */
    public SysUserOpenid selectSysUserOpenidByOpenId(String openId);

    /**
     * 查询用户绑定小程序openId列表
     * 
     * @param sysUserOpenid 用户绑定小程序openId
     * @return 用户绑定小程序openId集合
     */
    public List<SysUserOpenid> selectSysUserOpenidList(SysUserOpenid sysUserOpenid);

    /**
     * 新增用户绑定小程序openId
     * 
     * @param sysUserOpenid 用户绑定小程序openId
     * @return 结果
     */
    public int insertSysUserOpenid(SysUserOpenid sysUserOpenid);

    /**
     * 修改用户绑定小程序openId
     * 
     * @param sysUserOpenid 用户绑定小程序openId
     * @return 结果
     */
    public int updateSysUserOpenid(SysUserOpenid sysUserOpenid);

    /**
     * 批量删除用户绑定小程序openId
     * 
     * @param ids 需要删除的用户绑定小程序openId主键集合
     * @return 结果
     */
    public int deleteSysUserOpenidByIds(Long[] ids);

    /**
     * 删除用户绑定小程序openId信息
     * 
     * @param id 用户绑定小程序openId主键
     * @return 结果
     */
    public int deleteSysUserOpenidById(Long id);
}
