import request from '@/utils/request'

// 查询劳资管理列表
export function listUnitpay(query) {
  return request({
    url: '/project/unitpay/list',
    method: 'get',
    params: query
  })
}

// 查询劳资管理列表
export function listByDay(query) {
  return request({
    url: '/project/unitpay/listByDay',
    method: 'get',
    params: query
  })
}

// 查询劳资管理列表
export function listByMonth(query) {
  return request({
    url: '/project/unitpay/listByMonth',
    method: 'get',
    params: query
  })
}

// 查询劳资管理详细
export function getUnitpay(id) {
  return request({
    url: '/project/unitpay/' + id,
    method: 'get'
  })
}

// 新增劳资管理
export function addUnitpay(data) {
  return request({
    url: '/project/unitpay',
    method: 'post',
    data: data
  })
}

// 修改劳资管理
export function updateUnitpay(data) {
  return request({
    url: '/project/unitpay',
    method: 'put',
    data: data
  })
}

// 删除劳资管理
export function delUnitpay(id) {
  return request({
    url: '/project/unitpay/' + id,
    method: 'delete'
  })
}
