/*
SQLyog Ultimate v13.1.1 (64 bit)
MySQL - 8.0.22-cynos : Database - yanzhu_jh
*********************************************************************
*/

/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
/*Table structure for table `base_mag` */

DROP TABLE IF EXISTS `base_mag`;

CREATE TABLE `base_mag` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL COMMENT '期刊名称',
  `imgs` varchar(512) DEFAULT NULL COMMENT '图片',
  `ord` int DEFAULT NULL COMMENT '排序',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `is_del` int DEFAULT '0',
  `create_by` varchar(255) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `update_by` varchar(255) DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='期刊';

/*Data for the table `base_mag` */

LOCK TABLES `base_mag` WRITE;

UNLOCK TABLES;

/*Table structure for table `base_mag_detail` */

DROP TABLE IF EXISTS `base_mag_detail`;

CREATE TABLE `base_mag_detail` (
  `id` int NOT NULL AUTO_INCREMENT,
  `magid` int DEFAULT NULL COMMENT '期刊id',
  `topic` int DEFAULT NULL COMMENT '栏目字典mag_topic',
  `title` varchar(512) DEFAULT NULL COMMENT '标题',
  `deptid` int DEFAULT NULL COMMENT '总包编号',
  `authorName` varchar(255) DEFAULT NULL COMMENT '作者',
  `authorPhone` varchar(50) DEFAULT NULL COMMENT '作者电话',
  `ord` int DEFAULT NULL COMMENT '排序号',
  `images` varchar(1024) DEFAULT NULL COMMENT '图片',
  `content` text COMMENT '正文',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `is_del` int DEFAULT '0',
  `create_by` varchar(255) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `update_by` varchar(255) DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='期刊详情';

/*Data for the table `base_mag_detail` */

LOCK TABLES `base_mag_detail` WRITE;

UNLOCK TABLES;

/*Table structure for table `base_working_committee` */

DROP TABLE IF EXISTS `base_working_committee`;

CREATE TABLE `base_working_committee` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL COMMENT '名称',
  `files` varchar(1024) DEFAULT NULL COMMENT '文件',
  `ord` int DEFAULT NULL COMMENT '顺序',
  `remark` varchar(255) DEFAULT NULL,
  `create_by` varchar(255) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `update_by` varchar(255) DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='工委会';

/*Data for the table `base_working_committee` */

LOCK TABLES `base_working_committee` WRITE;

UNLOCK TABLES;

/*Table structure for table `sur_project_working_committee` */

DROP TABLE IF EXISTS `sur_project_working_committee`;

CREATE TABLE `sur_project_working_committee` (
  `id` int NOT NULL AUTO_INCREMENT,
  `projectId` int DEFAULT NULL COMMENT '项目ID',
  `workingType` int DEFAULT NULL COMMENT '分类字典project_working_type',
  `costName` varchar(255) DEFAULT NULL COMMENT '成本名称',
  `money` double DEFAULT NULL COMMENT '金额(万元)',
  `remark` varchar(255) DEFAULT NULL,
  `create_by` varchar(255) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `update_by` varchar(255) DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='项目工委会信息';

/*Data for the table `sur_project_working_committee` */

LOCK TABLES `sur_project_working_committee` WRITE;

UNLOCK TABLES;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;





-- 菜单 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('期刊列表', '2108', '1', 'mag', 'base/mag/index', 1, 0, 'C', '0', '0', 'base:mag:list', '#', 'admin', sysdate(), '', null, '期刊列表菜单');

-- 按钮父菜单ID
SELECT @parentId := LAST_INSERT_ID();

-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('期刊列表查询', @parentId, '1',  '#', '', 1, 0, 'F', '0', '0', 'base:mag:query',        '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('期刊列表新增', @parentId, '2',  '#', '', 1, 0, 'F', '0', '0', 'base:mag:add',          '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('期刊列表修改', @parentId, '3',  '#', '', 1, 0, 'F', '0', '0', 'base:mag:edit',         '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('期刊列表删除', @parentId, '4',  '#', '', 1, 0, 'F', '0', '0', 'base:mag:remove',       '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('期刊列表导出', @parentId, '5',  '#', '', 1, 0, 'F', '0', '0', 'base:mag:export',       '#', 'admin', sysdate(), '', null, '');


-- 菜单 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('期刊详情', '2108', '1', 'magDetail', 'base/magDetail/index', 1, 0, 'C', '0', '0', 'base:magDetail:list', '#', 'admin', sysdate(), '', null, '期刊详情菜单');

-- 按钮父菜单ID
SELECT @parentId := LAST_INSERT_ID();

-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('期刊详情查询', @parentId, '1',  '#', '', 1, 0, 'F', '0', '0', 'base:magDetail:query',        '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('期刊详情新增', @parentId, '2',  '#', '', 1, 0, 'F', '0', '0', 'base:magDetail:add',          '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('期刊详情修改', @parentId, '3',  '#', '', 1, 0, 'F', '0', '0', 'base:magDetail:edit',         '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('期刊详情删除', @parentId, '4',  '#', '', 1, 0, 'F', '0', '0', 'base:magDetail:remove',       '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('期刊详情导出', @parentId, '5',  '#', '', 1, 0, 'F', '0', '0', 'base:magDetail:export',       '#', 'admin', sysdate(), '', null, '');

-- 菜单 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('工委会列表', '2108', '1', 'committee', 'base/committee/index', 1, 0, 'C', '0', '0', 'base:committee:list', '#', 'admin', sysdate(), '', null, '工委会列表菜单');

-- 按钮父菜单ID
SELECT @parentId := LAST_INSERT_ID();

-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('工委会列表查询', @parentId, '1',  '#', '', 1, 0, 'F', '0', '0', 'base:committee:query',        '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('工委会列表新增', @parentId, '2',  '#', '', 1, 0, 'F', '0', '0', 'base:committee:add',          '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('工委会列表修改', @parentId, '3',  '#', '', 1, 0, 'F', '0', '0', 'base:committee:edit',         '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('工委会列表删除', @parentId, '4',  '#', '', 1, 0, 'F', '0', '0', 'base:committee:remove',       '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('工委会列表导出', @parentId, '5',  '#', '', 1, 0, 'F', '0', '0', 'base:committee:export',       '#', 'admin', sysdate(), '', null, '');


-- 菜单 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('工委会管理', '2108', '1', 'projectCommittee', 'project/projectCommittee/index', 1, 0, 'C', '0', '0', 'project:projectCommittee:list', '#', 'admin', sysdate(), '', null, '工委会管理菜单');

-- 按钮父菜单ID
SELECT @parentId := LAST_INSERT_ID();

-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('工委会管理查询', @parentId, '1',  '#', '', 1, 0, 'F', '0', '0', 'project:projectCommittee:query',        '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('工委会管理新增', @parentId, '2',  '#', '', 1, 0, 'F', '0', '0', 'project:projectCommittee:add',          '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('工委会管理修改', @parentId, '3',  '#', '', 1, 0, 'F', '0', '0', 'project:projectCommittee:edit',         '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('工委会管理删除', @parentId, '4',  '#', '', 1, 0, 'F', '0', '0', 'project:projectCommittee:remove',       '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('工委会管理导出', @parentId, '5',  '#', '', 1, 0, 'F', '0', '0', 'project:projectCommittee:export',       '#', 'admin', sysdate(), '', null, '');

