package com.yanzhu.jh.bigscreen.web.controller;

import com.ruoyi.common.constant.Constants;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.PageDomain;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.page.TableSupport;
import com.ruoyi.common.core.redis.RedisCache;
import com.ruoyi.common.core.text.Convert;
import com.ruoyi.common.enums.SysRoleEnum;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.common.utils.sign.Md5Utils;
import com.ruoyi.flowable.service.IFlowBusinessKeyService;
import com.ruoyi.system.domain.FlowTaskEntity;
import com.yanzhu.jh.bigscreen.web.vo.FlowTypeMapper;
import com.yanzhu.jh.flow.domain.FlowLabourInfo;
import com.yanzhu.jh.flow.service.IFlowLabourInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;
import java.util.concurrent.TimeUnit;
import java.util.stream.Collectors;

@RestController
@RequestMapping("/bgscreen/flow")
public class FloweController extends BaseController {

    @Autowired
    private RedisCache redisCache;

    @Autowired
    IFlowBusinessKeyService flowBusinessKeyService;

    @Autowired
    private IFlowLabourInfoService flowLabourInfoService;

    @GetMapping("/groupByCategory")
    public AjaxResult groupByCategory(long deptId,long projectId){
        FlowTaskEntity where=new FlowTaskEntity();
        if(deptId<=0){
            if (SecurityUtils.isUserB()) {
                where.setPrjIds(getProjectIds());
            }
        }
        String key="bgscreen_flow_groupByCategory_"+deptId+"_"+projectId+"_"+where.getProType()+Md5Utils.hash(where.getPrjIds());
        Object obj=redisCache.getCacheObject(key);
        if(obj!=null){
            return AjaxResult.success(obj);
        }
        where.setProjectDeptId(deptId<1?null:""+deptId);
        where.setBusinessKey(projectId<1?null:""+projectId);
        List<FlowTaskEntity> list=flowBusinessKeyService.groupByCategory(where);
        redisCache.setCacheObject(key, list, Constants.BIGSCREEN_QUERY_CACHE, TimeUnit.MINUTES);
        return AjaxResult.success(list);
    }
    /**
     *  工程管理-分包单位占比
     * @param where
     * @return
     */
    @PostMapping("/groupFlowBySubDeptType")
    public AjaxResult groupFlowBySubDeptType(@RequestBody FlowTaskEntity where){
        long deptId=where.getDeptId();
        if(deptId<=0){
            if (SecurityUtils.isUserB()) {
                where.setPrjIds(getProjectIds());
            }
        }
        List<FlowTaskEntity> list=flowBusinessKeyService.groupFlowBySubDeptType(where);
        return AjaxResult.success(list);
    }
    /**
     *  工程管理-分包单位资质审批明细
     * @param where
     * @return
     */
    @PostMapping("/listFlowBySubDeptType")
    public TableDataInfo listFlowBySubDeptType(@RequestBody FlowTaskEntity where){
        long deptId=where.getDeptId();
        if(deptId<=0){
            if (SecurityUtils.isUserB()) {
                where.setPrjIds(getProjectIds());
            }
        }
        startPage();
        List<FlowTaskEntity> list=flowBusinessKeyService.listFlowBySubDeptType(where);
        return  getDataTable(list);
    }


    @GetMapping("/groupByUnit")
    public AjaxResult groupByUnit(long deptId,long projectId){
        FlowTaskEntity where=new FlowTaskEntity();
        if(deptId<=0){
            if (SecurityUtils.isUserB()) {
                where.setPrjIds(getProjectIds());
            }
        }
        String key="bgscreen_flow_groupByUnit_"+deptId+"_"+projectId+"_"+where.getProType()+Md5Utils.hash(where.getPrjIds());
        Object obj=redisCache.getCacheObject(key);
        if(obj!=null){
            return AjaxResult.success(obj);
        }

        where.setProjectDeptId(deptId<1?"":""+deptId);
        where.setBusinessKey(projectId<1?"":""+projectId);
        List<FlowTaskEntity> list=flowBusinessKeyService.groupByUnit(where);
        redisCache.setCacheObject(key, list, Constants.BIGSCREEN_QUERY_CACHE, TimeUnit.MINUTES);
        return AjaxResult.success(list);
    }


    @GetMapping("/groupByUnitFinish")
    public AjaxResult groupByUnitFinish(long deptId,long projectId){
        FlowTaskEntity where=new FlowTaskEntity();
        if(deptId<=0){
            if (SecurityUtils.isUserB()) {
                where.setPrjIds(getProjectIds());
            }
        }
        String key="bgscreen_flow_groupByUnitFinish_"+deptId+"_"+projectId+"_"+where.getProType()+"_"+Md5Utils.hash(where.getPrjIds());
        Object obj=redisCache.getCacheObject(key);
        if(obj!=null){
            return AjaxResult.success(obj);
        }

        where.setProjectDeptId(deptId<1?"":""+deptId);
        where.setBusinessKey(projectId<1?"":""+projectId);
        List<FlowTaskEntity> list=flowBusinessKeyService.groupByUnitFinish(where);
        redisCache.setCacheObject(key, list, Constants.BIGSCREEN_QUERY_CACHE, TimeUnit.MINUTES);
        return AjaxResult.success(list);
    }


    @GetMapping("/groupByUnitTotal")
    public AjaxResult groupByUnitTotal(long deptId,long projectId){
        FlowTaskEntity where=new FlowTaskEntity();
        if(deptId<=0){
            if (SecurityUtils.isUserB()) {
                where.setPrjIds(getProjectIds());
            }
        }
        String key="bgscreen_flow_groupByUnitTotal_"+deptId+"_"+projectId+"_"+where.getProType()+Md5Utils.hash(where.getPrjIds());
        Object obj=redisCache.getCacheObject(key);
        if(obj!=null){
            return AjaxResult.success(obj);
        }

        where.setProjectDeptId(deptId<1?"":""+deptId);
        where.setBusinessKey(projectId<1?"":""+projectId);
        List<FlowTaskEntity> list=flowBusinessKeyService.groupByUnitTotal(where);
        redisCache.setCacheObject(key, list, Constants.BIGSCREEN_QUERY_CACHE, TimeUnit.MINUTES);
        return AjaxResult.success(list);
    }

    @PostMapping("/listByUnit")
    public TableDataInfo listByUnit(@RequestBody FlowTaskEntity where){
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        if(where.getDeptId()<=0){
            if (SecurityUtils.isUserB()) {
                where.setPrjIds(getProjectIds());
            }
        }
        startPage();
        List<FlowTaskEntity> list=flowBusinessKeyService.listByUnit(where);
        return getDataTable(list);
    }

    @PostMapping("/listByCategory")
    public  TableDataInfo listByCategory(@RequestBody FlowTaskEntity where){
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        if(where.getDeptId()<=0){
            if (SecurityUtils.isUserB()) {
                where.setPrjIds(getProjectIds());
            }
        }

        startPage();
        List<FlowTaskEntity> list=flowBusinessKeyService.listByCategory(where);
        return getDataTable(list);
    }

    @PostMapping("/listByState")
    public TableDataInfo listByState(@RequestBody FlowTaskEntity where){
        if(where.getDeptId()<=0){
            if (SecurityUtils.isUserB()) {
                where.setPrjIds(getProjectIds());
            }
        }
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        startPage();
        List<FlowTaskEntity> list=flowBusinessKeyService.listByState(where);
        return getDataTable(list);
    }

    @GetMapping("/groupByProject")
    public AjaxResult groupByProject(long deptId){
        FlowTaskEntity where = new FlowTaskEntity();
        String key="bgscreen_flow_groupByProject_"+deptId+"_"+where.getProType();
        Object obj=redisCache.getCacheObject(key);
        if(obj!=null){
            return success(obj);
        }
        List<FlowTaskEntity> list=flowBusinessKeyService.groupByProject(deptId,where.getProType());
        redisCache.setCacheObject(key, list, Constants.BIGSCREEN_QUERY_CACHE, TimeUnit.MINUTES);
        return success(list);
    }

    /**
     * 根据条件查询安全类作业工作流列表
     * JiangYuQi
     */
    @GetMapping("/findSafetyWorkList")
    public AjaxResult findSafetyWorkList(long deptId,long projectId,String flowType){
        FlowTaskEntity where=new FlowTaskEntity();
        if(deptId<=0){
            if (SecurityUtils.isUserB()) {
                where.setPrjIds(getProjectIds());
            }
        }
        String key="bgscreen_flow_findSafetyWorkList_"+deptId+"_"+projectId+"_"+flowType+"_"+where.getProType()+"_"+Md5Utils.hash(where.getPrjIds());
        Object obj=redisCache.getCacheObject(key);
        if(obj!=null){
            return AjaxResult.success(obj);
        }

        where.setProcDefKey(FlowTypeMapper.getFlowProcdefKey(flowType));
        where.setProjectDeptId(deptId<1?"":""+deptId);
        where.setBusinessKey(projectId<1?"":""+projectId);
        List<FlowTaskEntity> list=flowBusinessKeyService.findSafetyWorkList(where);
        redisCache.setCacheObject(key, list, Constants.BIGSCREEN_QUERY_CACHE, TimeUnit.MINUTES);
        return AjaxResult.success(list);
    }

    /**
     * 根据条件查询安全类作业工作流列表
     * JiangYuQi
     */
    @GetMapping("/findFormDatasByProcInsId/{procInsId}")
    public AjaxResult findFormDatasByProcInsId(@PathVariable("procInsId") String procInsId){
        return AjaxResult.success(flowBusinessKeyService.selectFormDatasByProcInsId(procInsId));
    }

    /**
     * 根据条件查询劳资预警列表
     * JiangYuQi
     */
    @GetMapping("/findFlowLabourList")
    public TableDataInfo list(FlowLabourInfo flowLabourInfo)
    {
        startPage();
        List<FlowLabourInfo> list = flowLabourInfoService.selectFlowLabourInfoList(flowLabourInfo);
        return getDataTable(list);
    }

    /**
     * 根据条件统计劳资预警信息
     * JiangYuQi
     */
    @GetMapping("/findFlowLabourGroupCountByApprove")
    public AjaxResult findFlowLabourGroupCountByApprove(long deptId,long projectId)
    {
        FlowLabourInfo where = new FlowLabourInfo();
        if(deptId<=0){
            if (SecurityUtils.isUserB()) {
                where.setPrjIds(getProjectIds());
            }
        }
        String key="bgscreen_flow_findFlowLabourGroupCountByApprove_"+deptId+"_"+projectId+"_"+where.getProType()+"_"+Md5Utils.hash(where.getPrjIds());
        Object obj=redisCache.getCacheObject(key);
        if(obj!=null){
            return AjaxResult.success(obj);
        }
        if(deptId>0){
            where.setProjectDeptId(""+deptId);
        }
        where.setProjectId(projectId<1?null:projectId);
        Map<String, Object> data = flowLabourInfoService.findFlowLabourGroupCountByApprove(where);
        redisCache.setCacheObject(key, data, Constants.BIGSCREEN_QUERY_CACHE, TimeUnit.MINUTES);
        return success(data);
    }
}
