package com.yanzhu.jh.bigscreen.web.controller;

import com.ruoyi.common.constant.Constants;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.PageDomain;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.page.TableSupport;
import com.ruoyi.common.core.redis.RedisCache;
import com.yanzhu.jh.work.domain.WorkJournalism;
import com.yanzhu.jh.work.service.IWorkJournalismService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.concurrent.TimeUnit;

/**
 * 集团新闻Conller
 */
@RestController
@RequestMapping("/bgscreen/journalism")
public class JournalismConller extends BaseController {

    @Autowired
    private RedisCache redisCache;

    @Autowired
    IWorkJournalismService workJournalismService;

    /**
     * 查询集团新闻列表
     * @return TableDataInfo
     */
    @GetMapping("/getJournalismList")
    public TableDataInfo getJournalismList(){
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        List<WorkJournalism> list = workJournalismService.selectBgscreenWorkJournalismList();
        return getDataTable(list);
    }

    /**
     * 查询集团新闻详情
     * @return AjaxResult
     */
    @GetMapping("/getJournalismInfo")
    public AjaxResult getJournalismInfo(Long id){
        return success(workJournalismService.selectWorkJournalismById(id));
    }
}
