package com.yanzhu.jh.bigscreen.web.controller;

import com.ruoyi.common.core.domain.AjaxResult;
import com.yanzhu.jh.device.domain.PitmonitSouthsmosAlarm;
import com.yanzhu.jh.device.domain.PitmonitSouthsmosData;
import com.yanzhu.jh.device.service.*;
import com.yanzhu.jh.project.domain.SurProjectAttendanceData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.HashMap;
import java.util.Map;
import java.util.List;
/***
 * 基坑监测
 */
@RestController
@RequestMapping("/bgscreen/pitmonit")
public class PitMonitController {

    @Autowired
    private IPitmonitSouthsmosDataService dataService;
    @Autowired
    private IPitmonitSouthsmosAlarmService alarmService;
    @Autowired
    private IPitmonitSouthsmosDeviceService deviceService;
    @Autowired
    private IPitmonitSouthsmosDevSpService devSpService;
    @Autowired
    private IPitmonitSouthsmosElementItemService elementItemService;
    @Autowired
    private IPitmonitSouthsmosElementService elementService;
    @Autowired
    private IPitmonitSouthsmosSurveypointService surveypointService;
    @Autowired
    private IPitmonitSouthsmosThresholdService thresholdService;
    @Autowired
    private IProjectPitMonitCfgService cfgService;

    @GetMapping("/totalCount")
    public AjaxResult totalCount(Long prjId) {
        int dataCount=dataService.getCountByPrjId(prjId);
        int devCount=deviceService.getCountByPrjId(prjId);
        Map<String,Integer> map=new HashMap<>();
        map.put("data",dataCount);
        map.put("dev",devCount);
        return  AjaxResult.success(map);
    }

    @GetMapping("/alarm")
    public AjaxResult alarmList(Long prjId){
        String status="false";
        List<PitmonitSouthsmosAlarm> list=alarmService.queryByState(prjId,status);
        return  AjaxResult.success(list);
    }
    /**
     * 获取项目中测点最后一条数据
     */
    @GetMapping("/getLastDataForElement")
    public AjaxResult getLastDataForElement(Long prjId){
        List<PitmonitSouthsmosData> list=dataService.getLastDataForElement(prjId);
        return  AjaxResult.success(list);
    }
    /**
     * 按收集日期和数据类型查询数据
     */
    @PostMapping("/selectByDate")
    public AjaxResult selectByDate(@RequestBody PitmonitSouthsmosData where){
        List<PitmonitSouthsmosData> list=dataService.selectByDate(where);
        return  AjaxResult.success(list);
    }

    /**
     * 数据监控天数
     */
    @GetMapping("/monitDays")
    public AjaxResult monitDays(Long prjId){
        Long days=dataService.monitDays(prjId);
        return AjaxResult.success(days);
    }
}
