package com.yanzhu.jh.bigscreen.web.controller;

import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;
import com.ruoyi.common.constant.Constants;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.PageDomain;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.page.TableSupport;
import com.ruoyi.common.core.redis.RedisCache;
import com.ruoyi.common.core.text.Convert;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.common.utils.sign.Md5Utils;
import com.yanzhu.jh.project.domain.SurProjectAttendanceData;
import com.yanzhu.jh.project.domain.SurProjectAttendanceUser;
import com.yanzhu.jh.project.domain.SurProjectDeptWroks;
import com.yanzhu.jh.project.domain.SurProjectWorkAttendance;
import com.yanzhu.jh.project.service.ISurProjectAttendanceDataService;
import com.yanzhu.jh.project.service.ISurProjectAttendanceUserService;
import com.yanzhu.jh.project.service.ISurProjectDeptWroksService;
import com.yanzhu.jh.project.service.ISurProjectWorkAttendanceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;
import java.util.List;
import java.util.concurrent.TimeUnit;

/**
 * 在岗出勤Conller
 */
@RestController
@RequestMapping("/bgscreen/attendance")
public class ProjectAttendanceController extends BaseController {

    @Autowired
    private RedisCache redisCache;

    @Autowired
    ISurProjectWorkAttendanceService surProjectWorkAttendanceService;

    @Autowired
    ISurProjectDeptWroksService surProjectDeptWroksService;

    @Autowired
    ISurProjectAttendanceDataService attendanceDataService;

    @Autowired
    ISurProjectAttendanceUserService attendanceUserService;

    /**
     * ---------------------【暂停使用】
     * 查询在岗人数
     * @param deptId
     * @param projectId
     * @return
     */
    @GetMapping("/getDeptWorksList")
    public TableDataInfo getDeptWorksList(String deptId,String projectId){
        SurProjectDeptWroks surProjectDeptWroks = new SurProjectDeptWroks();
        if(deptId!=null && !"0".equals(deptId)){
            surProjectDeptWroks.setDeptId(Convert.toLong(deptId));
        }else{
            if(SecurityUtils.isUserB()){
                surProjectDeptWroks.setPrjIds(getProjectIds());
            }
        }
        if(projectId!=null && !"0".equals(projectId)){
            surProjectDeptWroks.setProjectId(Convert.toLong(projectId));
        }
        return getDataTable(surProjectDeptWroksService.selectBgscreenDeptWroksList(surProjectDeptWroks));
    }

    /**
     * ---------------------【暂停使用】
     * 查询在岗人员列表
     * @param where 查询条件
     * @return
     */
    @PostMapping("selectList")
    public TableDataInfo selectList(@RequestBody SurProjectDeptWroks where){
        startPage();
        Long deptId= where.getDeptId();
        if(deptId==null || deptId<=0){
            if (SecurityUtils.isUserB()) {
                where.setPrjIds(getProjectIds());
            }
        }
        List<SurProjectDeptWroks> list=surProjectDeptWroksService.selectList(where);
        return getDataTable(list);
    }

    /**
     * ---------------------【暂停使用】
     * 查询出勤列表
     * @param deptId
     * @param projectId
     * @param date
     * @return
     */
    @GetMapping("/getWorkAttendanceList")
    public TableDataInfo getWorkAttendanceList(String deptId,String projectId,String date){
        SurProjectWorkAttendance surProjectWorkAttendance = new SurProjectWorkAttendance();
        if(deptId!=null && !"0".equals(deptId)){
            surProjectWorkAttendance.setDeptId(Convert.toLong(deptId));
        }else{
            if(SecurityUtils.isUserB()){
                surProjectWorkAttendance.setPrjIds(getProjectIds());
            }
        }
        if(projectId!=null && !"0".equals(projectId)){
            surProjectWorkAttendance.setProjectId(Convert.toLong(projectId));
        }
        if(StringUtils.isNotBlank(date)){
            surProjectWorkAttendance.setWorkDate(DateUtils.parseDate(date));
        }else{
            surProjectWorkAttendance.setWorkDate(new Date());
        }
        return getDataTable(surProjectWorkAttendanceService.selectBgscreenWorkAttendanceList(surProjectWorkAttendance));
    }

    /**
     * 今日出勤统计
     * @param where
     * @return
     */
    @PostMapping("/groupByComany")
    public AjaxResult groupByComany(@RequestBody SurProjectAttendanceData where){
        Long deptId = where.getDeptId();
        if(deptId==null || deptId<=0){
            if (SecurityUtils.isUserB()) {
                where.setPrjIds(getProjectIds());
            }
        }
        String key="bgscreen_attendance_groupByComany-"+where.getDeptId()+"_"+where.getProjectId()+"_"+where.getProType()+Md5Utils.hash(where.getPrjIds());
        Object obj=redisCache.getCacheObject(key);
        if(obj!=null){
            return AjaxResult.success(obj);
        }

        where.setAttendanceTime(DateUtil.formatDate(DateTime.now()));
        List<SurProjectAttendanceData> list=attendanceDataService.groupTodayCompanyTypeId(where);
        redisCache.setCacheObject(key, list, Constants.BIGSCREEN_QUERY_CACHE, TimeUnit.MINUTES);
        return AjaxResult.success(list);
    }

    @PostMapping("/groupAllByComany")
    public AjaxResult groupAllByComany(@RequestBody SurProjectAttendanceData where){
        Long deptId= where.getDeptId();
        if(deptId==null || deptId<=0){
            if (SecurityUtils.isUserB()) {
                where.setPrjIds(getProjectIds());
            }
        }
        String key="bgscreen_attendance_groupAllByComany-"+where.getId()+"-"+where.getDeptId()+"-"+where.getSubDeptId()+"_"+where.getProjectId()+"_"+where.getProType()+Md5Utils.hash(where.getPrjIds());
        Object obj=redisCache.getCacheObject(key);
        if(obj!=null){
            return AjaxResult.success(obj);
        }
        List<SurProjectAttendanceData> list=attendanceDataService.groupAllByComany(where);
        redisCache.setCacheObject(key, list, Constants.BIGSCREEN_QUERY_CACHE, TimeUnit.MINUTES);
        return AjaxResult.success(list);
    }


    /**
     * 在岗工人查询
     * @param where
     * @return
     */
    @GetMapping("/workerOnDuty")
    public TableDataInfo queryWorkerOnDuty(SurProjectAttendanceUser where){
        Long deptId= where.getDeptId();
        if(deptId==null || deptId<=0){
            if (SecurityUtils.isUserB()) {
                where.setPrjIds(getProjectIds());
            }
        }
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        startPage();
        List<SurProjectAttendanceUser> list=attendanceUserService.queryWorkerOnDuty(where);
        return getDataTable(list);
    }

    /**
     * 按部门汇总在岗人数
     * @param where
     * @return
     */
    @GetMapping("/groupByWorkerOnDuty")
    public AjaxResult groupByWorkerOnDuty(SurProjectAttendanceUser where){
        Long deptId= where.getDeptId();
        if(deptId==null || deptId<=0){
            if (SecurityUtils.isUserB()) {
                where.setPrjIds(getProjectIds());
            }
        }
        String key="bgscreen_attendance_groupByWorkerOnDuty-"+where.getDeptId()+"_"+where.getProjectId()+"_"+where.getProType()+Md5Utils.hash(where.getPrjIds());
        Object obj=redisCache.getCacheObject(key);
        if(obj!=null){
            return success(obj);
        }

        List<SurProjectAttendanceData> list=attendanceUserService.groupByWorkerOnDutyByDept(where);
        redisCache.setCacheObject(key, list, Constants.BIGSCREEN_QUERY_CACHE, TimeUnit.MINUTES);
        return AjaxResult.success(list);
    }


    /**
     * 在岗|离岗工人查询
     * @param where
     * @return
     */
    @GetMapping("/queryWorkerByState")
    public TableDataInfo queryWorkerByState(SurProjectAttendanceUser where){
        Long deptId= where.getDeptId();
        if(deptId==null || deptId<=0){
            if (SecurityUtils.isUserB()) {
                where.setPrjIds(getProjectIds());
            }
        }
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        startPage();
        List<SurProjectAttendanceUser> list=attendanceUserService.queryWorkerByState(where);
        return getDataTable(list);
    }
    /**
     * 按部门汇总在岗|离岗人数
     * @param where
     * @return
     */
    @GetMapping("/groupByWorkerState")
    public AjaxResult groupByWorkerState(SurProjectAttendanceUser where){
        Long deptId= where.getDeptId();
        if(deptId==null || deptId<=0){
            if (SecurityUtils.isUserB()) {
                where.setPrjIds(getProjectIds());
            }
        }
        String key="bgscreen_attendance_groupByWorkerState-"+where.getDeptId()+where.getState()+"_"+where.getProjectId()+"_"+where.getProType()+Md5Utils.hash(where.getPrjIds());
        Object obj=redisCache.getCacheObject(key);
        if(obj!=null){
            return success(obj);
        }

        List<SurProjectAttendanceData> list=attendanceUserService.groupByWorkerByDept(where);
        redisCache.setCacheObject(key, list, Constants.BIGSCREEN_QUERY_CACHE, TimeUnit.MINUTES);
        return AjaxResult.success(list);
    }
    /**
     * 今日出勤详情
     */
    @PostMapping("/todayAttendance")
    public TableDataInfo todayAttendance(@RequestBody SurProjectAttendanceData where){
        if(where.getDeptId()==null || where.getDeptId()<=0) {
            if (SecurityUtils.isUserB()) {
                where.setPrjIds(getProjectIds());
            }
        }
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();

        where.setAttendanceTime(DateUtil.formatDate(DateTime.now()));
        startPage();
        List<SurProjectAttendanceData> list = attendanceDataService.todayAttendance(where);
        return getDataTable(list);
    }

}
