package com.yanzhu.jh.bigscreen.web.controller;

import com.ruoyi.common.constant.Constants;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.redis.RedisCache;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.common.utils.sign.Md5Utils;
import com.yanzhu.jh.project.domain.SurProjectCostOutput;
import com.yanzhu.jh.project.service.ISurProjectCostOutputService;
import com.yanzhu.jh.project.service.ISurProjectService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;
import java.util.concurrent.TimeUnit;

@RestController
@RequestMapping("/bgscreen/costOut")
public class ProjectCostOutputController extends BaseController {

    @Autowired
    private RedisCache redisCache;

    @Autowired
    private ISurProjectService projectService;

    @Autowired
    private ISurProjectCostOutputService surProjectCostOutputService;

    @PostMapping("/selectYearAndMonth")
    public AjaxResult selectYearAndMonth(@RequestBody SurProjectCostOutput where){
        String key="bgscreen_costOut_selectYearAndMonth_"+where.getYear()+"-"+where.getMonth()+"-"+where.getProjectId()+"-"+where.getProType()+"-"+  Md5Utils.hash(where.getPrjIds());
        Object obj=redisCache.getCacheObject(key);
        if(obj!=null){
            return AjaxResult.success(obj);
        }
        List<SurProjectCostOutput> list=surProjectCostOutputService.selectYearAndMonth(where);
        if(list.size()==0){
            surProjectCostOutputService.initProject(where.getProjectId());
        }
        list=surProjectCostOutputService.selectYearAndMonth(where);
        redisCache.setCacheObject(key, list, Constants.BIGSCREEN_QUERY_CACHE, TimeUnit.MINUTES);
        return AjaxResult.success(list);
    }

    @PostMapping("/sumByDeptId")
    public AjaxResult sumByDeptId(@RequestBody SurProjectCostOutput where){
        String key="bgscreen_costOut_sumByDeptId_"+where.getYear()+"-"+where.getMonth()+"-"+where.getId()+"-"+where.getProjectId()+"_"+"-"+where.getProType()+"-"+  Md5Utils.hash(where.getPrjIds());
        Object obj=redisCache.getCacheObject(key);
        if(obj!=null){
            return AjaxResult.success(obj);
        }
        List<SurProjectCostOutput> list=surProjectCostOutputService.sumByDeptId(where);
        redisCache.setCacheObject(key, list, Constants.BIGSCREEN_QUERY_CACHE, TimeUnit.MINUTES);
        return AjaxResult.success(list);
    }

    /**
     * 分类汇总，用于大屏 【工程审批】【付款金额】
     * @param where
     * @return
     */
    @PostMapping("/sumForBsEnginAuditing")
    public AjaxResult sumForBsEnginAuditing(@RequestBody SurProjectCostOutput where){
        Long deptId=where.getId();
        if(deptId==null||deptId<=0){
            if (SecurityUtils.isUserB()) {
                where.setPrjIds(getProjectIds());
            }
        }
        List<SurProjectCostOutput> list=surProjectCostOutputService.sumForBsEnginAuditing(where);
        return AjaxResult.success(list);
    }

    /**
     * 项目付款明细,用于大屏【工程审批】【付款金额】
     * @param where
     * @return
     */
    @PostMapping("/selectForBigEnginList")
    public AjaxResult selectForBigEnginList(@RequestBody SurProjectCostOutput where){
        Long deptId=where.getId();
        if(deptId==null||deptId<=0){
            if (SecurityUtils.isUserB()) {
                where.setPrjIds(getProjectIds());
            }
        }
        Map<String,List<List<SurProjectCostOutput>>> list=surProjectCostOutputService.selectForBigEnginList(where);
        return AjaxResult.success(list);
    }

}
