package com.yanzhu.jh.bigscreen.web.controller;

import cn.hutool.core.util.StrUtil;
import com.ruoyi.common.constant.Constants;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.redis.RedisCache;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.common.utils.sign.Md5Utils;
import com.ruoyi.system.domain.SysOperLog;
import com.ruoyi.system.service.ISysOperLogService;
import com.yanzhu.jh.project.domain.SurProjectSchedule;
import com.yanzhu.jh.project.domain.vo.SurProjectScheduleWhere;
import com.yanzhu.jh.project.service.ISurProjectScheduleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.concurrent.TimeUnit;

@RestController
@RequestMapping("/bgscreen/schedule")
public class ProjectScheduleController extends BaseController {

    @Autowired
    private RedisCache redisCache;

    @Autowired
    private ISurProjectScheduleService isurProjectScheduleService;

    @Autowired
    ISysOperLogService logService;

    @GetMapping("/projectConstructionProgress")
    public AjaxResult getProjectConstructionProgress(Long projectId){
        SurProjectSchedule surProjectSchedule= isurProjectScheduleService.getProjectConstructionProgress(projectId);
        return AjaxResult.success(surProjectSchedule);
    }

    @GetMapping("/constructionProgressByDept")
    public AjaxResult getConstructionProgressByDept(Long deptId){
        SurProjectSchedule where=new SurProjectSchedule();
        if(deptId==null || deptId<=0){
            if (SecurityUtils.isUserB()) {
                where.setPrjIds(getProjectIds());
            }
        }else{
            where.setDeptId(deptId);
        }
        List<SurProjectSchedule> list=isurProjectScheduleService.getConstructionProgressByDept(where);
        return AjaxResult.success(list);
    }
    /**
     * 按项目类型查询形象进度数据
     * @param type
     * @return
     */
    @GetMapping("/selectByProjectType")
    public AjaxResult selectByProjectType(Long type,Long deptId){
        SurProjectScheduleWhere where =new SurProjectScheduleWhere();
        String key="bgscreen_schedule_selectByProjectType_"+type+"_"+deptId+"_"+where.getProType()+"-"+  Md5Utils.hash(where.getPrjIds());
        Object obj=redisCache.getCacheObject(key);
        if(obj!=null){
            return AjaxResult.success(obj);
        }
        where.setPrjType(type);
        where.setDeptId(deptId);
        if(deptId==null || deptId<=0){
            if (SecurityUtils.isUserB()) {
                where.setPrjIds(getProjectIds());
            }
        }
        List<SurProjectSchedule> list=isurProjectScheduleService.selectByProjectType(where);
        redisCache.setCacheObject(key, list, Constants.BIGSCREEN_QUERY_CACHE, TimeUnit.MINUTES);
        return AjaxResult.success(list);
    }

/*
    @GetMapping("/up")
    public AjaxResult upData(){
        SysOperLog where=new SysOperLog();
        where.setOperUrl("schedule");
        where.setRequestMethod("POST");
        where.setOperParam("acceptance");
        List<SysOperLog> list=logService.selectOperLogList(where);
        SurProjectSchedule schWhere=new SurProjectSchedule();
        List<SurProjectSchedule> slist=isurProjectScheduleService.selectSurProjectScheduleList(schWhere);
        for(int i=0;i<slist.size();i++){
            SurProjectSchedule it=slist.get(i);
            String name=findOper(it,list);
            if(StrUtil.isEmpty(name)){
                name=list.get(i).getOperName();
            }
            it.setCreateBy(name);
            isurProjectScheduleService.updateSurProjectSchedule(it);
        }
        return AjaxResult.success("-100-");
    }

    private String findOper(SurProjectSchedule it, List<SysOperLog> list) {
        String findStr=it.getImage();
        if(StrUtil.isEmpty(findStr)){
            findStr=it.getPlannedNode();
            if(StrUtil.isEmpty(findStr) || findStr.length()<10){
                findStr=it.getDesignProgress();
                if(StrUtil.isEmpty(findStr) || findStr.length()<10){
                    findStr=it.getExistingProblem();
                }
            }
        }
        if(StrUtil.isEmpty(findStr)){
            return  null;
        }
        for(SysOperLog log :list){

            if(log.getOperParam().contains(findStr)){
                return log.getOperName();
            }

        }
        return null;
    }
*/
}
