package com.yanzhu.jh.bigscreen.web.controller;

import com.ruoyi.common.constant.Constants;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.redis.RedisCache;
import com.ruoyi.common.core.text.Convert;
import com.ruoyi.common.enums.SysRoleEnum;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.system.service.ISysDeptService;
import com.yanzhu.jh.video.domain.SurProjectVideoConfig;
import com.yanzhu.jh.video.domain.SurProjectVideoPassage;
import com.yanzhu.jh.video.service.ISurProjectVideoConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.concurrent.TimeUnit;

/**
 * 实时视频Conller
 */
@RestController
@RequestMapping("/bgscreen/video")
public class VideoController extends BaseController {

    @Autowired
    private RedisCache redisCache;

    @Autowired
    private ISysDeptService sysDeptService;

    @Autowired
    private ISurProjectVideoConfigService surProjectVideoConfigService;

    /**
     * 查询视频配置列表
     */
    @GetMapping("/listView")
    public AjaxResult listView(String deptId,String projectId)
    {
        SurProjectVideoConfig surProjectVideoConfig = new SurProjectVideoConfig();
        surProjectVideoConfig.setNowRole(Convert.toStr(getUserFirstRole()));
        if(SysRoleEnum.ZGS.getCode().equals(surProjectVideoConfig.getNowRole())){
            surProjectVideoConfig.setNowDept(Convert.toStr(sysDeptService.getZGSDeptId(getDeptId())));
        }else{
            surProjectVideoConfig.setNowDept(Convert.toStr(getDeptId()));
        }
        surProjectVideoConfig.setNowUser(Convert.toStr(getUserId()));

        String key="bgscreen_video_listView_"+surProjectVideoConfig.getNowRole()+"_"+surProjectVideoConfig.getNowDept()+"_"+surProjectVideoConfig.getNowUser()+"_"+deptId+"_"+projectId+"_"+surProjectVideoConfig.getProType();
        Object obj=redisCache.getCacheObject(key);
        if(obj!=null){
            return success(obj);
        }
        if(deptId!=null && !"0".equals(deptId)){
            surProjectVideoConfig.setProjectDeptId(deptId);
        }
        if(projectId!=null && !"0".equals(projectId)){
            surProjectVideoConfig.setProjectId(Convert.toLong(projectId));
        }
        surProjectVideoConfig.setActiveName("true");
        List<SurProjectVideoConfig> list = surProjectVideoConfigService.selectSurProjectVideoConfigList(surProjectVideoConfig);
        redisCache.setCacheObject(key, list, Constants.BIGSCREEN_QUERY_CACHE, TimeUnit.MINUTES);
        return success(list);
    }

    /**
     * 修改视频通道状态
     */
    @GetMapping("/editPassageState")
    public AjaxResult editPassageState(Long id, String videoDvrNumber, String passageState)
    {
        SurProjectVideoPassage surProjectVideoPassage = new SurProjectVideoPassage();
        surProjectVideoPassage.setVideoId(id);
        surProjectVideoPassage.setVideoDvrNumber(videoDvrNumber);
        surProjectVideoPassage.setPassageState(passageState);
        surProjectVideoConfigService.editPassageState(surProjectVideoPassage);
        return success(surProjectVideoConfigService.updateSurProjectVideoConfigSignalState(videoDvrNumber));
    }

    /**
     * 获取视频配置详细信息
     */
    @GetMapping(value = "/getVideoPassage")
    public AjaxResult getVideoPassage(String videoDvrNumberd)
    {
        return success(surProjectVideoConfigService.getVideoPassage(videoDvrNumberd));
    }

}
