package com.yanzhu.jh.base.mapper;

import java.util.List;
import com.yanzhu.jh.base.domain.BaseMag;

/**
 * 期刊列表Mapper接口
 * 
 * @author ruoyi
 * @date 2024-04-04
 */
public interface BaseMagMapper 
{
    /**
     * 查询期刊列表
     * 
     * @param id 期刊列表主键
     * @return 期刊列表
     */
    public BaseMag selectBaseMagById(Long id);

    /**
     * 查询期刊列表列表
     * 
     * @param baseMag 期刊列表
     * @return 期刊列表集合
     */
    public List<BaseMag> selectBaseMagList(BaseMag baseMag);

    /**
     * 新增期刊列表
     * 
     * @param baseMag 期刊列表
     * @return 结果
     */
    public int insertBaseMag(BaseMag baseMag);

    /**
     * 修改期刊列表
     * 
     * @param baseMag 期刊列表
     * @return 结果
     */
    public int updateBaseMag(BaseMag baseMag);

    /**
     * 删除期刊列表
     * 
     * @param id 期刊列表主键
     * @return 结果
     */
    public int deleteBaseMagById(Long id);

    /**
     * 批量删除期刊列表
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBaseMagByIds(Long[] ids);
}
