package com.yanzhu.jh.base.service;

import java.util.List;
import com.yanzhu.jh.base.domain.BaseMagDetail;

/**
 * 期刊详情Service接口
 * 
 * @author ruoyi
 * @date 2024-04-04
 */
public interface IBaseMagDetailService 
{
    /**
     * 查询期刊详情
     * 
     * @param id 期刊详情主键
     * @return 期刊详情
     */
    public BaseMagDetail selectBaseMagDetailById(Long id);

    /**
     * 查询期刊详情列表
     * 
     * @param baseMagDetail 期刊详情
     * @return 期刊详情集合
     */
    public List<BaseMagDetail> selectBaseMagDetailList(BaseMagDetail baseMagDetail);

    /**
     * 新增期刊详情
     * 
     * @param baseMagDetail 期刊详情
     * @return 结果
     */
    public int insertBaseMagDetail(BaseMagDetail baseMagDetail);

    /**
     * 修改期刊详情
     * 
     * @param baseMagDetail 期刊详情
     * @return 结果
     */
    public int updateBaseMagDetail(BaseMagDetail baseMagDetail);

    /**
     * 批量删除期刊详情
     * 
     * @param ids 需要删除的期刊详情主键集合
     * @return 结果
     */
    public int deleteBaseMagDetailByIds(Long[] ids);

    /**
     * 删除期刊详情信息
     * 
     * @param id 期刊详情主键
     * @return 结果
     */
    public int deleteBaseMagDetailById(Long id);

    /**
     * 工程管理-集团期刊汇总
     * @return
     */
    public List<BaseMagDetail> groupByTopic();

    /**
     * 期刊上传排名
     * @param magid
     * @return
     */
    public List<BaseMagDetail> groupByMag(Long magId);
}
