package com.yanzhu.jh.base.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yanzhu.jh.base.mapper.BaseMagDetailMapper;
import com.yanzhu.jh.base.domain.BaseMagDetail;
import com.yanzhu.jh.base.service.IBaseMagDetailService;
import com.ruoyi.common.utils.SecurityUtils;
/**
 * 期刊详情Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-04-04
 */
@Service
public class BaseMagDetailServiceImpl implements IBaseMagDetailService 
{
    @Autowired
    private BaseMagDetailMapper baseMagDetailMapper;

    /**
     * 查询期刊详情
     * 
     * @param id 期刊详情主键
     * @return 期刊详情
     */
    @Override
    public BaseMagDetail selectBaseMagDetailById(Long id)
    {
        return baseMagDetailMapper.selectBaseMagDetailById(id);
    }

    /**
     * 查询期刊详情列表
     * 
     * @param baseMagDetail 期刊详情
     * @return 期刊详情
     */
    @Override
    public List<BaseMagDetail> selectBaseMagDetailList(BaseMagDetail baseMagDetail)
    {
        return baseMagDetailMapper.selectBaseMagDetailList(baseMagDetail);
    }

    /**
     * 新增期刊详情
     * 
     * @param baseMagDetail 期刊详情
     * @return 结果
     */
    @Override
    public int insertBaseMagDetail(BaseMagDetail baseMagDetail)
    {
        baseMagDetail.setCreateBy(SecurityUtils.getUsername());
        baseMagDetail.setCreateTime(DateUtils.getNowDate());
        return baseMagDetailMapper.insertBaseMagDetail(baseMagDetail);
    }

    /**
     * 修改期刊详情
     * 
     * @param baseMagDetail 期刊详情
     * @return 结果
     */
    @Override
    public int updateBaseMagDetail(BaseMagDetail baseMagDetail)
    {
        baseMagDetail.setUpdateBy(SecurityUtils.getUsername());
        baseMagDetail.setUpdateTime(DateUtils.getNowDate());
        return baseMagDetailMapper.updateBaseMagDetail(baseMagDetail);
    }

    /**
     * 批量删除期刊详情
     * 
     * @param ids 需要删除的期刊详情主键
     * @return 结果
     */
    @Override
    public int deleteBaseMagDetailByIds(Long[] ids)
    {
        return baseMagDetailMapper.deleteBaseMagDetailByIds(ids);
    }

    /**
     * 删除期刊详情信息
     * 
     * @param id 期刊详情主键
     * @return 结果
     */
    @Override
    public int deleteBaseMagDetailById(Long id)
    {
        return baseMagDetailMapper.deleteBaseMagDetailById(id);
    }

    /**
     * 工程管理-集团期刊汇总
     * @return
     */
    @Override
    public List<BaseMagDetail> groupByTopic() {
        return baseMagDetailMapper.groupByTopic();
    }
    /**
     * 期刊上传排名
     * @param magid
     * @return
     */
    @Override
    public List<BaseMagDetail> groupByMag(Long magId) {
        return baseMagDetailMapper.groupByMag(magId);
    }
}
