package com.yanzhu.jh.base.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yanzhu.jh.base.mapper.BaseMagMapper;
import com.yanzhu.jh.base.domain.BaseMag;
import com.yanzhu.jh.base.service.IBaseMagService;
import com.ruoyi.common.utils.SecurityUtils;
/**
 * 期刊列表Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-04-04
 */
@Service
public class BaseMagServiceImpl implements IBaseMagService 
{
    @Autowired
    private BaseMagMapper baseMagMapper;

    /**
     * 查询期刊列表
     * 
     * @param id 期刊列表主键
     * @return 期刊列表
     */
    @Override
    public BaseMag selectBaseMagById(Long id)
    {
        return baseMagMapper.selectBaseMagById(id);
    }

    /**
     * 查询期刊列表列表
     * 
     * @param baseMag 期刊列表
     * @return 期刊列表
     */
    @Override
    public List<BaseMag> selectBaseMagList(BaseMag baseMag)
    {
        return baseMagMapper.selectBaseMagList(baseMag);
    }

    /**
     * 新增期刊列表
     * 
     * @param baseMag 期刊列表
     * @return 结果
     */
    @Override
    public int insertBaseMag(BaseMag baseMag)
    {
        baseMag.setCreateBy(SecurityUtils.getUsername());
        baseMag.setCreateTime(DateUtils.getNowDate());
        return baseMagMapper.insertBaseMag(baseMag);
    }

    /**
     * 修改期刊列表
     * 
     * @param baseMag 期刊列表
     * @return 结果
     */
    @Override
    public int updateBaseMag(BaseMag baseMag)
    {
        baseMag.setUpdateBy(SecurityUtils.getUsername());
        baseMag.setUpdateTime(DateUtils.getNowDate());
        return baseMagMapper.updateBaseMag(baseMag);
    }

    /**
     * 批量删除期刊列表
     * 
     * @param ids 需要删除的期刊列表主键
     * @return 结果
     */
    @Override
    public int deleteBaseMagByIds(Long[] ids)
    {
        return baseMagMapper.deleteBaseMagByIds(ids);
    }

    /**
     * 删除期刊列表信息
     * 
     * @param id 期刊列表主键
     * @return 结果
     */
    @Override
    public int deleteBaseMagById(Long id)
    {
        return baseMagMapper.deleteBaseMagById(id);
    }
}
