package com.yanzhu.jh.device.domain;

import java.util.List;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 塔机碰撞信息对象 dev_tower_data_collide
 * 
 * @author JiangYuQi
 * @date 2024-08-04
 */
public class DevTowerDataCollide extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 配置编号 */
    private Long cfgId;

    /** 项目主键 */
    private Long projectId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 总包单位主键 */
    private Long deptId;

    /** 总包单位名称 */
    @Excel(name = "总包单位名称")
    private String deptName;

    /** 设备序列号 */
    @Excel(name = "设备序列号")
    private String deviceKey;

    /** 设备来源 */
    @Excel(name = "设备来源")
    private String deviceSource;

    /** 塔机编号 */
    @Excel(name = "塔机编号")
    private String towerId;

    /** 塔机坐标x */
    @Excel(name = "塔机坐标x")
    private String coordinateX;

    /** 塔机坐标y */
    @Excel(name = "塔机坐标y")
    private String coordinateY;

    /** 前臂长度 */
    @Excel(name = "前臂长度")
    private String frontBrachium;

    /** 平衡臂长度 */
    @Excel(name = "平衡臂长度")
    private String afterBrachium;

    /** 塔身高度 */
    @Excel(name = "塔身高度")
    private String towerBodyHeight;

    /** 吊钩实时高度 */
    @Excel(name = "吊钩实时高度")
    private String height;

    /** 塔机实时回转角度 */
    @Excel(name = "塔机实时回转角度")
    private String angle;

    /** 吊钩实时幅度 */
    @Excel(name = "吊钩实时幅度")
    private String range;

    /** 设置的预警距离 */
    @Excel(name = "设置的预警距离")
    private String earlyWarningDistance;

    /** 设置的报警距离 */
    @Excel(name = "设置的报警距离")
    private String alarmWarningDistance;

    /** 塔身高度相差 */
    @Excel(name = "塔身高度相差")
    private String contourValue;

    /** 是否有效 */
    @Excel(name = "是否有效")
    private Long isDel;

    /** 碰撞详情信息 */
    private List<DevTowerDataCollideDetail> devTowerDataCollideDetailList;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public Long getCfgId() {
        return cfgId;
    }

    public void setCfgId(Long cfgId) {
        this.cfgId = cfgId;
    }

    public void setProjectId(Long projectId)
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDeviceKey(String deviceKey) 
    {
        this.deviceKey = deviceKey;
    }

    public String getDeviceKey() 
    {
        return deviceKey;
    }
    public void setDeviceSource(String deviceSource) 
    {
        this.deviceSource = deviceSource;
    }

    public String getDeviceSource() 
    {
        return deviceSource;
    }
    public void setTowerId(String towerId) 
    {
        this.towerId = towerId;
    }

    public String getTowerId() 
    {
        return towerId;
    }
    public void setCoordinateX(String coordinateX) 
    {
        this.coordinateX = coordinateX;
    }

    public String getCoordinateX() 
    {
        return coordinateX;
    }
    public void setCoordinateY(String coordinateY) 
    {
        this.coordinateY = coordinateY;
    }

    public String getCoordinateY() 
    {
        return coordinateY;
    }
    public void setFrontBrachium(String frontBrachium) 
    {
        this.frontBrachium = frontBrachium;
    }

    public String getFrontBrachium() 
    {
        return frontBrachium;
    }
    public void setAfterBrachium(String afterBrachium) 
    {
        this.afterBrachium = afterBrachium;
    }

    public String getAfterBrachium() 
    {
        return afterBrachium;
    }
    public void setTowerBodyHeight(String towerBodyHeight) 
    {
        this.towerBodyHeight = towerBodyHeight;
    }

    public String getTowerBodyHeight() 
    {
        return towerBodyHeight;
    }
    public void setHeight(String height) 
    {
        this.height = height;
    }

    public String getHeight() 
    {
        return height;
    }
    public void setAngle(String angle) 
    {
        this.angle = angle;
    }

    public String getAngle() 
    {
        return angle;
    }
    public void setRange(String range) 
    {
        this.range = range;
    }

    public String getRange() 
    {
        return range;
    }
    public void setEarlyWarningDistance(String earlyWarningDistance) 
    {
        this.earlyWarningDistance = earlyWarningDistance;
    }

    public String getEarlyWarningDistance() 
    {
        return earlyWarningDistance;
    }
    public void setAlarmWarningDistance(String alarmWarningDistance) 
    {
        this.alarmWarningDistance = alarmWarningDistance;
    }

    public String getAlarmWarningDistance() 
    {
        return alarmWarningDistance;
    }
    public void setContourValue(String contourValue) 
    {
        this.contourValue = contourValue;
    }

    public String getContourValue() 
    {
        return contourValue;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public List<DevTowerDataCollideDetail> getDevTowerDataCollideDetailList()
    {
        return devTowerDataCollideDetailList;
    }

    public void setDevTowerDataCollideDetailList(List<DevTowerDataCollideDetail> devTowerDataCollideDetailList)
    {
        this.devTowerDataCollideDetailList = devTowerDataCollideDetailList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("deptId", getDeptId())
            .append("deviceKey", getDeviceKey())
            .append("deviceSource", getDeviceSource())
            .append("towerId", getTowerId())
            .append("coordinateX", getCoordinateX())
            .append("coordinateY", getCoordinateY())
            .append("frontBrachium", getFrontBrachium())
            .append("afterBrachium", getAfterBrachium())
            .append("towerBodyHeight", getTowerBodyHeight())
            .append("height", getHeight())
            .append("angle", getAngle())
            .append("range", getRange())
            .append("earlyWarningDistance", getEarlyWarningDistance())
            .append("alarmWarningDistance", getAlarmWarningDistance())
            .append("contourValue", getContourValue())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("devTowerDataCollideDetailList", getDevTowerDataCollideDetailList())
            .toString();
    }
}
