package com.yanzhu.jh.device.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 塔机限位信息对象 dev_tower_data_limit
 * 
 * @author JiangYuQi
 * @date 2024-08-04
 */
public class DevTowerDataLimit extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 配置编号 */
    private Long cfgId;

    /** 项目主键 */
    private Long projectId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 总包单位主键 */
    private Long deptId;

    /** 总包单位名称 */
    @Excel(name = "总包单位名称")
    private String deptName;

    /** 设备序列号 */
    @Excel(name = "设备序列号")
    private String deviceKey;

    /** 设备来源 */
    @Excel(name = "设备来源")
    private String deviceSource;

    /** 塔机编号 */
    @Excel(name = "塔机编号")
    private String towerId;

    /** 风速预警 */
    @Excel(name = "风速预警")
    private String windSpeedWarning;

    /** 风速报警 */
    @Excel(name = "风速报警")
    private String windSpeedAlarm;

    /** 超载预警 */
    @Excel(name = "超载预警")
    private String loadWarning;

    /** 超载报警 */
    @Excel(name = "超载报警")
    private String loadAlarm;

    /** 力矩预警 */
    @Excel(name = "力矩预警")
    private String momentWarning;

    /** 力矩报警 */
    @Excel(name = "力矩报警")
    private String momentAlarm;

    /** 高限位预警 */
    @Excel(name = "高限位预警")
    private String highLimitWarning;

    /** 高限位报警 */
    @Excel(name = "高限位报警")
    private String highLimitAlarm;

    /** 低限位预警 */
    @Excel(name = "低限位预警")
    private String lowLimitWarning;

    /** 低限位报警 */
    @Excel(name = "低限位报警")
    private String lowLimitAlarm;

    /** 左限位预警 */
    @Excel(name = "左限位预警")
    private String leftLimitWarning;

    /** 左限位报警 */
    @Excel(name = "左限位报警")
    private String leftLimitAlarm;

    /** 右限位预警 */
    @Excel(name = "右限位预警")
    private String rightLimitWarning;

    /** 右限位报警 */
    @Excel(name = "右限位报警")
    private String rightLimitAlarm;

    /** 前限位预警 */
    @Excel(name = "前限位预警")
    private String frontLimitWarning;

    /** 前限位报警 */
    @Excel(name = "前限位报警")
    private String frontLimitAlarm;

    /** 后限位预警 */
    @Excel(name = "后限位预警")
    private String backLimitWarning;

    /** 后限位报警 */
    @Excel(name = "后限位报警")
    private String backLimitAlarm;

    /** 防碰角度预警 */
    @Excel(name = "防碰角度预警")
    private String collisionAngleWarning;

    /** 防碰角度报警 */
    @Excel(name = "防碰角度报警")
    private String collisionAngleAlarm;

    /** 防碰距离预警 */
    @Excel(name = "防碰距离预警")
    private String collisionDistanceWarning;

    /** 防碰距离报警 */
    @Excel(name = "防碰距离报警")
    private String collisionDistanceAlarm;

    /** 水平距离预警值 */
    @Excel(name = "水平距离预警值")
    private String hDistanceWarning;

    /** 水平距离报警值 */
    @Excel(name = "水平距离报警值")
    private String hDistanceAlarm;

    /** 垂直距离预警值 */
    @Excel(name = "垂直距离预警值")
    private String vDistanceWarning;

    /** 垂直距离报警值 */
    @Excel(name = "垂直距离报警值")
    private String vDistanceAlarm;

    /** 倾斜预警值 */
    @Excel(name = "倾斜预警值")
    private String leanWarning;

    /** 倾斜报警值 */
    @Excel(name = "倾斜报警值")
    private String leanAlarm;

    /** 幅度限位起点值 */
    @Excel(name = "幅度限位起点值")
    private String rangeLimitStart;

    /** 幅度限位终点值 */
    @Excel(name = "幅度限位终点值")
    private String rangeLimitEnd;

    /** 高度限位起点值 */
    @Excel(name = "高度限位起点值")
    private String heightLimitStart;

    /** 高度限位终点值 */
    @Excel(name = "高度限位终点值")
    private String heightLimitEnd;

    /** 回转限位起点值 */
    @Excel(name = "回转限位起点值")
    private String rotationLimitStart;

    /** 回转限位终点值 */
    @Excel(name = "回转限位终点值")
    private String rotationLimitEnd;

    /** 是否有效 */
    @Excel(name = "是否有效")
    private Long isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public Long getCfgId() {
        return cfgId;
    }

    public void setCfgId(Long cfgId) {
        this.cfgId = cfgId;
    }

    public void setProjectId(Long projectId)
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDeviceKey(String deviceKey) 
    {
        this.deviceKey = deviceKey;
    }

    public String getDeviceKey() 
    {
        return deviceKey;
    }
    public void setDeviceSource(String deviceSource) 
    {
        this.deviceSource = deviceSource;
    }

    public String getDeviceSource() 
    {
        return deviceSource;
    }
    public void setTowerId(String towerId) 
    {
        this.towerId = towerId;
    }

    public String getTowerId() 
    {
        return towerId;
    }
    public void setWindSpeedWarning(String windSpeedWarning) 
    {
        this.windSpeedWarning = windSpeedWarning;
    }

    public String getWindSpeedWarning() 
    {
        return windSpeedWarning;
    }
    public void setWindSpeedAlarm(String windSpeedAlarm) 
    {
        this.windSpeedAlarm = windSpeedAlarm;
    }

    public String getWindSpeedAlarm() 
    {
        return windSpeedAlarm;
    }
    public void setLoadWarning(String loadWarning) 
    {
        this.loadWarning = loadWarning;
    }

    public String getLoadWarning() 
    {
        return loadWarning;
    }
    public void setLoadAlarm(String loadAlarm) 
    {
        this.loadAlarm = loadAlarm;
    }

    public String getLoadAlarm() 
    {
        return loadAlarm;
    }
    public void setMomentWarning(String momentWarning) 
    {
        this.momentWarning = momentWarning;
    }

    public String getMomentWarning() 
    {
        return momentWarning;
    }
    public void setMomentAlarm(String momentAlarm) 
    {
        this.momentAlarm = momentAlarm;
    }

    public String getMomentAlarm() 
    {
        return momentAlarm;
    }
    public void setHighLimitWarning(String highLimitWarning) 
    {
        this.highLimitWarning = highLimitWarning;
    }

    public String getHighLimitWarning() 
    {
        return highLimitWarning;
    }
    public void setHighLimitAlarm(String highLimitAlarm) 
    {
        this.highLimitAlarm = highLimitAlarm;
    }

    public String getHighLimitAlarm() 
    {
        return highLimitAlarm;
    }
    public void setLowLimitWarning(String lowLimitWarning) 
    {
        this.lowLimitWarning = lowLimitWarning;
    }

    public String getLowLimitWarning() 
    {
        return lowLimitWarning;
    }
    public void setLowLimitAlarm(String lowLimitAlarm) 
    {
        this.lowLimitAlarm = lowLimitAlarm;
    }

    public String getLowLimitAlarm() 
    {
        return lowLimitAlarm;
    }
    public void setLeftLimitWarning(String leftLimitWarning) 
    {
        this.leftLimitWarning = leftLimitWarning;
    }

    public String getLeftLimitWarning() 
    {
        return leftLimitWarning;
    }
    public void setLeftLimitAlarm(String leftLimitAlarm) 
    {
        this.leftLimitAlarm = leftLimitAlarm;
    }

    public String getLeftLimitAlarm() 
    {
        return leftLimitAlarm;
    }
    public void setRightLimitWarning(String rightLimitWarning) 
    {
        this.rightLimitWarning = rightLimitWarning;
    }

    public String getRightLimitWarning() 
    {
        return rightLimitWarning;
    }
    public void setRightLimitAlarm(String rightLimitAlarm) 
    {
        this.rightLimitAlarm = rightLimitAlarm;
    }

    public String getRightLimitAlarm() 
    {
        return rightLimitAlarm;
    }
    public void setFrontLimitWarning(String frontLimitWarning) 
    {
        this.frontLimitWarning = frontLimitWarning;
    }

    public String getFrontLimitWarning() 
    {
        return frontLimitWarning;
    }
    public void setFrontLimitAlarm(String frontLimitAlarm) 
    {
        this.frontLimitAlarm = frontLimitAlarm;
    }

    public String getFrontLimitAlarm() 
    {
        return frontLimitAlarm;
    }
    public void setBackLimitWarning(String backLimitWarning) 
    {
        this.backLimitWarning = backLimitWarning;
    }

    public String getBackLimitWarning() 
    {
        return backLimitWarning;
    }
    public void setBackLimitAlarm(String backLimitAlarm) 
    {
        this.backLimitAlarm = backLimitAlarm;
    }

    public String getBackLimitAlarm() 
    {
        return backLimitAlarm;
    }
    public void setCollisionAngleWarning(String collisionAngleWarning) 
    {
        this.collisionAngleWarning = collisionAngleWarning;
    }

    public String getCollisionAngleWarning() 
    {
        return collisionAngleWarning;
    }
    public void setCollisionAngleAlarm(String collisionAngleAlarm) 
    {
        this.collisionAngleAlarm = collisionAngleAlarm;
    }

    public String getCollisionAngleAlarm() 
    {
        return collisionAngleAlarm;
    }
    public void setCollisionDistanceWarning(String collisionDistanceWarning) 
    {
        this.collisionDistanceWarning = collisionDistanceWarning;
    }

    public String getCollisionDistanceWarning() 
    {
        return collisionDistanceWarning;
    }
    public void setCollisionDistanceAlarm(String collisionDistanceAlarm) 
    {
        this.collisionDistanceAlarm = collisionDistanceAlarm;
    }

    public String getCollisionDistanceAlarm() 
    {
        return collisionDistanceAlarm;
    }
    public void sethDistanceWarning(String hDistanceWarning) 
    {
        this.hDistanceWarning = hDistanceWarning;
    }

    public String gethDistanceWarning() 
    {
        return hDistanceWarning;
    }
    public void sethDistanceAlarm(String hDistanceAlarm) 
    {
        this.hDistanceAlarm = hDistanceAlarm;
    }

    public String gethDistanceAlarm() 
    {
        return hDistanceAlarm;
    }
    public void setvDistanceWarning(String vDistanceWarning) 
    {
        this.vDistanceWarning = vDistanceWarning;
    }

    public String getvDistanceWarning() 
    {
        return vDistanceWarning;
    }
    public void setvDistanceAlarm(String vDistanceAlarm) 
    {
        this.vDistanceAlarm = vDistanceAlarm;
    }

    public String getvDistanceAlarm() 
    {
        return vDistanceAlarm;
    }
    public void setLeanWarning(String leanWarning) 
    {
        this.leanWarning = leanWarning;
    }

    public String getLeanWarning() 
    {
        return leanWarning;
    }
    public void setLeanAlarm(String leanAlarm) 
    {
        this.leanAlarm = leanAlarm;
    }

    public String getLeanAlarm() 
    {
        return leanAlarm;
    }
    public void setRangeLimitStart(String rangeLimitStart) 
    {
        this.rangeLimitStart = rangeLimitStart;
    }

    public String getRangeLimitStart() 
    {
        return rangeLimitStart;
    }
    public void setRangeLimitEnd(String rangeLimitEnd) 
    {
        this.rangeLimitEnd = rangeLimitEnd;
    }

    public String getRangeLimitEnd() 
    {
        return rangeLimitEnd;
    }
    public void setHeightLimitStart(String heightLimitStart) 
    {
        this.heightLimitStart = heightLimitStart;
    }

    public String getHeightLimitStart() 
    {
        return heightLimitStart;
    }
    public void setHeightLimitEnd(String heightLimitEnd) 
    {
        this.heightLimitEnd = heightLimitEnd;
    }

    public String getHeightLimitEnd() 
    {
        return heightLimitEnd;
    }
    public void setRotationLimitStart(String rotationLimitStart) 
    {
        this.rotationLimitStart = rotationLimitStart;
    }

    public String getRotationLimitStart() 
    {
        return rotationLimitStart;
    }
    public void setRotationLimitEnd(String rotationLimitEnd) 
    {
        this.rotationLimitEnd = rotationLimitEnd;
    }

    public String getRotationLimitEnd() 
    {
        return rotationLimitEnd;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("deptId", getDeptId())
            .append("deviceKey", getDeviceKey())
            .append("deviceSource", getDeviceSource())
            .append("towerId", getTowerId())
            .append("windSpeedWarning", getWindSpeedWarning())
            .append("windSpeedAlarm", getWindSpeedAlarm())
            .append("loadWarning", getLoadWarning())
            .append("loadAlarm", getLoadAlarm())
            .append("momentWarning", getMomentWarning())
            .append("momentAlarm", getMomentAlarm())
            .append("highLimitWarning", getHighLimitWarning())
            .append("highLimitAlarm", getHighLimitAlarm())
            .append("lowLimitWarning", getLowLimitWarning())
            .append("lowLimitAlarm", getLowLimitAlarm())
            .append("leftLimitWarning", getLeftLimitWarning())
            .append("leftLimitAlarm", getLeftLimitAlarm())
            .append("rightLimitWarning", getRightLimitWarning())
            .append("rightLimitAlarm", getRightLimitAlarm())
            .append("frontLimitWarning", getFrontLimitWarning())
            .append("frontLimitAlarm", getFrontLimitAlarm())
            .append("backLimitWarning", getBackLimitWarning())
            .append("backLimitAlarm", getBackLimitAlarm())
            .append("collisionAngleWarning", getCollisionAngleWarning())
            .append("collisionAngleAlarm", getCollisionAngleAlarm())
            .append("collisionDistanceWarning", getCollisionDistanceWarning())
            .append("collisionDistanceAlarm", getCollisionDistanceAlarm())
            .append("hDistanceWarning", gethDistanceWarning())
            .append("hDistanceAlarm", gethDistanceAlarm())
            .append("vDistanceWarning", getvDistanceWarning())
            .append("vDistanceAlarm", getvDistanceAlarm())
            .append("leanWarning", getLeanWarning())
            .append("leanAlarm", getLeanAlarm())
            .append("rangeLimitStart", getRangeLimitStart())
            .append("rangeLimitEnd", getRangeLimitEnd())
            .append("heightLimitStart", getHeightLimitStart())
            .append("heightLimitEnd", getHeightLimitEnd())
            .append("rotationLimitStart", getRotationLimitStart())
            .append("rotationLimitEnd", getRotationLimitEnd())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
