package com.yanzhu.jh.device.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 塔机定位信息对象 dev_tower_data_local
 * 
 * @author JiangYuQi
 * @date 2024-08-04
 */
public class DevTowerDataLocal extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 配置编号 */
    private Long cfgId;

    /** 项目主键 */
    private Long projectId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 总包单位主键 */
    private Long deptId;

    /** 总包单位名称 */
    @Excel(name = "总包单位名称")
    private String deptName;

    /** 设备序列号 */
    @Excel(name = "设备序列号")
    private String deviceKey;

    /** 设备来源 */
    @Excel(name = "设备来源")
    private String deviceSource;

    /** 塔机编号 */
    @Excel(name = "塔机编号")
    private String towerId;

    /** 近端幅度标定AD定值 */
    @Excel(name = "近端幅度标定AD定值")
    private String rangeNearEndAdValue;

    /** 近端幅度标定实际值 */
    @Excel(name = "近端幅度标定实际值")
    private String rangeNearEndRealityValue;

    /** 远端幅度标定AD定值 */
    @Excel(name = "远端幅度标定AD定值")
    private String rangeFarEndAdValue;

    /** 远端幅度标定实际值 */
    @Excel(name = "远端幅度标定实际值")
    private String rangeFarEndRealityValue;

    /** 高度近端标定AD定值 */
    @Excel(name = "高度近端标定AD定值")
    private String highNearEndAdValue;

    /** 高度近端标定实际值 */
    @Excel(name = "高度近端标定实际值")
    private String highNearEndRealityValue;

    /** 高度远端标定AD定值 */
    @Excel(name = "高度远端标定AD定值")
    private String highFarEndAdValue;

    /** 高度远端标定实际值 */
    @Excel(name = "高度远端标定实际值")
    private String highFarEndRealityValue;

    /** 空载重量AD值 */
    @Excel(name = "空载重量AD值")
    private String emptyWeightAdValue;

    /** 空载重量实际值 */
    @Excel(name = "空载重量实际值")
    private String emptyWeightRealityValue;

    /** 负载重量AD值 */
    @Excel(name = "负载重量AD值")
    private String loadWeightAdValue;

    /** 负载重量实际值 */
    @Excel(name = "负载重量实际值")
    private String loadWeightRealityValue;

    /** 回转起点AD值 */
    @Excel(name = "回转起点AD值")
    private String rotationStartAdValue;

    /** 回转起点实际角度 */
    @Excel(name = "回转起点实际角度")
    private String rotationStartRealityValue;

    /** 回转终点AD值 */
    @Excel(name = "回转终点AD值")
    private String rotationEndAdValue;

    /** 回转终点实际角度 */
    @Excel(name = "回转终点实际角度")
    private String rotationEndRealityValue;

    /** 风速校准系数 */
    @Excel(name = "风速校准系数")
    private String windSpeedFactor;

    /** 倾斜校准系数 */
    @Excel(name = "倾斜校准系数")
    private String tiltFactor;

    /** 是否有效 */
    @Excel(name = "是否有效")
    private Long isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public Long getCfgId() {
        return cfgId;
    }

    public void setCfgId(Long cfgId) {
        this.cfgId = cfgId;
    }

    public void setProjectId(Long projectId)
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDeviceKey(String deviceKey) 
    {
        this.deviceKey = deviceKey;
    }

    public String getDeviceKey() 
    {
        return deviceKey;
    }
    public void setDeviceSource(String deviceSource) 
    {
        this.deviceSource = deviceSource;
    }

    public String getDeviceSource() 
    {
        return deviceSource;
    }
    public void setTowerId(String towerId) 
    {
        this.towerId = towerId;
    }

    public String getTowerId() 
    {
        return towerId;
    }
    public void setRangeNearEndAdValue(String rangeNearEndAdValue) 
    {
        this.rangeNearEndAdValue = rangeNearEndAdValue;
    }

    public String getRangeNearEndAdValue() 
    {
        return rangeNearEndAdValue;
    }
    public void setRangeNearEndRealityValue(String rangeNearEndRealityValue) 
    {
        this.rangeNearEndRealityValue = rangeNearEndRealityValue;
    }

    public String getRangeNearEndRealityValue() 
    {
        return rangeNearEndRealityValue;
    }
    public void setRangeFarEndAdValue(String rangeFarEndAdValue) 
    {
        this.rangeFarEndAdValue = rangeFarEndAdValue;
    }

    public String getRangeFarEndAdValue() 
    {
        return rangeFarEndAdValue;
    }
    public void setRangeFarEndRealityValue(String rangeFarEndRealityValue) 
    {
        this.rangeFarEndRealityValue = rangeFarEndRealityValue;
    }

    public String getRangeFarEndRealityValue() 
    {
        return rangeFarEndRealityValue;
    }
    public void setHighNearEndAdValue(String highNearEndAdValue) 
    {
        this.highNearEndAdValue = highNearEndAdValue;
    }

    public String getHighNearEndAdValue() 
    {
        return highNearEndAdValue;
    }
    public void setHighNearEndRealityValue(String highNearEndRealityValue) 
    {
        this.highNearEndRealityValue = highNearEndRealityValue;
    }

    public String getHighNearEndRealityValue() 
    {
        return highNearEndRealityValue;
    }
    public void setHighFarEndAdValue(String highFarEndAdValue) 
    {
        this.highFarEndAdValue = highFarEndAdValue;
    }

    public String getHighFarEndAdValue() 
    {
        return highFarEndAdValue;
    }
    public void setHighFarEndRealityValue(String highFarEndRealityValue) 
    {
        this.highFarEndRealityValue = highFarEndRealityValue;
    }

    public String getHighFarEndRealityValue() 
    {
        return highFarEndRealityValue;
    }
    public void setEmptyWeightAdValue(String emptyWeightAdValue) 
    {
        this.emptyWeightAdValue = emptyWeightAdValue;
    }

    public String getEmptyWeightAdValue() 
    {
        return emptyWeightAdValue;
    }
    public void setEmptyWeightRealityValue(String emptyWeightRealityValue) 
    {
        this.emptyWeightRealityValue = emptyWeightRealityValue;
    }

    public String getEmptyWeightRealityValue() 
    {
        return emptyWeightRealityValue;
    }
    public void setLoadWeightAdValue(String loadWeightAdValue) 
    {
        this.loadWeightAdValue = loadWeightAdValue;
    }

    public String getLoadWeightAdValue() 
    {
        return loadWeightAdValue;
    }
    public void setLoadWeightRealityValue(String loadWeightRealityValue) 
    {
        this.loadWeightRealityValue = loadWeightRealityValue;
    }

    public String getLoadWeightRealityValue() 
    {
        return loadWeightRealityValue;
    }
    public void setRotationStartAdValue(String rotationStartAdValue) 
    {
        this.rotationStartAdValue = rotationStartAdValue;
    }

    public String getRotationStartAdValue() 
    {
        return rotationStartAdValue;
    }
    public void setRotationStartRealityValue(String rotationStartRealityValue) 
    {
        this.rotationStartRealityValue = rotationStartRealityValue;
    }

    public String getRotationStartRealityValue() 
    {
        return rotationStartRealityValue;
    }
    public void setRotationEndAdValue(String rotationEndAdValue) 
    {
        this.rotationEndAdValue = rotationEndAdValue;
    }

    public String getRotationEndAdValue() 
    {
        return rotationEndAdValue;
    }
    public void setRotationEndRealityValue(String rotationEndRealityValue) 
    {
        this.rotationEndRealityValue = rotationEndRealityValue;
    }

    public String getRotationEndRealityValue() 
    {
        return rotationEndRealityValue;
    }
    public void setWindSpeedFactor(String windSpeedFactor) 
    {
        this.windSpeedFactor = windSpeedFactor;
    }

    public String getWindSpeedFactor() 
    {
        return windSpeedFactor;
    }
    public void setTiltFactor(String tiltFactor) 
    {
        this.tiltFactor = tiltFactor;
    }

    public String getTiltFactor() 
    {
        return tiltFactor;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("deptId", getDeptId())
            .append("deviceKey", getDeviceKey())
            .append("deviceSource", getDeviceSource())
            .append("towerId", getTowerId())
            .append("rangeNearEndAdValue", getRangeNearEndAdValue())
            .append("rangeNearEndRealityValue", getRangeNearEndRealityValue())
            .append("rangeFarEndAdValue", getRangeFarEndAdValue())
            .append("rangeFarEndRealityValue", getRangeFarEndRealityValue())
            .append("highNearEndAdValue", getHighNearEndAdValue())
            .append("highNearEndRealityValue", getHighNearEndRealityValue())
            .append("highFarEndAdValue", getHighFarEndAdValue())
            .append("highFarEndRealityValue", getHighFarEndRealityValue())
            .append("emptyWeightAdValue", getEmptyWeightAdValue())
            .append("emptyWeightRealityValue", getEmptyWeightRealityValue())
            .append("loadWeightAdValue", getLoadWeightAdValue())
            .append("loadWeightRealityValue", getLoadWeightRealityValue())
            .append("rotationStartAdValue", getRotationStartAdValue())
            .append("rotationStartRealityValue", getRotationStartRealityValue())
            .append("rotationEndAdValue", getRotationEndAdValue())
            .append("rotationEndRealityValue", getRotationEndRealityValue())
            .append("windSpeedFactor", getWindSpeedFactor())
            .append("tiltFactor", getTiltFactor())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
