package com.yanzhu.jh.device.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 塔机工作循环对象 dev_tower_data_round
 * 
 * @author JiangYuQi
 * @date 2024-08-04
 */
public class DevTowerDataRound extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 配置编号 */
    private Long cfgId;

    /** 项目主键 */
    private Long projectId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 总包单位主键 */
    private Long deptId;

    /** 总包单位名称 */
    @Excel(name = "总包单位名称")
    private String deptName;

    /** 设备序列号 */
    @Excel(name = "设备序列号")
    private String deviceKey;

    /** 设备来源 */
    @Excel(name = "设备来源")
    private String deviceSource;

    /** 塔吊编号 */
    @Excel(name = "塔吊编号")
    private String towerId;

    /** 工作循环开始 */
    @Excel(name = "工作循环开始")
    private String workStartTime;

    /** 工作循环结束 */
    @Excel(name = "工作循环结束")
    private String workEndTime;

    /** 工作循环最小高度 */
    @Excel(name = "工作循环最小高度")
    private String minHeight;

    /** 工作循环最大高度 */
    @Excel(name = "工作循环最大高度")
    private String maxHeight;

    /** 工作循环最小幅度 */
    @Excel(name = "工作循环最小幅度")
    private String minRange;

    /** 工作循环最大幅度 */
    @Excel(name = "工作循环最大幅度")
    private String maxRange;

    /** 工作循环开始高度 */
    @Excel(name = "工作循环开始高度")
    private String startHeight;

    /** 工作循环结束高度 */
    @Excel(name = "工作循环结束高度")
    private String endHeight;

    /** 工作循环开始幅度 */
    @Excel(name = "工作循环开始幅度")
    private String startRange;

    /** 工作循环结束幅度单位米 */
    @Excel(name = "工作循环结束幅度单位米")
    private String endRange;

    /** 工作循环开始回转角度单位度 */
    @Excel(name = "工作循环开始回转角度单位度")
    private String startRotation;

    /** 工作循环结束回转角度单位度 */
    @Excel(name = "工作循环结束回转角度单位度")
    private String endRotation;

    /** 工作循环最大吊重单位吨 */
    @Excel(name = "工作循环最大吊重单位吨")
    private String maxLoad;

    /** 工作循环最大重量百分比 */
    @Excel(name = "工作循环最大重量百分比")
    private String maxLoadPercent;

    /** 工作循环最大力矩 */
    @Excel(name = "工作循环最大力矩")
    private String maxMoment;

    /** 工作循环最大力矩百分比 */
    @Excel(name = "工作循环最大力矩百分比")
    private String maxMomentPercent;

    /** 工作循环开始风速 */
    @Excel(name = "工作循环开始风速")
    private String startWindSpeed;

    /** 工作循环结束风速 */
    @Excel(name = "工作循环结束风速")
    private String endWindSpeed;

    /** 工作循环开始风速等级 */
    @Excel(name = "工作循环开始风速等级")
    private String startWindSpeedPercent;

    /** 工作循环结束风速等级 */
    @Excel(name = "工作循环结束风速等级")
    private String endWindSpeedPercent;

    /** 工作循环开始水平倾角 */
    @Excel(name = "工作循环开始水平倾角")
    private String startLeanAngleX;

    /** 工作循环结束水平倾角 */
    @Excel(name = "工作循环结束水平倾角")
    private String endLeanAngleX;

    /** 工作循环开始垂直倾角 */
    @Excel(name = "工作循环开始垂直倾角")
    private String startLeanAngleY;

    /** 工作循环结束垂直倾角 */
    @Excel(name = "工作循环结束垂直倾角")
    private String endLeanAngleY;

    /** 警报信息 */
    @Excel(name = "警报信息")
    private String warnings;

    /** 是否告警 */
    @Excel(name = "是否告警")
    private Long isAlarm;

    /** 是否告警 */
    @Excel(name = "是否告警")
    private Long isOverload;

    /** 是否有效 */
    @Excel(name = "是否有效")
    private Long isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public Long getCfgId() {
        return cfgId;
    }

    public void setCfgId(Long cfgId) {
        this.cfgId = cfgId;
    }

    public void setProjectId(Long projectId)
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDeviceKey(String deviceKey) 
    {
        this.deviceKey = deviceKey;
    }

    public String getDeviceKey() 
    {
        return deviceKey;
    }
    public void setDeviceSource(String deviceSource) 
    {
        this.deviceSource = deviceSource;
    }

    public String getDeviceSource() 
    {
        return deviceSource;
    }
    public void setTowerId(String towerId)
    {
        this.towerId = towerId;
    }

    public String getTowerId()
    {
        return towerId;
    }
    public void setWorkStartTime(String workStartTime) 
    {
        this.workStartTime = workStartTime;
    }

    public String getWorkStartTime() 
    {
        return workStartTime;
    }
    public void setWorkEndTime(String workEndTime) 
    {
        this.workEndTime = workEndTime;
    }

    public String getWorkEndTime() 
    {
        return workEndTime;
    }
    public void setMinHeight(String minHeight) 
    {
        this.minHeight = minHeight;
    }

    public String getMinHeight() 
    {
        return minHeight;
    }
    public void setMaxHeight(String maxHeight) 
    {
        this.maxHeight = maxHeight;
    }

    public String getMaxHeight() 
    {
        return maxHeight;
    }
    public void setMinRange(String minRange) 
    {
        this.minRange = minRange;
    }

    public String getMinRange() 
    {
        return minRange;
    }
    public void setMaxRange(String maxRange) 
    {
        this.maxRange = maxRange;
    }

    public String getMaxRange() 
    {
        return maxRange;
    }
    public void setStartHeight(String startHeight) 
    {
        this.startHeight = startHeight;
    }

    public String getStartHeight() 
    {
        return startHeight;
    }
    public void setEndHeight(String endHeight) 
    {
        this.endHeight = endHeight;
    }

    public String getEndHeight() 
    {
        return endHeight;
    }
    public void setStartRange(String startRange) 
    {
        this.startRange = startRange;
    }

    public String getStartRange() 
    {
        return startRange;
    }
    public void setEndRange(String endRange) 
    {
        this.endRange = endRange;
    }

    public String getEndRange() 
    {
        return endRange;
    }
    public void setStartRotation(String startRotation) 
    {
        this.startRotation = startRotation;
    }

    public String getStartRotation() 
    {
        return startRotation;
    }
    public void setEndRotation(String endRotation) 
    {
        this.endRotation = endRotation;
    }

    public String getEndRotation() 
    {
        return endRotation;
    }
    public void setMaxLoad(String maxLoad) 
    {
        this.maxLoad = maxLoad;
    }

    public String getMaxLoad() 
    {
        return maxLoad;
    }
    public void setMaxLoadPercent(String maxLoadPercent) 
    {
        this.maxLoadPercent = maxLoadPercent;
    }

    public String getMaxLoadPercent() 
    {
        return maxLoadPercent;
    }
    public void setMaxMoment(String maxMoment) 
    {
        this.maxMoment = maxMoment;
    }

    public String getMaxMoment() 
    {
        return maxMoment;
    }
    public void setMaxMomentPercent(String maxMomentPercent) 
    {
        this.maxMomentPercent = maxMomentPercent;
    }

    public String getMaxMomentPercent() 
    {
        return maxMomentPercent;
    }
    public void setStartWindSpeed(String startWindSpeed) 
    {
        this.startWindSpeed = startWindSpeed;
    }

    public String getStartWindSpeed() 
    {
        return startWindSpeed;
    }
    public void setEndWindSpeed(String endWindSpeed) 
    {
        this.endWindSpeed = endWindSpeed;
    }

    public String getEndWindSpeed() 
    {
        return endWindSpeed;
    }
    public void setStartWindSpeedPercent(String startWindSpeedPercent) 
    {
        this.startWindSpeedPercent = startWindSpeedPercent;
    }

    public String getStartWindSpeedPercent() 
    {
        return startWindSpeedPercent;
    }
    public void setEndWindSpeedPercent(String endWindSpeedPercent) 
    {
        this.endWindSpeedPercent = endWindSpeedPercent;
    }

    public String getEndWindSpeedPercent() 
    {
        return endWindSpeedPercent;
    }
    public void setStartLeanAngleX(String startLeanAngleX) 
    {
        this.startLeanAngleX = startLeanAngleX;
    }

    public String getStartLeanAngleX() 
    {
        return startLeanAngleX;
    }
    public void setEndLeanAngleX(String endLeanAngleX) 
    {
        this.endLeanAngleX = endLeanAngleX;
    }

    public String getEndLeanAngleX() 
    {
        return endLeanAngleX;
    }
    public void setStartLeanAngleY(String startLeanAngleY) 
    {
        this.startLeanAngleY = startLeanAngleY;
    }

    public String getStartLeanAngleY() 
    {
        return startLeanAngleY;
    }
    public void setEndLeanAngleY(String endLeanAngleY) 
    {
        this.endLeanAngleY = endLeanAngleY;
    }

    public String getEndLeanAngleY() 
    {
        return endLeanAngleY;
    }
    public void setWarnings(String warnings) 
    {
        this.warnings = warnings;
    }

    public String getWarnings() 
    {
        return warnings;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Long getIsAlarm() {
        return isAlarm;
    }

    public void setIsAlarm(Long isAlarm) {
        this.isAlarm = isAlarm;
    }

    public Long getIsOverload() {
        return isOverload;
    }

    public void setIsOverload(Long isOverload) {
        this.isOverload = isOverload;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("deptId", getDeptId())
            .append("deviceKey", getDeviceKey())
            .append("deviceSource", getDeviceSource())
            .append("towerId", getTowerId())
            .append("workStartTime", getWorkStartTime())
            .append("workEndTime", getWorkEndTime())
            .append("minHeight", getMinHeight())
            .append("maxHeight", getMaxHeight())
            .append("minRange", getMinRange())
            .append("maxRange", getMaxRange())
            .append("startHeight", getStartHeight())
            .append("endHeight", getEndHeight())
            .append("startRange", getStartRange())
            .append("endRange", getEndRange())
            .append("startRotation", getStartRotation())
            .append("endRotation", getEndRotation())
            .append("maxLoad", getMaxLoad())
            .append("maxLoadPercent", getMaxLoadPercent())
            .append("maxMoment", getMaxMoment())
            .append("maxMomentPercent", getMaxMomentPercent())
            .append("startWindSpeed", getStartWindSpeed())
            .append("endWindSpeed", getEndWindSpeed())
            .append("startWindSpeedPercent", getStartWindSpeedPercent())
            .append("endWindSpeedPercent", getEndWindSpeedPercent())
            .append("startLeanAngleX", getStartLeanAngleX())
            .append("endLeanAngleX", getEndLeanAngleX())
            .append("startLeanAngleY", getStartLeanAngleY())
            .append("endLeanAngleY", getEndLeanAngleY())
            .append("warnings", getWarnings())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
