package com.yanzhu.jh.device.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 塔机实时数据对象 dev_tower_data_run
 * 
 * @author JiangYuQi
 * @date 2024-08-04
 */
public class DevTowerDataRun extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 配置编号 */
    private Long cfgId;

    /** 项目主键 */
    private Long projectId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 总包单位主键 */
    private Long deptId;

    /** 总包单位名称 */
    @Excel(name = "总包单位名称")
    private String deptName;

    /** 设备序列号 */
    @Excel(name = "设备序列号")
    private String deviceKey;

    /** 设备来源 */
    @Excel(name = "设备来源")
    private String deviceSource;

    /** 当前高度 */
    @Excel(name = "当前高度")
    private String height;

    /** 当前幅度 */
    @Excel(name = "当前幅度")
    private String range;

    /** 回转 */
    @Excel(name = "回转")
    private String rotation;

    /** 当前吊重 */
    @Excel(name = "当前吊重")
    private String load;

    /** 风速 */
    @Excel(name = "风速")
    private String windSpeed;

    /** 水平倾角 */
    @Excel(name = "水平倾角")
    private String leanAngleX;

    /** 垂直倾角 */
    @Excel(name = "垂直倾角")
    private String leanAngleY;

    /** 重量百分比 */
    @Excel(name = "重量百分比")
    private String loadPercent;

    /** 力矩百分比 */
    @Excel(name = "力矩百分比")
    private String momentPercent;

    /** 风速等级 */
    @Excel(name = "风速等级")
    private String windSpeedPercent;

    /** 倾斜百分比 */
    @Excel(name = "倾斜百分比")
    private String leanAnglePercent;

    /** 警报信息 */
    @Excel(name = "警报信息")
    private String warnings;

    /** 倍率 */
    @Excel(name = "倍率")
    private String rate;

    /** 回转传感器状态 */
    @Excel(name = "回转传感器状态")
    private String rotationSensorState;

    /** 重量传感器状态 */
    @Excel(name = "重量传感器状态")
    private String loadSensorState;

    /** 风速传感器状态 */
    @Excel(name = "风速传感器状态")
    private String windSpeedSensorState;

    /** 倾角传感器状态 */
    @Excel(name = "倾角传感器状态")
    private String leanAngleSensorState;

    /** 幅度传感器状态 */
    @Excel(name = "幅度传感器状态")
    private String rangeSensorState;

    /** 高度传感器状态 */
    @Excel(name = "高度传感器状态")
    private String heightSensorState;

    /** 控制状态 */
    @Excel(name = "控制状态")
    private String brakingStatus;

    /** 时间戳 */
    @Excel(name = "时间戳")
    private Long timeLongs;

    /** 是否告警 */
    @Excel(name = "是否告警")
    private Long isAlarm;

    /** 是否有效 */
    @Excel(name = "是否有效")
    private Long isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public Long getCfgId() {
        return cfgId;
    }

    public void setCfgId(Long cfgId) {
        this.cfgId = cfgId;
    }

    public void setProjectId(Long projectId)
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDeviceKey(String deviceKey) 
    {
        this.deviceKey = deviceKey;
    }

    public String getDeviceKey() 
    {
        return deviceKey;
    }
    public void setDeviceSource(String deviceSource) 
    {
        this.deviceSource = deviceSource;
    }

    public String getDeviceSource() 
    {
        return deviceSource;
    }
    public void setHeight(String height) 
    {
        this.height = height;
    }

    public String getHeight() 
    {
        return height;
    }
    public void setRange(String range) 
    {
        this.range = range;
    }

    public String getRange() 
    {
        return range;
    }
    public void setRotation(String rotation) 
    {
        this.rotation = rotation;
    }

    public String getRotation() 
    {
        return rotation;
    }
    public void setLoad(String load) 
    {
        this.load = load;
    }

    public String getLoad() 
    {
        return load;
    }
    public void setWindSpeed(String windSpeed) 
    {
        this.windSpeed = windSpeed;
    }

    public String getWindSpeed() 
    {
        return windSpeed;
    }
    public void setLeanAngleX(String leanAngleX) 
    {
        this.leanAngleX = leanAngleX;
    }

    public String getLeanAngleX() 
    {
        return leanAngleX;
    }
    public void setLeanAngleY(String leanAngleY) 
    {
        this.leanAngleY = leanAngleY;
    }

    public String getLeanAngleY() 
    {
        return leanAngleY;
    }
    public void setLoadPercent(String loadPercent) 
    {
        this.loadPercent = loadPercent;
    }

    public String getLoadPercent() 
    {
        return loadPercent;
    }
    public void setMomentPercent(String momentPercent) 
    {
        this.momentPercent = momentPercent;
    }

    public String getMomentPercent() 
    {
        return momentPercent;
    }
    public void setWindSpeedPercent(String windSpeedPercent) 
    {
        this.windSpeedPercent = windSpeedPercent;
    }

    public String getWindSpeedPercent() 
    {
        return windSpeedPercent;
    }
    public void setLeanAnglePercent(String leanAnglePercent) 
    {
        this.leanAnglePercent = leanAnglePercent;
    }

    public String getLeanAnglePercent() 
    {
        return leanAnglePercent;
    }
    public void setWarnings(String warnings) 
    {
        this.warnings = warnings;
    }

    public String getWarnings() 
    {
        return warnings;
    }
    public void setRate(String rate) 
    {
        this.rate = rate;
    }

    public String getRate() 
    {
        return rate;
    }
    public void setRotationSensorState(String rotationSensorState) 
    {
        this.rotationSensorState = rotationSensorState;
    }

    public String getRotationSensorState() 
    {
        return rotationSensorState;
    }
    public void setLoadSensorState(String loadSensorState) 
    {
        this.loadSensorState = loadSensorState;
    }

    public String getLoadSensorState() 
    {
        return loadSensorState;
    }
    public void setWindSpeedSensorState(String windSpeedSensorState) 
    {
        this.windSpeedSensorState = windSpeedSensorState;
    }

    public String getWindSpeedSensorState() 
    {
        return windSpeedSensorState;
    }
    public void setLeanAngleSensorState(String leanAngleSensorState) 
    {
        this.leanAngleSensorState = leanAngleSensorState;
    }

    public String getLeanAngleSensorState() 
    {
        return leanAngleSensorState;
    }
    public void setRangeSensorState(String rangeSensorState) 
    {
        this.rangeSensorState = rangeSensorState;
    }

    public String getRangeSensorState() 
    {
        return rangeSensorState;
    }
    public void setHeightSensorState(String heightSensorState) 
    {
        this.heightSensorState = heightSensorState;
    }

    public String getHeightSensorState() 
    {
        return heightSensorState;
    }
    public void setBrakingStatus(String brakingStatus) 
    {
        this.brakingStatus = brakingStatus;
    }

    public String getBrakingStatus() 
    {
        return brakingStatus;
    }
    public void setTimeLongs(Long timeLongs) 
    {
        this.timeLongs = timeLongs;
    }

    public Long getTimeLongs() 
    {
        return timeLongs;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Long getIsAlarm() {
        return isAlarm;
    }

    public void setIsAlarm(Long isAlarm) {
        this.isAlarm = isAlarm;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("deptId", getDeptId())
            .append("deviceKey", getDeviceKey())
            .append("deviceSource", getDeviceSource())
            .append("height", getHeight())
            .append("range", getRange())
            .append("rotation", getRotation())
            .append("load", getLoad())
            .append("windSpeed", getWindSpeed())
            .append("leanAngleX", getLeanAngleX())
            .append("leanAngleY", getLeanAngleY())
            .append("loadPercent", getLoadPercent())
            .append("momentPercent", getMomentPercent())
            .append("windSpeedPercent", getWindSpeedPercent())
            .append("leanAnglePercent", getLeanAnglePercent())
            .append("warnings", getWarnings())
            .append("rate", getRate())
            .append("rotationSensorState", getRotationSensorState())
            .append("loadSensorState", getLoadSensorState())
            .append("windSpeedSensorState", getWindSpeedSensorState())
            .append("leanAngleSensorState", getLeanAngleSensorState())
            .append("rangeSensorState", getRangeSensorState())
            .append("heightSensorState", getHeightSensorState())
            .append("brakingStatus", getBrakingStatus())
            .append("timeLongs", getTimeLongs())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
