package com.yanzhu.jh.device.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 塔机预警管理对象 dev_tower_data_warning
 * 
 * @author JiangYuQi
 * @date 2024-08-04
 */
public class DevTowerDataWarning extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 配置编号 */
    private Long cfgId;

    /** 项目主键 */
    private Long projectId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 总包单位主键 */
    private Long deptId;

    /** 总包单位名称 */
    @Excel(name = "总包单位名称")
    private String deptName;

    /** 设备序列号 */
    @Excel(name = "设备序列号")
    private String deviceKey;

    /** 设备来源 */
    @Excel(name = "设备来源")
    private String deviceSource;

    /** 塔机编号 */
    @Excel(name = "塔机编号")
    private String towerId;

    /** 预警类型 */
    @Excel(name = "预警类型")
    private Long warnType;

    /** 预警名称 */
    @Excel(name = "预警名称")
    private String warnName;

    /** 预警内容 */
    @Excel(name = "预警内容")
    private String warnNote;

    /** 预警值 */
    @Excel(name = "预警值")
    private String warnData;

    /** 实际值 */
    @Excel(name = "实际值")
    private String realData;

    /** 是否有效 */
    @Excel(name = "是否有效")
    private Long isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public Long getCfgId() {
        return cfgId;
    }

    public void setCfgId(Long cfgId) {
        this.cfgId = cfgId;
    }

    public void setProjectId(Long projectId)
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDeviceKey(String deviceKey) 
    {
        this.deviceKey = deviceKey;
    }

    public String getDeviceKey() 
    {
        return deviceKey;
    }
    public void setDeviceSource(String deviceSource) 
    {
        this.deviceSource = deviceSource;
    }

    public String getDeviceSource() 
    {
        return deviceSource;
    }
    public void setTowerId(String towerId) 
    {
        this.towerId = towerId;
    }

    public String getTowerId() 
    {
        return towerId;
    }
    public void setWarnType(Long warnType) 
    {
        this.warnType = warnType;
    }

    public Long getWarnType() 
    {
        return warnType;
    }
    public void setWarnName(String warnName) 
    {
        this.warnName = warnName;
    }

    public String getWarnName() 
    {
        return warnName;
    }
    public void setWarnNote(String warnNote) 
    {
        this.warnNote = warnNote;
    }

    public String getWarnNote() 
    {
        return warnNote;
    }
    public void setWarnData(String warnData) 
    {
        this.warnData = warnData;
    }

    public String getWarnData() 
    {
        return warnData;
    }
    public void setRealData(String realData) 
    {
        this.realData = realData;
    }

    public String getRealData() 
    {
        return realData;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("deptId", getDeptId())
            .append("deviceKey", getDeviceKey())
            .append("deviceSource", getDeviceSource())
            .append("towerId", getTowerId())
            .append("warnType", getWarnType())
            .append("warnName", getWarnName())
            .append("warnNote", getWarnNote())
            .append("warnData", getWarnData())
            .append("realData", getRealData())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
