package com.yanzhu.jh.device.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 塔基检测配置对象 dev_tower_project_config
 * 
 * @author JiangYuQi
 * @date 2024-08-04
 */
public class DevTowerProjectConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 项目主键 */
    private Long projectId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 总包单位主键 */
    private Long deptId;

    /** 总包单位名称 */
    @Excel(name = "总包单位名称")
    private String deptName;

    /** 设备序列号 */
    @Excel(name = "设备序列号")
    private String deviceSn;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String deviceName;

    /** 设备来源 */
    @Excel(name = "设备来源")
    private String deviceSource;

    /** 塔机编号 */
    @Excel(name = "塔机编号")
    private String towerId;

    /** 塔机类型 */
    @Excel(name = "塔机类型")
    private String towerType;

    /** 塔机坐标x */
    @Excel(name = "塔机坐标x")
    private String coordinateX;

    /** 塔机坐标y */
    @Excel(name = "塔机坐标y")
    private String coordinateY;

    /** 前臂长度 */
    @Excel(name = "前臂长度")
    private String frontBrachium;

    /** 平衡臂长度 */
    @Excel(name = "平衡臂长度")
    private String afterBrachium;

    /** 塔身高度 */
    @Excel(name = "塔身高度")
    private String towerBodyHeight;

    /** 塔帽高度 */
    @Excel(name = "塔帽高度")
    private String towerCapHeight;

    /** 塔节高度 */
    @Excel(name = "塔节高度")
    private String towerSectionHeight;

    /** 设备状态 */
    @Excel(name = "设备状态")
    private String online;

    /** 司机名称 */
    @Excel(name = "司机名称")
    private String driName;

    /** 司机电话 */
    @Excel(name = "司机电话")
    private String driPhone;

    /** 安全员名称 */
    @Excel(name = "安全员名称")
    private String safName;

    /** 安全员电话 */
    @Excel(name = "安全员电话")
    private String safPhone;

    /** 是否有效 */
    @Excel(name = "是否有效")
    private Long isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDeviceSn(String deviceSn) 
    {
        this.deviceSn = deviceSn;
    }

    public String getDeviceSn() 
    {
        return deviceSn;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public void setDeviceSource(String deviceSource)
    {
        this.deviceSource = deviceSource;
    }

    public String getDeviceSource() 
    {
        return deviceSource;
    }

    public String getTowerId() {
        return towerId;
    }

    public void setTowerId(String towerId) {
        this.towerId = towerId;
    }

    public void setTowerType(String towerType)
    {
        this.towerType = towerType;
    }

    public String getTowerType() 
    {
        return towerType;
    }
    public void setCoordinateX(String coordinateX) 
    {
        this.coordinateX = coordinateX;
    }

    public String getCoordinateX() 
    {
        return coordinateX;
    }
    public void setCoordinateY(String coordinateY) 
    {
        this.coordinateY = coordinateY;
    }

    public String getCoordinateY() 
    {
        return coordinateY;
    }
    public void setFrontBrachium(String frontBrachium) 
    {
        this.frontBrachium = frontBrachium;
    }

    public String getFrontBrachium() 
    {
        return frontBrachium;
    }
    public void setAfterBrachium(String afterBrachium) 
    {
        this.afterBrachium = afterBrachium;
    }

    public String getAfterBrachium() 
    {
        return afterBrachium;
    }
    public void setTowerBodyHeight(String towerBodyHeight) 
    {
        this.towerBodyHeight = towerBodyHeight;
    }

    public String getTowerBodyHeight() 
    {
        return towerBodyHeight;
    }
    public void setTowerCapHeight(String towerCapHeight) 
    {
        this.towerCapHeight = towerCapHeight;
    }

    public String getTowerCapHeight() 
    {
        return towerCapHeight;
    }
    public void setTowerSectionHeight(String towerSectionHeight) 
    {
        this.towerSectionHeight = towerSectionHeight;
    }

    public String getTowerSectionHeight() 
    {
        return towerSectionHeight;
    }

    public String getOnline() {
        return online;
    }

    public void setOnline(String online) {
        this.online = online;
    }

    public String getDriName() {
        return driName;
    }

    public void setDriName(String driName) {
        this.driName = driName;
    }

    public String getDriPhone() {
        return driPhone;
    }

    public void setDriPhone(String driPhone) {
        this.driPhone = driPhone;
    }

    public String getSafName() {
        return safName;
    }

    public void setSafName(String safName) {
        this.safName = safName;
    }

    public String getSafPhone() {
        return safPhone;
    }

    public void setSafPhone(String safPhone) {
        this.safPhone = safPhone;
    }

    public void setIsDel(Long isDel)
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("deptId", getDeptId())
            .append("deviceSn", getDeviceSn())
            .append("deviceName", getDeviceName())
            .append("deviceSource", getDeviceSource())
            .append("towerType", getTowerType())
            .append("coordinateX", getCoordinateX())
            .append("coordinateY", getCoordinateY())
            .append("frontBrachium", getFrontBrachium())
            .append("afterBrachium", getAfterBrachium())
            .append("towerBodyHeight", getTowerBodyHeight())
            .append("towerCapHeight", getTowerCapHeight())
            .append("towerSectionHeight", getTowerSectionHeight())
            .append("online", getOnline())
            .append("driName", getDriName())
            .append("driPhone", getDriPhone())
            .append("safName", getSafName())
            .append("safPhone", getSafPhone())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
