package com.yanzhu.jh.device.mapper;

import java.util.List;
import com.yanzhu.jh.device.domain.DevTowerDataCollide;
import com.yanzhu.jh.device.domain.DevTowerDataCollideDetail;
import com.yanzhu.jh.device.domain.DevTowerDataRound;

/**
 * 塔机碰撞信息Mapper接口
 * 
 * @author JiangYuQi
 * @date 2024-08-04
 */
public interface DevTowerDataCollideMapper 
{
    /**
     * 查询塔机碰撞信息
     * 
     * @param id 塔机碰撞信息主键
     * @return 塔机碰撞信息
     */
    public DevTowerDataCollide selectDevTowerDataCollideById(Long id);

    /**
     * 查询塔机碰撞信息列表
     * 
     * @param devTowerDataCollide 塔机碰撞信息
     * @return 塔机碰撞信息集合
     */
    public List<DevTowerDataCollide> selectDevTowerDataCollideList(DevTowerDataCollide devTowerDataCollide);

    /**
     * 新增塔机碰撞信息
     * 
     * @param devTowerDataCollide 塔机碰撞信息
     * @return 结果
     */
    public int insertDevTowerDataCollide(DevTowerDataCollide devTowerDataCollide);

    /**
     * 修改塔机碰撞信息
     * 
     * @param devTowerDataCollide 塔机碰撞信息
     * @return 结果
     */
    public int updateDevTowerDataCollide(DevTowerDataCollide devTowerDataCollide);

    /**
     * 删除塔机碰撞信息
     * 
     * @param id 塔机碰撞信息主键
     * @return 结果
     */
    public int deleteDevTowerDataCollideById(Long id);

    /**
     * 批量删除塔机碰撞信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDevTowerDataCollideByIds(Long[] ids);

    /**
     * 批量删除碰撞详情
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDevTowerDataCollideDetailByCollideIds(Long[] ids);
    
    /**
     * 批量新增碰撞详情
     * 
     * @param devTowerDataCollideDetailList 碰撞详情列表
     * @return 结果
     */
    public int batchDevTowerDataCollideDetail(List<DevTowerDataCollideDetail> devTowerDataCollideDetailList);
    

    /**
     * 通过塔机碰撞信息主键删除碰撞详情信息
     * 
     * @param id 塔机碰撞信息ID
     * @return 结果
     */
    public int deleteDevTowerDataCollideDetailByCollideId(Long id);

    /**
     * 查询塔机碰撞数据
     *
     * @param DevTowerDataRound 设备循环信息
     * @return 结果
     */
    public int findCollideCountByDeviceKey(DevTowerDataRound DevTowerDataRound);
}
