package com.yanzhu.jh.device.mapper;

import java.util.List;
import com.yanzhu.jh.device.domain.DevTowerDataLocal;

/**
 * 塔机定位信息Mapper接口
 * 
 * @author JiangYuQi
 * @date 2024-08-04
 */
public interface DevTowerDataLocalMapper 
{
    /**
     * 查询塔机定位信息
     * 
     * @param id 塔机定位信息主键
     * @return 塔机定位信息
     */
    public DevTowerDataLocal selectDevTowerDataLocalById(Long id);

    /**
     * 查询塔机定位信息列表
     * 
     * @param devTowerDataLocal 塔机定位信息
     * @return 塔机定位信息集合
     */
    public List<DevTowerDataLocal> selectDevTowerDataLocalList(DevTowerDataLocal devTowerDataLocal);

    /**
     * 新增塔机定位信息
     * 
     * @param devTowerDataLocal 塔机定位信息
     * @return 结果
     */
    public int insertDevTowerDataLocal(DevTowerDataLocal devTowerDataLocal);

    /**
     * 修改塔机定位信息
     * 
     * @param devTowerDataLocal 塔机定位信息
     * @return 结果
     */
    public int updateDevTowerDataLocal(DevTowerDataLocal devTowerDataLocal);

    /**
     * 删除塔机定位信息
     * 
     * @param id 塔机定位信息主键
     * @return 结果
     */
    public int deleteDevTowerDataLocalById(Long id);

    /**
     * 批量删除塔机定位信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDevTowerDataLocalByIds(Long[] ids);
}
