package com.yanzhu.jh.device.mapper;

import java.util.List;
import com.yanzhu.jh.device.domain.DevTowerDataRound;

/**
 * 塔机工作循环Mapper接口
 * 
 * @author JiangYuQi
 * @date 2024-08-04
 */
public interface DevTowerDataRoundMapper 
{
    /**
     * 查询塔机工作循环
     * 
     * @param id 塔机工作循环主键
     * @return 塔机工作循环
     */
    public DevTowerDataRound selectDevTowerDataRoundById(Long id);

    /**
     * 查询塔机工作循环列表
     * 
     * @param devTowerDataRound 塔机工作循环
     * @return 塔机工作循环集合
     */
    public List<DevTowerDataRound> selectDevTowerDataRoundList(DevTowerDataRound devTowerDataRound);

    /**
     * 新增塔机工作循环
     * 
     * @param devTowerDataRound 塔机工作循环
     * @return 结果
     */
    public int insertDevTowerDataRound(DevTowerDataRound devTowerDataRound);

    /**
     * 修改塔机工作循环
     * 
     * @param devTowerDataRound 塔机工作循环
     * @return 结果
     */
    public int updateDevTowerDataRound(DevTowerDataRound devTowerDataRound);

    /**
     * 删除塔机工作循环
     * 
     * @param id 塔机工作循环主键
     * @return 结果
     */
    public int deleteDevTowerDataRoundById(Long id);

    /**
     * 批量删除塔机工作循环
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDevTowerDataRoundByIds(Long[] ids);

    /**
     * 查询塔机工作循环数据
     *
     * @param devTowerDataRound 设备循环信息
     * @return 结果
     */
    public int findRoundCountByDeviceKey(DevTowerDataRound devTowerDataRound);
}
