package com.yanzhu.jh.device.mapper;

import java.util.List;

import com.yanzhu.jh.device.domain.DevTowerDataRound;
import com.yanzhu.jh.device.domain.DevTowerDataRun;

/**
 * 塔机实时数据Mapper接口
 * 
 * @author JiangYuQi
 * @date 2024-08-04
 */
public interface DevTowerDataRunMapper 
{
    /**
     * 查询塔机实时数据
     * 
     * @param id 塔机实时数据主键
     * @return 塔机实时数据
     */
    public DevTowerDataRun selectDevTowerDataRunById(Long id);

    /**
     * 查询塔机实时数据列表
     * 
     * @param devTowerDataRun 塔机实时数据
     * @return 塔机实时数据集合
     */
    public List<DevTowerDataRun> selectDevTowerDataRunList(DevTowerDataRun devTowerDataRun);

    /**
     * 新增塔机实时数据
     * 
     * @param devTowerDataRun 塔机实时数据
     * @return 结果
     */
    public int insertDevTowerDataRun(DevTowerDataRun devTowerDataRun);

    /**
     * 修改塔机实时数据
     * 
     * @param devTowerDataRun 塔机实时数据
     * @return 结果
     */
    public int updateDevTowerDataRun(DevTowerDataRun devTowerDataRun);

    /**
     * 删除塔机实时数据
     * 
     * @param id 塔机实时数据主键
     * @return 结果
     */
    public int deleteDevTowerDataRunById(Long id);

    /**
     * 批量删除塔机实时数据
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDevTowerDataRunByIds(Long[] ids);

    /**
     * 查询塔机实时数据
     *
     * @param DevTowerDataRound 设备循环信息
     * @return 结果
     */
    public int findRunCountByDeviceKey(DevTowerDataRound DevTowerDataRound);
}
