package com.yanzhu.jh.device.mapper;

import java.util.List;
import com.yanzhu.jh.device.domain.DevTowerDataWarning;

/**
 * 塔机预警管理Mapper接口
 * 
 * @author JiangYuQi
 * @date 2024-08-04
 */
public interface DevTowerDataWarningMapper 
{
    /**
     * 查询塔机预警管理
     * 
     * @param id 塔机预警管理主键
     * @return 塔机预警管理
     */
    public DevTowerDataWarning selectDevTowerDataWarningById(Long id);

    /**
     * 查询塔机预警管理列表
     * 
     * @param devTowerDataWarning 塔机预警管理
     * @return 塔机预警管理集合
     */
    public List<DevTowerDataWarning> selectDevTowerDataWarningList(DevTowerDataWarning devTowerDataWarning);

    /**
     * 新增塔机预警管理
     * 
     * @param devTowerDataWarning 塔机预警管理
     * @return 结果
     */
    public int insertDevTowerDataWarning(DevTowerDataWarning devTowerDataWarning);

    /**
     * 修改塔机预警管理
     * 
     * @param devTowerDataWarning 塔机预警管理
     * @return 结果
     */
    public int updateDevTowerDataWarning(DevTowerDataWarning devTowerDataWarning);

    /**
     * 删除塔机预警管理
     * 
     * @param id 塔机预警管理主键
     * @return 结果
     */
    public int deleteDevTowerDataWarningById(Long id);

    /**
     * 批量删除塔机预警管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDevTowerDataWarningByIds(Long[] ids);
}
