package com.yanzhu.jh.device.mapper;

import java.util.List;
import java.util.Map;

import com.yanzhu.jh.device.domain.DevTowerProjectConfig;

/**
 * 塔基检测配置Mapper接口
 * 
 * @author JiangYuQi
 * @date 2024-08-04
 */
public interface DevTowerProjectConfigMapper 
{
    /**
     * 查询塔基检测配置
     * 
     * @param id 塔基检测配置主键
     * @return 塔基检测配置
     */
    public DevTowerProjectConfig selectDevTowerProjectConfigById(Long id);

    /**
     * 查询塔基检测配置列表
     * 
     * @param devTowerProjectConfig 塔基检测配置
     * @return 塔基检测配置集合
     */
    public List<DevTowerProjectConfig> selectDevTowerProjectConfigList(DevTowerProjectConfig devTowerProjectConfig);

    /**
     * 新增塔基检测配置
     * 
     * @param devTowerProjectConfig 塔基检测配置
     * @return 结果
     */
    public int insertDevTowerProjectConfig(DevTowerProjectConfig devTowerProjectConfig);

    /**
     * 修改塔基检测配置
     * 
     * @param devTowerProjectConfig 塔基检测配置
     * @return 结果
     */
    public int updateDevTowerProjectConfig(DevTowerProjectConfig devTowerProjectConfig);

    /**
     * 删除塔基检测配置
     * 
     * @param id 塔基检测配置主键
     * @return 结果
     */
    public int deleteDevTowerProjectConfigById(Long id);

    /**
     * 批量删除塔基检测配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDevTowerProjectConfigByIds(Long[] ids);

    /**
     * 根据设备状态统计设备
     * @param devTowerProjectConfig
     * @return
     */
    public List<Map<String, Object>> findtowerConfigGroupOnline(DevTowerProjectConfig devTowerProjectConfig);
}
