package com.yanzhu.jh.device.mapper;

import java.util.Date;
import java.util.List;
import com.yanzhu.jh.device.domain.PitmonitSouthsmosData;

/**
 * 测点数据Mapper接口
 * 
 * @author ruoyi
 * @date 2024-08-13
 */
public interface PitmonitSouthsmosDataMapper
{
    /**
     * 查询测点数据
     * 
     * @param id 测点数据主键
     * @return 测点数据
     */
    public PitmonitSouthsmosData selectDevPitmonitSouthsmosDataById(Long id);

    /**
     * 查询测点数据列表
     * 
     * @param pitmonitSouthsmosData 测点数据
     * @return 测点数据集合
     */
    public List<PitmonitSouthsmosData> selectDevPitmonitSouthsmosDataList(PitmonitSouthsmosData pitmonitSouthsmosData);

    /**
     * 新增测点数据
     * 
     * @param pitmonitSouthsmosData 测点数据
     * @return 结果
     */
    public int insertDevPitmonitSouthsmosData(PitmonitSouthsmosData pitmonitSouthsmosData);

    /**
     * 修改测点数据
     * 
     * @param pitmonitSouthsmosData 测点数据
     * @return 结果
     */
    public int updateDevPitmonitSouthsmosData(PitmonitSouthsmosData pitmonitSouthsmosData);

    /**
     * 删除测点数据
     * 
     * @param id 测点数据主键
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosDataById(Long id);

    /**
     * 批量删除测点数据
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosDataByIds(Long[] ids);

    public int getCountByPrjId(Long prjId);

    /**
     * 获取项目中测点最后一条数据
     * @param id
     * @return
     */
    public List<PitmonitSouthsmosData> getLastDataForElement(Long id);
    /**
     * 按收集日期和数据类型查询数据
     * @param where
     * @return
     */
    List<PitmonitSouthsmosData> selectByDate(PitmonitSouthsmosData where);

    public Date monitDays(Long id);
}
