package com.yanzhu.jh.device.mapper;

import java.util.List;
import com.yanzhu.jh.device.domain.PitmonitSouthsmosDevSp;

/**
 * 设测点关系Mapper接口
 * 
 * @author ruoyi
 * @date 2024-08-13
 */
public interface PitmonitSouthsmosDevSpMapper
{
    /**
     * 查询设测点关系
     * 
     * @param id 设测点关系主键
     * @return 设测点关系
     */
    public PitmonitSouthsmosDevSp selectDevPitmonitSouthsmosDevSpById(Long id);

    /**
     * 查询设测点关系列表
     * 
     * @param pitmonitSouthsmosDevSp 设测点关系
     * @return 设测点关系集合
     */
    public List<PitmonitSouthsmosDevSp> selectDevPitmonitSouthsmosDevSpList(PitmonitSouthsmosDevSp pitmonitSouthsmosDevSp);

    /**
     * 新增设测点关系
     * 
     * @param pitmonitSouthsmosDevSp 设测点关系
     * @return 结果
     */
    public int insertDevPitmonitSouthsmosDevSp(PitmonitSouthsmosDevSp pitmonitSouthsmosDevSp);

    /**
     * 修改设测点关系
     * 
     * @param pitmonitSouthsmosDevSp 设测点关系
     * @return 结果
     */
    public int updateDevPitmonitSouthsmosDevSp(PitmonitSouthsmosDevSp pitmonitSouthsmosDevSp);

    /**
     * 删除设测点关系
     * 
     * @param id 设测点关系主键
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosDevSpById(Long id);

    /**
     * 批量删除设测点关系
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosDevSpByIds(Long[] ids);
}
