package com.yanzhu.jh.device.service;

import java.util.List;
import com.yanzhu.jh.device.domain.DevTowerDataCollide;

/**
 * 塔机碰撞信息Service接口
 * 
 * @author JiangYuQi
 * @date 2024-08-04
 */
public interface IDevTowerDataCollideService 
{
    /**
     * 查询塔机碰撞信息
     * 
     * @param id 塔机碰撞信息主键
     * @return 塔机碰撞信息
     */
    public DevTowerDataCollide selectDevTowerDataCollideById(Long id);

    /**
     * 查询塔机碰撞信息列表
     * 
     * @param devTowerDataCollide 塔机碰撞信息
     * @return 塔机碰撞信息集合
     */
    public List<DevTowerDataCollide> selectDevTowerDataCollideList(DevTowerDataCollide devTowerDataCollide);

    /**
     * 新增塔机碰撞信息
     * 
     * @param devTowerDataCollide 塔机碰撞信息
     * @return 结果
     */
    public int insertDevTowerDataCollide(DevTowerDataCollide devTowerDataCollide);

    /**
     * 修改塔机碰撞信息
     * 
     * @param devTowerDataCollide 塔机碰撞信息
     * @return 结果
     */
    public int updateDevTowerDataCollide(DevTowerDataCollide devTowerDataCollide);

    /**
     * 批量删除塔机碰撞信息
     * 
     * @param ids 需要删除的塔机碰撞信息主键集合
     * @return 结果
     */
    public int deleteDevTowerDataCollideByIds(Long[] ids);

    /**
     * 删除塔机碰撞信息信息
     * 
     * @param id 塔机碰撞信息主键
     * @return 结果
     */
    public int deleteDevTowerDataCollideById(Long id);
}
