package com.yanzhu.jh.device.service;

import java.util.List;
import com.yanzhu.jh.device.domain.DevTowerDataLimit;

/**
 * 塔机限位信息Service接口
 * 
 * @author JiangYuQi
 * @date 2024-08-04
 */
public interface IDevTowerDataLimitService 
{
    /**
     * 查询塔机限位信息
     * 
     * @param id 塔机限位信息主键
     * @return 塔机限位信息
     */
    public DevTowerDataLimit selectDevTowerDataLimitById(Long id);

    /**
     * 查询塔机限位信息列表
     * 
     * @param devTowerDataLimit 塔机限位信息
     * @return 塔机限位信息集合
     */
    public List<DevTowerDataLimit> selectDevTowerDataLimitList(DevTowerDataLimit devTowerDataLimit);

    /**
     * 新增塔机限位信息
     * 
     * @param devTowerDataLimit 塔机限位信息
     * @return 结果
     */
    public int insertDevTowerDataLimit(DevTowerDataLimit devTowerDataLimit);

    /**
     * 修改塔机限位信息
     * 
     * @param devTowerDataLimit 塔机限位信息
     * @return 结果
     */
    public int updateDevTowerDataLimit(DevTowerDataLimit devTowerDataLimit);

    /**
     * 批量删除塔机限位信息
     * 
     * @param ids 需要删除的塔机限位信息主键集合
     * @return 结果
     */
    public int deleteDevTowerDataLimitByIds(Long[] ids);

    /**
     * 删除塔机限位信息信息
     * 
     * @param id 塔机限位信息主键
     * @return 结果
     */
    public int deleteDevTowerDataLimitById(Long id);
}
