package com.yanzhu.jh.device.service;

import java.util.List;
import com.yanzhu.jh.device.domain.DevTowerDataRound;

/**
 * 塔机工作循环Service接口
 * 
 * @author JiangYuQi
 * @date 2024-08-04
 */
public interface IDevTowerDataRoundService 
{
    /**
     * 查询塔机工作循环
     * 
     * @param id 塔机工作循环主键
     * @return 塔机工作循环
     */
    public DevTowerDataRound selectDevTowerDataRoundById(Long id);

    /**
     * 查询塔机工作循环列表
     * 
     * @param devTowerDataRound 塔机工作循环
     * @return 塔机工作循环集合
     */
    public List<DevTowerDataRound> selectDevTowerDataRoundList(DevTowerDataRound devTowerDataRound);

    /**
     * 新增塔机工作循环
     * 
     * @param devTowerDataRound 塔机工作循环
     * @return 结果
     */
    public int insertDevTowerDataRound(DevTowerDataRound devTowerDataRound);

    /**
     * 修改塔机工作循环
     * 
     * @param devTowerDataRound 塔机工作循环
     * @return 结果
     */
    public int updateDevTowerDataRound(DevTowerDataRound devTowerDataRound);

    /**
     * 批量删除塔机工作循环
     * 
     * @param ids 需要删除的塔机工作循环主键集合
     * @return 结果
     */
    public int deleteDevTowerDataRoundByIds(Long[] ids);

    /**
     * 删除塔机工作循环信息
     * 
     * @param id 塔机工作循环主键
     * @return 结果
     */
    public int deleteDevTowerDataRoundById(Long id);
}
