package com.yanzhu.jh.device.service;

import java.util.List;
import java.util.Map;

import com.yanzhu.jh.device.domain.DevTowerDataRun;

/**
 * 塔机实时数据Service接口
 * 
 * @author JiangYuQi
 * @date 2024-08-04
 */
public interface IDevTowerDataRunService 
{
    /**
     * 查询塔机实时数据
     * 
     * @param id 塔机实时数据主键
     * @return 塔机实时数据
     */
    public DevTowerDataRun selectDevTowerDataRunById(Long id);

    /**
     * 查询塔机实时数据列表
     * 
     * @param devTowerDataRun 塔机实时数据
     * @return 塔机实时数据集合
     */
    public List<DevTowerDataRun> selectDevTowerDataRunList(DevTowerDataRun devTowerDataRun);

    /**
     * 新增塔机实时数据
     * 
     * @param devTowerDataRun 塔机实时数据
     * @return 结果
     */
    public int insertDevTowerDataRun(DevTowerDataRun devTowerDataRun);

    /**
     * 修改塔机实时数据
     * 
     * @param devTowerDataRun 塔机实时数据
     * @return 结果
     */
    public int updateDevTowerDataRun(DevTowerDataRun devTowerDataRun);

    /**
     * 批量删除塔机实时数据
     * 
     * @param ids 需要删除的塔机实时数据主键集合
     * @return 结果
     */
    public int deleteDevTowerDataRunByIds(Long[] ids);

    /**
     * 删除塔机实时数据信息
     * 
     * @param id 塔机实时数据主键
     * @return 结果
     */
    public int deleteDevTowerDataRunById(Long id);

    /**
     * 查询塔机运行数据
     * @return
     */
    public Map<String, Object> findtowerStatisticsView(String deviceSn);
}
