package com.yanzhu.jh.device.service;

import java.util.List;
import com.yanzhu.jh.device.domain.PitmonitSouthsmosAlarm;

/**
 * 报警信息Service接口
 * 
 * @author ruoyi
 * @date 2024-08-13
 */
public interface IPitmonitSouthsmosAlarmService
{
    /**
     * 查询报警信息
     * 
     * @param id 报警信息主键
     * @return 报警信息
     */
    public PitmonitSouthsmosAlarm selectDevPitmonitSouthsmosAlarmById(Long id);

    /**
     * 查询报警信息列表
     * 
     * @param pitmonitSouthsmosAlarm 报警信息
     * @return 报警信息集合
     */
    public List<PitmonitSouthsmosAlarm> selectDevPitmonitSouthsmosAlarmList(PitmonitSouthsmosAlarm pitmonitSouthsmosAlarm);

    /**
     * 新增报警信息
     * 
     * @param pitmonitSouthsmosAlarm 报警信息
     * @return 结果
     */
    public int insertDevPitmonitSouthsmosAlarm(PitmonitSouthsmosAlarm pitmonitSouthsmosAlarm);

    /**
     * 修改报警信息
     * 
     * @param pitmonitSouthsmosAlarm 报警信息
     * @return 结果
     */
    public int updateDevPitmonitSouthsmosAlarm(PitmonitSouthsmosAlarm pitmonitSouthsmosAlarm);

    /**
     * 批量删除报警信息
     * 
     * @param ids 需要删除的报警信息主键集合
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosAlarmByIds(Long[] ids);

    /**
     * 删除报警信息信息
     * 
     * @param id 报警信息主键
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosAlarmById(Long id);

    /**
     * 按项目和状态来查询
     * @param prjId
     * @param status
     * @return
     */
    public List<PitmonitSouthsmosAlarm> queryByState(Long prjId, String status);
}
