package com.yanzhu.jh.device.service;

import java.util.List;
import com.yanzhu.jh.device.domain.PitmonitSouthsmosDevSp;

/**
 * 设测点关系Service接口
 * 
 * @author ruoyi
 * @date 2024-08-13
 */
public interface IPitmonitSouthsmosDevSpService
{
    /**
     * 查询设测点关系
     * 
     * @param id 设测点关系主键
     * @return 设测点关系
     */
    public PitmonitSouthsmosDevSp selectDevPitmonitSouthsmosDevSpById(Long id);

    /**
     * 查询设测点关系列表
     * 
     * @param pitmonitSouthsmosDevSp 设测点关系
     * @return 设测点关系集合
     */
    public List<PitmonitSouthsmosDevSp> selectDevPitmonitSouthsmosDevSpList(PitmonitSouthsmosDevSp pitmonitSouthsmosDevSp);

    /**
     * 新增设测点关系
     * 
     * @param pitmonitSouthsmosDevSp 设测点关系
     * @return 结果
     */
    public int insertDevPitmonitSouthsmosDevSp(PitmonitSouthsmosDevSp pitmonitSouthsmosDevSp);

    /**
     * 修改设测点关系
     * 
     * @param pitmonitSouthsmosDevSp 设测点关系
     * @return 结果
     */
    public int updateDevPitmonitSouthsmosDevSp(PitmonitSouthsmosDevSp pitmonitSouthsmosDevSp);

    /**
     * 批量删除设测点关系
     * 
     * @param ids 需要删除的设测点关系主键集合
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosDevSpByIds(Long[] ids);

    /**
     * 删除设测点关系信息
     * 
     * @param id 设测点关系主键
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosDevSpById(Long id);
}
