package com.yanzhu.jh.device.service;

import java.util.List;
import com.yanzhu.jh.device.domain.PitmonitSouthsmosDevice;

/**
 * 设备管理Service接口
 * 
 * @author ruoyi
 * @date 2024-08-13
 */
public interface IPitmonitSouthsmosDeviceService
{
    /**
     * 查询设备管理
     * 
     * @param id 设备管理主键
     * @return 设备管理
     */
    public PitmonitSouthsmosDevice selectDevPitmonitSouthsmosDeviceById(Long id);

    /**
     * 查询设备管理列表
     * 
     * @param pitmonitSouthsmosDevice 设备管理
     * @return 设备管理集合
     */
    public List<PitmonitSouthsmosDevice> selectDevPitmonitSouthsmosDeviceList(PitmonitSouthsmosDevice pitmonitSouthsmosDevice);

    /**
     * 新增设备管理
     * 
     * @param pitmonitSouthsmosDevice 设备管理
     * @return 结果
     */
    public int insertDevPitmonitSouthsmosDevice(PitmonitSouthsmosDevice pitmonitSouthsmosDevice);

    /**
     * 修改设备管理
     * 
     * @param pitmonitSouthsmosDevice 设备管理
     * @return 结果
     */
    public int updateDevPitmonitSouthsmosDevice(PitmonitSouthsmosDevice pitmonitSouthsmosDevice);

    /**
     * 批量删除设备管理
     * 
     * @param ids 需要删除的设备管理主键集合
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosDeviceByIds(Long[] ids);

    /**
     * 删除设备管理信息
     * 
     * @param id 设备管理主键
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosDeviceById(Long id);

    public int getCountByPrjId(Long prjId);
}
