package com.yanzhu.jh.device.service;

import java.util.List;
import com.yanzhu.jh.device.domain.PitmonitSouthsmosElementItem;

/**
 * 测项明细Service接口
 * 
 * @author ruoyi
 * @date 2024-08-13
 */
public interface IPitmonitSouthsmosElementItemService
{
    /**
     * 查询测项明细
     * 
     * @param id 测项明细主键
     * @return 测项明细
     */
    public PitmonitSouthsmosElementItem selectDevPitmonitSouthsmosElementItemById(Long id);

    /**
     * 查询测项明细列表
     * 
     * @param pitmonitSouthsmosElementItem 测项明细
     * @return 测项明细集合
     */
    public List<PitmonitSouthsmosElementItem> selectDevPitmonitSouthsmosElementItemList(PitmonitSouthsmosElementItem pitmonitSouthsmosElementItem);

    /**
     * 新增测项明细
     * 
     * @param pitmonitSouthsmosElementItem 测项明细
     * @return 结果
     */
    public int insertDevPitmonitSouthsmosElementItem(PitmonitSouthsmosElementItem pitmonitSouthsmosElementItem);

    /**
     * 修改测项明细
     * 
     * @param pitmonitSouthsmosElementItem 测项明细
     * @return 结果
     */
    public int updateDevPitmonitSouthsmosElementItem(PitmonitSouthsmosElementItem pitmonitSouthsmosElementItem);

    /**
     * 批量删除测项明细
     * 
     * @param ids 需要删除的测项明细主键集合
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosElementItemByIds(Long[] ids);

    /**
     * 删除测项明细信息
     * 
     * @param id 测项明细主键
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosElementItemById(Long id);
}
