package com.yanzhu.jh.device.service;

import java.util.List;
import com.yanzhu.jh.device.domain.PitmonitSouthsmosThreshold;

/**
 * 报警阈值Service接口
 * 
 * @author ruoyi
 * @date 2024-08-13
 */
public interface IPitmonitSouthsmosThresholdService
{
    /**
     * 查询报警阈值
     * 
     * @param id 报警阈值主键
     * @return 报警阈值
     */
    public PitmonitSouthsmosThreshold selectDevPitmonitSouthsmosThresholdById(Long id);

    /**
     * 查询报警阈值列表
     * 
     * @param pitmonitSouthsmosThreshold 报警阈值
     * @return 报警阈值集合
     */
    public List<PitmonitSouthsmosThreshold> selectDevPitmonitSouthsmosThresholdList(PitmonitSouthsmosThreshold pitmonitSouthsmosThreshold);

    /**
     * 新增报警阈值
     * 
     * @param pitmonitSouthsmosThreshold 报警阈值
     * @return 结果
     */
    public int insertDevPitmonitSouthsmosThreshold(PitmonitSouthsmosThreshold pitmonitSouthsmosThreshold);

    /**
     * 修改报警阈值
     * 
     * @param pitmonitSouthsmosThreshold 报警阈值
     * @return 结果
     */
    public int updateDevPitmonitSouthsmosThreshold(PitmonitSouthsmosThreshold pitmonitSouthsmosThreshold);

    /**
     * 批量删除报警阈值
     * 
     * @param ids 需要删除的报警阈值主键集合
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosThresholdByIds(Long[] ids);

    /**
     * 删除报警阈值信息
     * 
     * @param id 报警阈值主键
     * @return 结果
     */
    public int deleteDevPitmonitSouthsmosThresholdById(Long id);
}
