package com.yanzhu.jh.device.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yanzhu.jh.device.mapper.DevTowerDataLimitMapper;
import com.yanzhu.jh.device.domain.DevTowerDataLimit;
import com.yanzhu.jh.device.service.IDevTowerDataLimitService;
import com.ruoyi.common.utils.SecurityUtils;
/**
 * 塔机限位信息Service业务层处理
 * 
 * @author JiangYuQi
 * @date 2024-08-04
 */
@Service
public class DevTowerDataLimitServiceImpl implements IDevTowerDataLimitService 
{
    @Autowired
    private DevTowerDataLimitMapper devTowerDataLimitMapper;

    /**
     * 查询塔机限位信息
     * 
     * @param id 塔机限位信息主键
     * @return 塔机限位信息
     */
    @Override
    public DevTowerDataLimit selectDevTowerDataLimitById(Long id)
    {
        return devTowerDataLimitMapper.selectDevTowerDataLimitById(id);
    }

    /**
     * 查询塔机限位信息列表
     * 
     * @param devTowerDataLimit 塔机限位信息
     * @return 塔机限位信息
     */
    @Override
    public List<DevTowerDataLimit> selectDevTowerDataLimitList(DevTowerDataLimit devTowerDataLimit)
    {
        return devTowerDataLimitMapper.selectDevTowerDataLimitList(devTowerDataLimit);
    }

    /**
     * 新增塔机限位信息
     * 
     * @param devTowerDataLimit 塔机限位信息
     * @return 结果
     */
    @Override
    public int insertDevTowerDataLimit(DevTowerDataLimit devTowerDataLimit)
    {
        //devTowerDataLimit.setCreateBy(SecurityUtils.getUsername());
        devTowerDataLimit.setCreateTime(DateUtils.getNowDate());
        return devTowerDataLimitMapper.insertDevTowerDataLimit(devTowerDataLimit);
    }

    /**
     * 修改塔机限位信息
     * 
     * @param devTowerDataLimit 塔机限位信息
     * @return 结果
     */
    @Override
    public int updateDevTowerDataLimit(DevTowerDataLimit devTowerDataLimit)
    {
        //devTowerDataLimit.setUpdateBy(SecurityUtils.getUsername());
        devTowerDataLimit.setUpdateTime(DateUtils.getNowDate());
        return devTowerDataLimitMapper.updateDevTowerDataLimit(devTowerDataLimit);
    }

    /**
     * 批量删除塔机限位信息
     * 
     * @param ids 需要删除的塔机限位信息主键
     * @return 结果
     */
    @Override
    public int deleteDevTowerDataLimitByIds(Long[] ids)
    {
        return devTowerDataLimitMapper.deleteDevTowerDataLimitByIds(ids);
    }

    /**
     * 删除塔机限位信息信息
     * 
     * @param id 塔机限位信息主键
     * @return 结果
     */
    @Override
    public int deleteDevTowerDataLimitById(Long id)
    {
        return devTowerDataLimitMapper.deleteDevTowerDataLimitById(id);
    }
}
