package com.yanzhu.jh.device.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yanzhu.jh.device.mapper.DevTowerDataLocalMapper;
import com.yanzhu.jh.device.domain.DevTowerDataLocal;
import com.yanzhu.jh.device.service.IDevTowerDataLocalService;
import com.ruoyi.common.utils.SecurityUtils;
/**
 * 塔机定位信息Service业务层处理
 * 
 * @author JiangYuQi
 * @date 2024-08-04
 */
@Service
public class DevTowerDataLocalServiceImpl implements IDevTowerDataLocalService 
{
    @Autowired
    private DevTowerDataLocalMapper devTowerDataLocalMapper;

    /**
     * 查询塔机定位信息
     * 
     * @param id 塔机定位信息主键
     * @return 塔机定位信息
     */
    @Override
    public DevTowerDataLocal selectDevTowerDataLocalById(Long id)
    {
        return devTowerDataLocalMapper.selectDevTowerDataLocalById(id);
    }

    /**
     * 查询塔机定位信息列表
     * 
     * @param devTowerDataLocal 塔机定位信息
     * @return 塔机定位信息
     */
    @Override
    public List<DevTowerDataLocal> selectDevTowerDataLocalList(DevTowerDataLocal devTowerDataLocal)
    {
        return devTowerDataLocalMapper.selectDevTowerDataLocalList(devTowerDataLocal);
    }

    /**
     * 新增塔机定位信息
     * 
     * @param devTowerDataLocal 塔机定位信息
     * @return 结果
     */
    @Override
    public int insertDevTowerDataLocal(DevTowerDataLocal devTowerDataLocal)
    {
        //devTowerDataLocal.setCreateBy(SecurityUtils.getUsername());
        devTowerDataLocal.setCreateTime(DateUtils.getNowDate());
        return devTowerDataLocalMapper.insertDevTowerDataLocal(devTowerDataLocal);
    }

    /**
     * 修改塔机定位信息
     * 
     * @param devTowerDataLocal 塔机定位信息
     * @return 结果
     */
    @Override
    public int updateDevTowerDataLocal(DevTowerDataLocal devTowerDataLocal)
    {
        //devTowerDataLocal.setUpdateBy(SecurityUtils.getUsername());
        devTowerDataLocal.setUpdateTime(DateUtils.getNowDate());
        return devTowerDataLocalMapper.updateDevTowerDataLocal(devTowerDataLocal);
    }

    /**
     * 批量删除塔机定位信息
     * 
     * @param ids 需要删除的塔机定位信息主键
     * @return 结果
     */
    @Override
    public int deleteDevTowerDataLocalByIds(Long[] ids)
    {
        return devTowerDataLocalMapper.deleteDevTowerDataLocalByIds(ids);
    }

    /**
     * 删除塔机定位信息信息
     * 
     * @param id 塔机定位信息主键
     * @return 结果
     */
    @Override
    public int deleteDevTowerDataLocalById(Long id)
    {
        return devTowerDataLocalMapper.deleteDevTowerDataLocalById(id);
    }
}
