package com.yanzhu.jh.device.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yanzhu.jh.device.mapper.DevTowerDataRoundMapper;
import com.yanzhu.jh.device.domain.DevTowerDataRound;
import com.yanzhu.jh.device.service.IDevTowerDataRoundService;
import com.ruoyi.common.utils.SecurityUtils;
/**
 * 塔机工作循环Service业务层处理
 * 
 * @author JiangYuQi
 * @date 2024-08-04
 */
@Service
public class DevTowerDataRoundServiceImpl implements IDevTowerDataRoundService 
{
    @Autowired
    private DevTowerDataRoundMapper devTowerDataRoundMapper;

    /**
     * 查询塔机工作循环
     * 
     * @param id 塔机工作循环主键
     * @return 塔机工作循环
     */
    @Override
    public DevTowerDataRound selectDevTowerDataRoundById(Long id)
    {
        return devTowerDataRoundMapper.selectDevTowerDataRoundById(id);
    }

    /**
     * 查询塔机工作循环列表
     * 
     * @param devTowerDataRound 塔机工作循环
     * @return 塔机工作循环
     */
    @Override
    public List<DevTowerDataRound> selectDevTowerDataRoundList(DevTowerDataRound devTowerDataRound)
    {
        return devTowerDataRoundMapper.selectDevTowerDataRoundList(devTowerDataRound);
    }

    /**
     * 新增塔机工作循环
     * 
     * @param devTowerDataRound 塔机工作循环
     * @return 结果
     */
    @Override
    public int insertDevTowerDataRound(DevTowerDataRound devTowerDataRound)
    {
        //devTowerDataRound.setCreateBy(SecurityUtils.getUsername());
        devTowerDataRound.setCreateTime(DateUtils.getNowDate());
        return devTowerDataRoundMapper.insertDevTowerDataRound(devTowerDataRound);
    }

    /**
     * 修改塔机工作循环
     * 
     * @param devTowerDataRound 塔机工作循环
     * @return 结果
     */
    @Override
    public int updateDevTowerDataRound(DevTowerDataRound devTowerDataRound)
    {
        //devTowerDataRound.setUpdateBy(SecurityUtils.getUsername());
        devTowerDataRound.setUpdateTime(DateUtils.getNowDate());
        return devTowerDataRoundMapper.updateDevTowerDataRound(devTowerDataRound);
    }

    /**
     * 批量删除塔机工作循环
     * 
     * @param ids 需要删除的塔机工作循环主键
     * @return 结果
     */
    @Override
    public int deleteDevTowerDataRoundByIds(Long[] ids)
    {
        return devTowerDataRoundMapper.deleteDevTowerDataRoundByIds(ids);
    }

    /**
     * 删除塔机工作循环信息
     * 
     * @param id 塔机工作循环主键
     * @return 结果
     */
    @Override
    public int deleteDevTowerDataRoundById(Long id)
    {
        return devTowerDataRoundMapper.deleteDevTowerDataRoundById(id);
    }
}
