package com.yanzhu.jh.device.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yanzhu.jh.device.mapper.DevTowerDataWarningMapper;
import com.yanzhu.jh.device.domain.DevTowerDataWarning;
import com.yanzhu.jh.device.service.IDevTowerDataWarningService;
import com.ruoyi.common.utils.SecurityUtils;
/**
 * 塔机预警管理Service业务层处理
 * 
 * @author JiangYuQi
 * @date 2024-08-04
 */
@Service
public class DevTowerDataWarningServiceImpl implements IDevTowerDataWarningService 
{
    @Autowired
    private DevTowerDataWarningMapper devTowerDataWarningMapper;

    /**
     * 查询塔机预警管理
     * 
     * @param id 塔机预警管理主键
     * @return 塔机预警管理
     */
    @Override
    public DevTowerDataWarning selectDevTowerDataWarningById(Long id)
    {
        return devTowerDataWarningMapper.selectDevTowerDataWarningById(id);
    }

    /**
     * 查询塔机预警管理列表
     * 
     * @param devTowerDataWarning 塔机预警管理
     * @return 塔机预警管理
     */
    @Override
    public List<DevTowerDataWarning> selectDevTowerDataWarningList(DevTowerDataWarning devTowerDataWarning)
    {
        return devTowerDataWarningMapper.selectDevTowerDataWarningList(devTowerDataWarning);
    }

    /**
     * 新增塔机预警管理
     * 
     * @param devTowerDataWarning 塔机预警管理
     * @return 结果
     */
    @Override
    public int insertDevTowerDataWarning(DevTowerDataWarning devTowerDataWarning)
    {
        //devTowerDataWarning.setCreateBy(SecurityUtils.getUsername());
        devTowerDataWarning.setCreateTime(DateUtils.getNowDate());
        return devTowerDataWarningMapper.insertDevTowerDataWarning(devTowerDataWarning);
    }

    /**
     * 修改塔机预警管理
     * 
     * @param devTowerDataWarning 塔机预警管理
     * @return 结果
     */
    @Override
    public int updateDevTowerDataWarning(DevTowerDataWarning devTowerDataWarning)
    {
        //devTowerDataWarning.setUpdateBy(SecurityUtils.getUsername());
        devTowerDataWarning.setUpdateTime(DateUtils.getNowDate());
        return devTowerDataWarningMapper.updateDevTowerDataWarning(devTowerDataWarning);
    }

    /**
     * 批量删除塔机预警管理
     * 
     * @param ids 需要删除的塔机预警管理主键
     * @return 结果
     */
    @Override
    public int deleteDevTowerDataWarningByIds(Long[] ids)
    {
        return devTowerDataWarningMapper.deleteDevTowerDataWarningByIds(ids);
    }

    /**
     * 删除塔机预警管理信息
     * 
     * @param id 塔机预警管理主键
     * @return 结果
     */
    @Override
    public int deleteDevTowerDataWarningById(Long id)
    {
        return devTowerDataWarningMapper.deleteDevTowerDataWarningById(id);
    }
}
