package com.yanzhu.jh.device.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yanzhu.jh.device.mapper.PitmonitSouthsmosAlarmMapper;
import com.yanzhu.jh.device.domain.PitmonitSouthsmosAlarm;
import com.yanzhu.jh.device.service.IPitmonitSouthsmosAlarmService;
import com.ruoyi.common.utils.SecurityUtils;
/**
 * 报警信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-13
 */
@Service
public class PitmonitSouthsmosAlarmServiceImpl implements IPitmonitSouthsmosAlarmService
{
    @Autowired
    private PitmonitSouthsmosAlarmMapper pitmonitSouthsmosAlarmMapper;

    /**
     * 查询报警信息
     * 
     * @param id 报警信息主键
     * @return 报警信息
     */
    @Override
    public PitmonitSouthsmosAlarm selectDevPitmonitSouthsmosAlarmById(Long id)
    {
        return pitmonitSouthsmosAlarmMapper.selectDevPitmonitSouthsmosAlarmById(id);
    }

    /**
     * 查询报警信息列表
     * 
     * @param pitmonitSouthsmosAlarm 报警信息
     * @return 报警信息
     */
    @Override
    public List<PitmonitSouthsmosAlarm> selectDevPitmonitSouthsmosAlarmList(PitmonitSouthsmosAlarm pitmonitSouthsmosAlarm)
    {
        return pitmonitSouthsmosAlarmMapper.selectDevPitmonitSouthsmosAlarmList(pitmonitSouthsmosAlarm);
    }

    /**
     * 新增报警信息
     * 
     * @param pitmonitSouthsmosAlarm 报警信息
     * @return 结果
     */
    @Override
    public int insertDevPitmonitSouthsmosAlarm(PitmonitSouthsmosAlarm pitmonitSouthsmosAlarm)
    {
        pitmonitSouthsmosAlarm.setCreateBy(SecurityUtils.getUsername());
        pitmonitSouthsmosAlarm.setCreateTime(DateUtils.getNowDate());
        return pitmonitSouthsmosAlarmMapper.insertDevPitmonitSouthsmosAlarm(pitmonitSouthsmosAlarm);
    }

    /**
     * 修改报警信息
     * 
     * @param pitmonitSouthsmosAlarm 报警信息
     * @return 结果
     */
    @Override
    public int updateDevPitmonitSouthsmosAlarm(PitmonitSouthsmosAlarm pitmonitSouthsmosAlarm)
    {
        pitmonitSouthsmosAlarm.setUpdateBy(SecurityUtils.getUsername());
        pitmonitSouthsmosAlarm.setUpdateTime(DateUtils.getNowDate());
        return pitmonitSouthsmosAlarmMapper.updateDevPitmonitSouthsmosAlarm(pitmonitSouthsmosAlarm);
    }

    /**
     * 批量删除报警信息
     * 
     * @param ids 需要删除的报警信息主键
     * @return 结果
     */
    @Override
    public int deleteDevPitmonitSouthsmosAlarmByIds(Long[] ids)
    {
        return pitmonitSouthsmosAlarmMapper.deleteDevPitmonitSouthsmosAlarmByIds(ids);
    }

    /**
     * 删除报警信息信息
     * 
     * @param id 报警信息主键
     * @return 结果
     */
    @Override
    public int deleteDevPitmonitSouthsmosAlarmById(Long id)
    {
        return pitmonitSouthsmosAlarmMapper.deleteDevPitmonitSouthsmosAlarmById(id);
    }

    @Override
    public List<PitmonitSouthsmosAlarm> queryByState(Long prjId, String status) {
        PitmonitSouthsmosAlarm where=new PitmonitSouthsmosAlarm();
        where.setProjectId(prjId);
        where.setStatus(status);
        return pitmonitSouthsmosAlarmMapper.queryByState(where);
    }
}
