package com.yanzhu.jh.device.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yanzhu.jh.device.mapper.PitmonitSouthsmosDevSpMapper;
import com.yanzhu.jh.device.domain.PitmonitSouthsmosDevSp;
import com.yanzhu.jh.device.service.IPitmonitSouthsmosDevSpService;
import com.ruoyi.common.utils.SecurityUtils;
/**
 * 设测点关系Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-13
 */
@Service
public class PitmonitSouthsmosDevSpServiceImpl implements IPitmonitSouthsmosDevSpService
{
    @Autowired
    private PitmonitSouthsmosDevSpMapper pitmonitSouthsmosDevSpMapper;

    /**
     * 查询设测点关系
     * 
     * @param id 设测点关系主键
     * @return 设测点关系
     */
    @Override
    public PitmonitSouthsmosDevSp selectDevPitmonitSouthsmosDevSpById(Long id)
    {
        return pitmonitSouthsmosDevSpMapper.selectDevPitmonitSouthsmosDevSpById(id);
    }

    /**
     * 查询设测点关系列表
     * 
     * @param pitmonitSouthsmosDevSp 设测点关系
     * @return 设测点关系
     */
    @Override
    public List<PitmonitSouthsmosDevSp> selectDevPitmonitSouthsmosDevSpList(PitmonitSouthsmosDevSp pitmonitSouthsmosDevSp)
    {
        return pitmonitSouthsmosDevSpMapper.selectDevPitmonitSouthsmosDevSpList(pitmonitSouthsmosDevSp);
    }

    /**
     * 新增设测点关系
     * 
     * @param pitmonitSouthsmosDevSp 设测点关系
     * @return 结果
     */
    @Override
    public int insertDevPitmonitSouthsmosDevSp(PitmonitSouthsmosDevSp pitmonitSouthsmosDevSp)
    {
        pitmonitSouthsmosDevSp.setCreateBy(SecurityUtils.getUsername());
        pitmonitSouthsmosDevSp.setCreateTime(DateUtils.getNowDate());
        return pitmonitSouthsmosDevSpMapper.insertDevPitmonitSouthsmosDevSp(pitmonitSouthsmosDevSp);
    }

    /**
     * 修改设测点关系
     * 
     * @param pitmonitSouthsmosDevSp 设测点关系
     * @return 结果
     */
    @Override
    public int updateDevPitmonitSouthsmosDevSp(PitmonitSouthsmosDevSp pitmonitSouthsmosDevSp)
    {
        pitmonitSouthsmosDevSp.setUpdateBy(SecurityUtils.getUsername());
        pitmonitSouthsmosDevSp.setUpdateTime(DateUtils.getNowDate());
        return pitmonitSouthsmosDevSpMapper.updateDevPitmonitSouthsmosDevSp(pitmonitSouthsmosDevSp);
    }

    /**
     * 批量删除设测点关系
     * 
     * @param ids 需要删除的设测点关系主键
     * @return 结果
     */
    @Override
    public int deleteDevPitmonitSouthsmosDevSpByIds(Long[] ids)
    {
        return pitmonitSouthsmosDevSpMapper.deleteDevPitmonitSouthsmosDevSpByIds(ids);
    }

    /**
     * 删除设测点关系信息
     * 
     * @param id 设测点关系主键
     * @return 结果
     */
    @Override
    public int deleteDevPitmonitSouthsmosDevSpById(Long id)
    {
        return pitmonitSouthsmosDevSpMapper.deleteDevPitmonitSouthsmosDevSpById(id);
    }
}
