package com.yanzhu.jh.device.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yanzhu.jh.device.mapper.PitmonitSouthsmosDeviceMapper;
import com.yanzhu.jh.device.domain.PitmonitSouthsmosDevice;
import com.yanzhu.jh.device.service.IPitmonitSouthsmosDeviceService;
import com.ruoyi.common.utils.SecurityUtils;
/**
 * 设备管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-13
 */
@Service
public class PitmonitSouthsmosDeviceServiceImpl implements IPitmonitSouthsmosDeviceService
{
    @Autowired
    private PitmonitSouthsmosDeviceMapper pitmonitSouthsmosDeviceMapper;

    /**
     * 查询设备管理
     * 
     * @param id 设备管理主键
     * @return 设备管理
     */
    @Override
    public PitmonitSouthsmosDevice selectDevPitmonitSouthsmosDeviceById(Long id)
    {
        return pitmonitSouthsmosDeviceMapper.selectDevPitmonitSouthsmosDeviceById(id);
    }

    /**
     * 查询设备管理列表
     * 
     * @param pitmonitSouthsmosDevice 设备管理
     * @return 设备管理
     */
    @Override
    public List<PitmonitSouthsmosDevice> selectDevPitmonitSouthsmosDeviceList(PitmonitSouthsmosDevice pitmonitSouthsmosDevice)
    {
        return pitmonitSouthsmosDeviceMapper.selectDevPitmonitSouthsmosDeviceList(pitmonitSouthsmosDevice);
    }

    /**
     * 新增设备管理
     * 
     * @param pitmonitSouthsmosDevice 设备管理
     * @return 结果
     */
    @Override
    public int insertDevPitmonitSouthsmosDevice(PitmonitSouthsmosDevice pitmonitSouthsmosDevice)
    {
        pitmonitSouthsmosDevice.setCreateBy(SecurityUtils.getUsername());
        pitmonitSouthsmosDevice.setCreateTime(DateUtils.getNowDate());
        return pitmonitSouthsmosDeviceMapper.insertDevPitmonitSouthsmosDevice(pitmonitSouthsmosDevice);
    }

    /**
     * 修改设备管理
     * 
     * @param pitmonitSouthsmosDevice 设备管理
     * @return 结果
     */
    @Override
    public int updateDevPitmonitSouthsmosDevice(PitmonitSouthsmosDevice pitmonitSouthsmosDevice)
    {
        pitmonitSouthsmosDevice.setUpdateBy(SecurityUtils.getUsername());
        pitmonitSouthsmosDevice.setUpdateTime(DateUtils.getNowDate());
        return pitmonitSouthsmosDeviceMapper.updateDevPitmonitSouthsmosDevice(pitmonitSouthsmosDevice);
    }

    /**
     * 批量删除设备管理
     * 
     * @param ids 需要删除的设备管理主键
     * @return 结果
     */
    @Override
    public int deleteDevPitmonitSouthsmosDeviceByIds(Long[] ids)
    {
        return pitmonitSouthsmosDeviceMapper.deleteDevPitmonitSouthsmosDeviceByIds(ids);
    }

    /**
     * 删除设备管理信息
     * 
     * @param id 设备管理主键
     * @return 结果
     */
    @Override
    public int deleteDevPitmonitSouthsmosDeviceById(Long id)
    {
        return pitmonitSouthsmosDeviceMapper.deleteDevPitmonitSouthsmosDeviceById(id);
    }

    @Override
    public int getCountByPrjId(Long prjId) {
        return pitmonitSouthsmosDeviceMapper.getCountByPrjId(prjId);
    }
}
