package com.yanzhu.jh.device.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yanzhu.jh.device.mapper.PitmonitSouthsmosElementItemMapper;
import com.yanzhu.jh.device.domain.PitmonitSouthsmosElementItem;
import com.yanzhu.jh.device.service.IPitmonitSouthsmosElementItemService;
import com.ruoyi.common.utils.SecurityUtils;
/**
 * 测项明细Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-13
 */
@Service
public class PitmonitSouthsmosElementItemServiceImpl implements IPitmonitSouthsmosElementItemService
{
    @Autowired
    private PitmonitSouthsmosElementItemMapper pitmonitSouthsmosElementItemMapper;

    /**
     * 查询测项明细
     * 
     * @param id 测项明细主键
     * @return 测项明细
     */
    @Override
    public PitmonitSouthsmosElementItem selectDevPitmonitSouthsmosElementItemById(Long id)
    {
        return pitmonitSouthsmosElementItemMapper.selectDevPitmonitSouthsmosElementItemById(id);
    }

    /**
     * 查询测项明细列表
     * 
     * @param pitmonitSouthsmosElementItem 测项明细
     * @return 测项明细
     */
    @Override
    public List<PitmonitSouthsmosElementItem> selectDevPitmonitSouthsmosElementItemList(PitmonitSouthsmosElementItem pitmonitSouthsmosElementItem)
    {
        return pitmonitSouthsmosElementItemMapper.selectDevPitmonitSouthsmosElementItemList(pitmonitSouthsmosElementItem);
    }

    /**
     * 新增测项明细
     * 
     * @param pitmonitSouthsmosElementItem 测项明细
     * @return 结果
     */
    @Override
    public int insertDevPitmonitSouthsmosElementItem(PitmonitSouthsmosElementItem pitmonitSouthsmosElementItem)
    {
        pitmonitSouthsmosElementItem.setCreateBy(SecurityUtils.getUsername());
        pitmonitSouthsmosElementItem.setCreateTime(DateUtils.getNowDate());
        return pitmonitSouthsmosElementItemMapper.insertDevPitmonitSouthsmosElementItem(pitmonitSouthsmosElementItem);
    }

    /**
     * 修改测项明细
     * 
     * @param pitmonitSouthsmosElementItem 测项明细
     * @return 结果
     */
    @Override
    public int updateDevPitmonitSouthsmosElementItem(PitmonitSouthsmosElementItem pitmonitSouthsmosElementItem)
    {
        pitmonitSouthsmosElementItem.setUpdateBy(SecurityUtils.getUsername());
        pitmonitSouthsmosElementItem.setUpdateTime(DateUtils.getNowDate());
        return pitmonitSouthsmosElementItemMapper.updateDevPitmonitSouthsmosElementItem(pitmonitSouthsmosElementItem);
    }

    /**
     * 批量删除测项明细
     * 
     * @param ids 需要删除的测项明细主键
     * @return 结果
     */
    @Override
    public int deleteDevPitmonitSouthsmosElementItemByIds(Long[] ids)
    {
        return pitmonitSouthsmosElementItemMapper.deleteDevPitmonitSouthsmosElementItemByIds(ids);
    }

    /**
     * 删除测项明细信息
     * 
     * @param id 测项明细主键
     * @return 结果
     */
    @Override
    public int deleteDevPitmonitSouthsmosElementItemById(Long id)
    {
        return pitmonitSouthsmosElementItemMapper.deleteDevPitmonitSouthsmosElementItemById(id);
    }
}
