package com.yanzhu.jh.device.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yanzhu.jh.device.mapper.PitmonitSouthsmosElementMapper;
import com.yanzhu.jh.device.domain.PitmonitSouthsmosElement;
import com.yanzhu.jh.device.service.IPitmonitSouthsmosElementService;
import com.ruoyi.common.utils.SecurityUtils;
/**
 * 监测项管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-13
 */
@Service
public class PitmonitSouthsmosElementServiceImpl implements IPitmonitSouthsmosElementService
{
    @Autowired
    private PitmonitSouthsmosElementMapper pitmonitSouthsmosElementMapper;

    /**
     * 查询监测项管理
     * 
     * @param id 监测项管理主键
     * @return 监测项管理
     */
    @Override
    public PitmonitSouthsmosElement selectDevPitmonitSouthsmosElementById(Long id)
    {
        return pitmonitSouthsmosElementMapper.selectDevPitmonitSouthsmosElementById(id);
    }

    /**
     * 查询监测项管理列表
     * 
     * @param pitmonitSouthsmosElement 监测项管理
     * @return 监测项管理
     */
    @Override
    public List<PitmonitSouthsmosElement> selectDevPitmonitSouthsmosElementList(PitmonitSouthsmosElement pitmonitSouthsmosElement)
    {
        return pitmonitSouthsmosElementMapper.selectDevPitmonitSouthsmosElementList(pitmonitSouthsmosElement);
    }

    /**
     * 新增监测项管理
     * 
     * @param pitmonitSouthsmosElement 监测项管理
     * @return 结果
     */
    @Override
    public int insertDevPitmonitSouthsmosElement(PitmonitSouthsmosElement pitmonitSouthsmosElement)
    {
        pitmonitSouthsmosElement.setCreateBy(SecurityUtils.getUsername());
        pitmonitSouthsmosElement.setCreateTime(DateUtils.getNowDate());
        return pitmonitSouthsmosElementMapper.insertDevPitmonitSouthsmosElement(pitmonitSouthsmosElement);
    }

    /**
     * 修改监测项管理
     * 
     * @param pitmonitSouthsmosElement 监测项管理
     * @return 结果
     */
    @Override
    public int updateDevPitmonitSouthsmosElement(PitmonitSouthsmosElement pitmonitSouthsmosElement)
    {
        pitmonitSouthsmosElement.setUpdateBy(SecurityUtils.getUsername());
        pitmonitSouthsmosElement.setUpdateTime(DateUtils.getNowDate());
        return pitmonitSouthsmosElementMapper.updateDevPitmonitSouthsmosElement(pitmonitSouthsmosElement);
    }

    /**
     * 批量删除监测项管理
     * 
     * @param ids 需要删除的监测项管理主键
     * @return 结果
     */
    @Override
    public int deleteDevPitmonitSouthsmosElementByIds(Long[] ids)
    {
        return pitmonitSouthsmosElementMapper.deleteDevPitmonitSouthsmosElementByIds(ids);
    }

    /**
     * 删除监测项管理信息
     * 
     * @param id 监测项管理主键
     * @return 结果
     */
    @Override
    public int deleteDevPitmonitSouthsmosElementById(Long id)
    {
        return pitmonitSouthsmosElementMapper.deleteDevPitmonitSouthsmosElementById(id);
    }
}
