package com.yanzhu.jh.device.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yanzhu.jh.device.mapper.PitmonitSouthsmosSurveypointMapper;
import com.yanzhu.jh.device.domain.PitmonitSouthsmosSurveypoint;
import com.yanzhu.jh.device.service.IPitmonitSouthsmosSurveypointService;
import com.ruoyi.common.utils.SecurityUtils;
/**
 * 测点管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-13
 */
@Service
public class PitmonitSouthsmosSurveypointServiceImpl implements IPitmonitSouthsmosSurveypointService
{
    @Autowired
    private PitmonitSouthsmosSurveypointMapper pitmonitSouthsmosSurveypointMapper;

    /**
     * 查询测点管理
     * 
     * @param id 测点管理主键
     * @return 测点管理
     */
    @Override
    public PitmonitSouthsmosSurveypoint selectDevPitmonitSouthsmosSurveypointById(Long id)
    {
        return pitmonitSouthsmosSurveypointMapper.selectDevPitmonitSouthsmosSurveypointById(id);
    }

    /**
     * 查询测点管理列表
     * 
     * @param pitmonitSouthsmosSurveypoint 测点管理
     * @return 测点管理
     */
    @Override
    public List<PitmonitSouthsmosSurveypoint> selectDevPitmonitSouthsmosSurveypointList(PitmonitSouthsmosSurveypoint pitmonitSouthsmosSurveypoint)
    {
        return pitmonitSouthsmosSurveypointMapper.selectDevPitmonitSouthsmosSurveypointList(pitmonitSouthsmosSurveypoint);
    }

    /**
     * 新增测点管理
     * 
     * @param pitmonitSouthsmosSurveypoint 测点管理
     * @return 结果
     */
    @Override
    public int insertDevPitmonitSouthsmosSurveypoint(PitmonitSouthsmosSurveypoint pitmonitSouthsmosSurveypoint)
    {
        pitmonitSouthsmosSurveypoint.setCreateBy(SecurityUtils.getUsername());
        pitmonitSouthsmosSurveypoint.setCreateTime(DateUtils.getNowDate());
        return pitmonitSouthsmosSurveypointMapper.insertDevPitmonitSouthsmosSurveypoint(pitmonitSouthsmosSurveypoint);
    }

    /**
     * 修改测点管理
     * 
     * @param pitmonitSouthsmosSurveypoint 测点管理
     * @return 结果
     */
    @Override
    public int updateDevPitmonitSouthsmosSurveypoint(PitmonitSouthsmosSurveypoint pitmonitSouthsmosSurveypoint)
    {
        pitmonitSouthsmosSurveypoint.setUpdateBy(SecurityUtils.getUsername());
        pitmonitSouthsmosSurveypoint.setUpdateTime(DateUtils.getNowDate());
        return pitmonitSouthsmosSurveypointMapper.updateDevPitmonitSouthsmosSurveypoint(pitmonitSouthsmosSurveypoint);
    }

    /**
     * 批量删除测点管理
     * 
     * @param ids 需要删除的测点管理主键
     * @return 结果
     */
    @Override
    public int deleteDevPitmonitSouthsmosSurveypointByIds(Long[] ids)
    {
        return pitmonitSouthsmosSurveypointMapper.deleteDevPitmonitSouthsmosSurveypointByIds(ids);
    }

    /**
     * 删除测点管理信息
     * 
     * @param id 测点管理主键
     * @return 结果
     */
    @Override
    public int deleteDevPitmonitSouthsmosSurveypointById(Long id)
    {
        return pitmonitSouthsmosSurveypointMapper.deleteDevPitmonitSouthsmosSurveypointById(id);
    }
}
