package com.yanzhu.jh.device.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yanzhu.jh.device.mapper.PitmonitSouthsmosThresholdMapper;
import com.yanzhu.jh.device.domain.PitmonitSouthsmosThreshold;
import com.yanzhu.jh.device.service.IPitmonitSouthsmosThresholdService;
import com.ruoyi.common.utils.SecurityUtils;
/**
 * 报警阈值Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-13
 */
@Service
public class PitmonitSouthsmosThresholdServiceImpl implements IPitmonitSouthsmosThresholdService
{
    @Autowired
    private PitmonitSouthsmosThresholdMapper pitmonitSouthsmosThresholdMapper;

    /**
     * 查询报警阈值
     * 
     * @param id 报警阈值主键
     * @return 报警阈值
     */
    @Override
    public PitmonitSouthsmosThreshold selectDevPitmonitSouthsmosThresholdById(Long id)
    {
        return pitmonitSouthsmosThresholdMapper.selectDevPitmonitSouthsmosThresholdById(id);
    }

    /**
     * 查询报警阈值列表
     * 
     * @param pitmonitSouthsmosThreshold 报警阈值
     * @return 报警阈值
     */
    @Override
    public List<PitmonitSouthsmosThreshold> selectDevPitmonitSouthsmosThresholdList(PitmonitSouthsmosThreshold pitmonitSouthsmosThreshold)
    {
        return pitmonitSouthsmosThresholdMapper.selectDevPitmonitSouthsmosThresholdList(pitmonitSouthsmosThreshold);
    }

    /**
     * 新增报警阈值
     * 
     * @param pitmonitSouthsmosThreshold 报警阈值
     * @return 结果
     */
    @Override
    public int insertDevPitmonitSouthsmosThreshold(PitmonitSouthsmosThreshold pitmonitSouthsmosThreshold)
    {
        pitmonitSouthsmosThreshold.setCreateBy(SecurityUtils.getUsername());
        pitmonitSouthsmosThreshold.setCreateTime(DateUtils.getNowDate());
        return pitmonitSouthsmosThresholdMapper.insertDevPitmonitSouthsmosThreshold(pitmonitSouthsmosThreshold);
    }

    /**
     * 修改报警阈值
     * 
     * @param pitmonitSouthsmosThreshold 报警阈值
     * @return 结果
     */
    @Override
    public int updateDevPitmonitSouthsmosThreshold(PitmonitSouthsmosThreshold pitmonitSouthsmosThreshold)
    {
        pitmonitSouthsmosThreshold.setUpdateBy(SecurityUtils.getUsername());
        pitmonitSouthsmosThreshold.setUpdateTime(DateUtils.getNowDate());
        return pitmonitSouthsmosThresholdMapper.updateDevPitmonitSouthsmosThreshold(pitmonitSouthsmosThreshold);
    }

    /**
     * 批量删除报警阈值
     * 
     * @param ids 需要删除的报警阈值主键
     * @return 结果
     */
    @Override
    public int deleteDevPitmonitSouthsmosThresholdByIds(Long[] ids)
    {
        return pitmonitSouthsmosThresholdMapper.deleteDevPitmonitSouthsmosThresholdByIds(ids);
    }

    /**
     * 删除报警阈值信息
     * 
     * @param id 报警阈值主键
     * @return 结果
     */
    @Override
    public int deleteDevPitmonitSouthsmosThresholdById(Long id)
    {
        return pitmonitSouthsmosThresholdMapper.deleteDevPitmonitSouthsmosThresholdById(id);
    }
}
