package com.yanzhu.jh.device.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yanzhu.jh.device.mapper.ProjectPitMonitCfgMapper;
import com.yanzhu.jh.device.domain.ProjectPitMonitCfg;
import com.yanzhu.jh.device.service.IProjectPitMonitCfgService;
import com.ruoyi.common.utils.SecurityUtils;
/**
 * 项目基坑监测配置
Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-13
 */
@Service
public class ProjectPitMonitCfgServiceImpl implements IProjectPitMonitCfgService
{
    @Autowired
    private ProjectPitMonitCfgMapper projectPitMonitCfgMapper;

    /**
     * 查询项目基坑监测配置

     * 
     * @param id 项目基坑监测配置
主键
     * @return 项目基坑监测配置

     */
    @Override
    public ProjectPitMonitCfg selectSurProjectPitMonitCfgById(Long id)
    {
        return projectPitMonitCfgMapper.selectSurProjectPitMonitCfgById(id);
    }

    /**
     * 查询项目基坑监测配置
列表
     * 
     * @param projectPitMonitCfg 项目基坑监测配置

     * @return 项目基坑监测配置

     */
    @Override
    public List<ProjectPitMonitCfg> selectSurProjectPitMonitCfgList(ProjectPitMonitCfg projectPitMonitCfg)
    {
        return projectPitMonitCfgMapper.selectSurProjectPitMonitCfgList(projectPitMonitCfg);
    }

    /**
     * 新增项目基坑监测配置

     * 
     * @param projectPitMonitCfg 项目基坑监测配置

     * @return 结果
     */
    @Override
    public int insertSurProjectPitMonitCfg(ProjectPitMonitCfg projectPitMonitCfg)
    {
        projectPitMonitCfg.setCreateBy(SecurityUtils.getUsername());
        projectPitMonitCfg.setCreateTime(DateUtils.getNowDate());
        return projectPitMonitCfgMapper.insertSurProjectPitMonitCfg(projectPitMonitCfg);
    }

    /**
     * 修改项目基坑监测配置

     * 
     * @param projectPitMonitCfg 项目基坑监测配置

     * @return 结果
     */
    @Override
    public int updateSurProjectPitMonitCfg(ProjectPitMonitCfg projectPitMonitCfg)
    {
        projectPitMonitCfg.setUpdateBy(SecurityUtils.getUsername());
        projectPitMonitCfg.setUpdateTime(DateUtils.getNowDate());
        return projectPitMonitCfgMapper.updateSurProjectPitMonitCfg(projectPitMonitCfg);
    }

    /**
     * 批量删除项目基坑监测配置

     * 
     * @param ids 需要删除的项目基坑监测配置
主键
     * @return 结果
     */
    @Override
    public int deleteSurProjectPitMonitCfgByIds(Long[] ids)
    {
        return projectPitMonitCfgMapper.deleteSurProjectPitMonitCfgByIds(ids);
    }

    /**
     * 删除项目基坑监测配置
信息
     * 
     * @param id 项目基坑监测配置
主键
     * @return 结果
     */
    @Override
    public int deleteSurProjectPitMonitCfgById(Long id)
    {
        return projectPitMonitCfgMapper.deleteSurProjectPitMonitCfgById(id);
    }
}
