package com.yanzhu.jh.flow.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 劳资投诉审批节点对象 flow_labour_audit_node
 * 
 * @author JiangYuQi
 * @date 2024-04-20
 */
public class FlowLabourAuditNode extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 审批流id */
    @Excel(name = "审批流id")
    private Long flowId;

    /** 审批节点 */
    @Excel(name = "审批节点")
    private String flowNode;

    /** 审批结果 */
    @Excel(name = "审批结果")
    private String flowResult;

    /** 审批意见 */
    @Excel(name = "审批意见")
    private String flowComment;

    /** 凭证附件 */
    @Excel(name = "凭证附件")
    private String files;

    /** 是否有效 */
    @Excel(name = "是否有效")
    private String isDel;

    private String flowNodeName;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setFlowId(Long flowId) 
    {
        this.flowId = flowId;
    }

    public Long getFlowId() 
    {
        return flowId;
    }
    public void setFlowNode(String flowNode) 
    {
        this.flowNode = flowNode;
    }

    public String getFlowNode() 
    {
        return flowNode;
    }
    public void setFlowResult(String flowResult) 
    {
        this.flowResult = flowResult;
    }

    public String getFlowResult() 
    {
        return flowResult;
    }
    public void setFlowComment(String flowComment) 
    {
        this.flowComment = flowComment;
    }

    public String getFlowComment() 
    {
        return flowComment;
    }
    public void setFiles(String files) 
    {
        this.files = files;
    }

    public String getFiles() 
    {
        return files;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel()
    {
        return isDel;
    }

    public String getFlowNodeName() {
        return flowNodeName;
    }

    public void setFlowNodeName(String flowNodeName) {
        if(flowNodeName.startsWith("待")){
            flowNodeName = flowNodeName.replace("待","");
            flowNodeName = flowNodeName + "通过";
            this.flowNodeName = flowNodeName;
        }else{
            this.flowNodeName = flowNodeName;
        }
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("flowId", getFlowId())
            .append("flowNode", getFlowNode())
            .append("flowResult", getFlowResult())
            .append("flowComment", getFlowComment())
            .append("files", getFiles())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
