package com.yanzhu.jh.flow.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.poi.ss.usermodel.IndexedColors;

import java.math.BigDecimal;

/**
 * 劳资投诉对象 flow_labour_info
 * 
 * @author JiangYuQi
 * @date 2024-04-19
 */
public class FlowLabourInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 所属项目 */
    private Long projectId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 总包单位 */
    private Long deptId;

    /** 总包单位名称 */
    @Excel(name = "总包单位名称")
    private String deptName;

    /** 分包单位 */
    private Long subDeptId;

    /** 分包单位名称 */
    @Excel(name = "分包单位名称")
    private String subDeptName;

    /** 劳工名称 */
    @Excel(name = "劳工名称")
    private String laborName;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String laborCardId;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String laborPhone;

    /** 欠薪人数 */
    @Excel(name = "欠薪人数")
    private Long laborNumber;

    /** 欠薪金额 */
    @Excel(name = "欠薪金额")
    private BigDecimal laborAmount;

    /** 欠薪原因说明 */
    @Excel(name = "欠薪原因说明")
    private String laborReason;

    /** 附件凭证 */
    @Excel(name = "附件凭证", isLink = true, color = IndexedColors.BLUE, linkText="查看图片")
    private String files;

    /** 审核状态 */
    @Excel(name = "审核状态", dictType = "flow_labou_appstatus")
    private String approveStatus;

    /** 是否有效 */
    @Excel(name = "是否有效", dictType = "sys_common_isdel")
    private Long isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setProjectName(String projectName) 
    {
        this.projectName = projectName;
    }

    public String getProjectName() 
    {
        return projectName;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDeptName(String deptName) 
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }
    public void setSubDeptId(Long subDeptId) 
    {
        this.subDeptId = subDeptId;
    }

    public Long getSubDeptId() 
    {
        return subDeptId;
    }
    public void setSubDeptName(String subDeptName) 
    {
        this.subDeptName = subDeptName;
    }

    public String getSubDeptName() 
    {
        return subDeptName;
    }
    public void setLaborName(String laborName) 
    {
        this.laborName = laborName;
    }

    public String getLaborName() 
    {
        return laborName;
    }
    public void setLaborCardId(String laborCardId)
    {
        this.laborCardId = laborCardId;
    }

    public String getLaborCardId()
    {
        return laborCardId;
    }
    public void setLaborPhone(String laborPhone) 
    {
        this.laborPhone = laborPhone;
    }

    public String getLaborPhone() 
    {
        return laborPhone;
    }
    public void setLaborNumber(Long laborNumber) 
    {
        this.laborNumber = laborNumber;
    }

    public Long getLaborNumber() 
    {
        return laborNumber;
    }
    public void setLaborAmount(BigDecimal laborAmount)
    {
        this.laborAmount = laborAmount;
    }

    public BigDecimal getLaborAmount()
    {
        return laborAmount;
    }
    public void setLaborReason(String laborReason) 
    {
        this.laborReason = laborReason;
    }

    public String getLaborReason() 
    {
        return laborReason;
    }
    public void setFiles(String files) 
    {
        this.files = files;
    }

    public String getFiles() 
    {
        return files;
    }
    public void setApproveStatus(String approveStatus) 
    {
        this.approveStatus = approveStatus;
    }

    public String getApproveStatus() 
    {
        return approveStatus;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("projectName", getProjectName())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("subDeptId", getSubDeptId())
            .append("subDeptName", getSubDeptName())
            .append("laborName", getLaborName())
            .append("laborCardid", getLaborCardId())
            .append("laborPhone", getLaborPhone())
            .append("laborNumber", getLaborNumber())
            .append("laborAmount", getLaborAmount())
            .append("laborReason", getLaborReason())
            .append("files", getFiles())
            .append("approveStatus", getApproveStatus())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
