package com.yanzhu.jh.flow.service;

import java.util.List;
import com.yanzhu.jh.flow.domain.FlowLabourAuditNode;

/**
 * 劳资投诉审批节点Service接口
 * 
 * @author JiangYuQi
 * @date 2024-04-20
 */
public interface IFlowLabourAuditNodeService 
{
    /**
     * 查询劳资投诉审批节点
     * 
     * @param id 劳资投诉审批节点主键
     * @return 劳资投诉审批节点
     */
    public FlowLabourAuditNode selectFlowLabourAuditNodeById(Long id);

    /**
     * 查询劳资投诉审批节点列表
     * 
     * @param flowLabourAuditNode 劳资投诉审批节点
     * @return 劳资投诉审批节点集合
     */
    public List<FlowLabourAuditNode> selectFlowLabourAuditNodeList(FlowLabourAuditNode flowLabourAuditNode);

    /**
     * 新增劳资投诉审批节点
     * 
     * @param flowLabourAuditNode 劳资投诉审批节点
     * @return 结果
     */
    public int insertFlowLabourAuditNode(FlowLabourAuditNode flowLabourAuditNode);

    /**
     * 修改劳资投诉审批节点
     * 
     * @param flowLabourAuditNode 劳资投诉审批节点
     * @return 结果
     */
    public int updateFlowLabourAuditNode(FlowLabourAuditNode flowLabourAuditNode);

    /**
     * 批量删除劳资投诉审批节点
     * 
     * @param ids 需要删除的劳资投诉审批节点主键集合
     * @return 结果
     */
    public int deleteFlowLabourAuditNodeByIds(Long[] ids);

    /**
     * 删除劳资投诉审批节点信息
     * 
     * @param id 劳资投诉审批节点主键
     * @return 结果
     */
    public int deleteFlowLabourAuditNodeById(Long id);
}
