package com.yanzhu.jh.project.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 项目验收对象 sur_project_checking
 * 
 * @author JiangYuQi
 * @date 2023-08-18
 */
public class SurProjectFunVerify extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 项目主键 */

    private Long projectId;

    @Excel(name = "项目名称")
    private String projectName;

    private Long deptId;

    /** 部门主键 */
    @Excel(name = "单位名称")
    private String deptName;

    /** 检验类型 */
    @Excel(name = "检验类型")
    private String checkType;

    private String checkTypeName;

    /** 检验报告 */
    @Excel(name = "检验报告")
    private String mainImage;

    /** 图片列表 */
    @Excel(name = "图片列表")
    private String imageUrls;

    /** 检验名称 */
    @Excel(name = "检验名称")
    private String checkName;

    /** 检验结果 */
    @Excel(name = "检验结果")
    private String checkResult;

    /** 检验描述 */
    @Excel(name = "检验描述")
    private String intro;

    /** 质量用户 */
    @Excel(name = "质量用户")
    private String qualityUser;

    /** 质量用户名称 */
    @Excel(name = "质量用户名称")
    private String qualityUserName;

    /** 监理用户 */
    @Excel(name = "监理用户")
    private String superviseUser;

    /** 监理用户名称 */
    @Excel(name = "监理用户名称")
    private String superviseUserName;

    /** 检验时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "检验时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkDate;

    /** 检验附件 */
    @Excel(name = "检验附件")
    private String checkFiles;

    /** 数据状态 */
    @Excel(name = "数据状态")
    private Long isDel;

    /** 审核状态 */
    @Excel(name = "审核状态")
    private String approveStatus;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getCheckType() {
        return checkType;
    }

    public void setCheckType(String checkType) {
        this.checkType = checkType;
    }

    public String getMainImage() {
        return mainImage;
    }

    public void setMainImage(String mainImage) {
        this.mainImage = mainImage;
    }

    public String getImageUrls() {
        return imageUrls;
    }

    public void setImageUrls(String imageUrls) {
        this.imageUrls = imageUrls;
    }

    public String getCheckName() {
        return checkName;
    }

    public void setCheckName(String checkName) {
        this.checkName = checkName;
    }

    public String getCheckResult() {
        return checkResult;
    }

    public void setCheckResult(String checkResult) {
        this.checkResult = checkResult;
    }

    public String getIntro() {
        return intro;
    }

    public void setIntro(String intro) {
        this.intro = intro;
    }

    public String getQualityUser() {
        return qualityUser;
    }

    public void setQualityUser(String qualityUser) {
        this.qualityUser = qualityUser;
    }

    public String getQualityUserName() {
        return qualityUserName;
    }

    public void setQualityUserName(String qualityUserName) {
        this.qualityUserName = qualityUserName;
    }

    public String getSuperviseUser() {
        return superviseUser;
    }

    public void setSuperviseUser(String superviseUser) {
        this.superviseUser = superviseUser;
    }

    public String getSuperviseUserName() {
        return superviseUserName;
    }

    public void setSuperviseUserName(String superviseUserName) {
        this.superviseUserName = superviseUserName;
    }

    public Date getCheckDate() {
        return checkDate;
    }

    public void setCheckDate(Date checkDate) {
        this.checkDate = checkDate;
    }

    public String getCheckFiles() {
        return checkFiles;
    }

    public void setCheckFiles(String checkFiles) {
        this.checkFiles = checkFiles;
    }

    public Long getIsDel() {
        return isDel;
    }

    public void setIsDel(Long isDel) {
        this.isDel = isDel;
    }

    public String getApproveStatus() {
        return approveStatus;
    }

    public void setApproveStatus(String approveStatus) {
        this.approveStatus = approveStatus;
    }

    public String getCheckTypeName() {
        return checkTypeName;
    }

    public void setCheckTypeName(String checkTypeName) {
        this.checkTypeName = checkTypeName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("projectId", getProjectId())
                .append("deptId", getDeptId())
                .append("checkType", getCheckType())
                .append("mainImage", getMainImage())
                .append("imageUrls", getImageUrls())
                .append("checkName", getCheckName())
                .append("checkResult", getCheckResult())
                .append("intro", getIntro())
                .append("qualityUser", getQualityUser())
                .append("qualityUserName", getQualityUserName())
                .append("superviseUser", getSuperviseUser())
                .append("superviseUserName", getSuperviseUserName())
                .append("checkDate", getCheckDate())
                .append("checkFiles", getCheckFiles())
                .append("isDel", getIsDel())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }

}
