package com.yanzhu.jh.project.mapper;

import com.yanzhu.jh.project.domain.SurProjectFunVerify;

import java.util.List;

/**
 * 工程功能验收Mapper接口
 * 
 * @author JiangYuQi
 * @date 2023-08-18
 */
public interface SurProjectFunVerifyMapper
{
    /**
     * 查询工程功能验收
     * 
     * @param id 工程功能验收主键
     * @return 工程功能验收
     */
    public SurProjectFunVerify selectSurProjectFunVerifyById(Long id);

    /**
     * 查询工程功能验收列表
     * 
     * @param surProjectFunVerify 工程功能验收
     * @return 工程功能验收集合
     */
    public List<SurProjectFunVerify> selectSurProjectFunVerifyList(SurProjectFunVerify surProjectFunVerify);

    /**
     * 新增工程功能验收
     * 
     * @param surProjectFunVerify 工程功能验收
     * @return 结果
     */
    public int insertSurProjectFunVerify(SurProjectFunVerify surProjectFunVerify);

    /**
     * 修改工程功能验收
     * 
     * @param surProjectFunVerify 工程功能验收
     * @return 结果
     */
    public int updateSurProjectFunVerify(SurProjectFunVerify surProjectFunVerify);

    /**
     * 删除工程功能验收
     * 
     * @param id 工程功能验收主键
     * @return 结果
     */
    public int deleteSurProjectFunVerifyById(Long id);

    /**
     * 批量删除工程功能验收
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSurProjectFunVerifyByIds(Long[] ids);

    List<SurProjectFunVerify> groupByCheckType(SurProjectFunVerify where);
}
