package com.yanzhu.jh.project.service;

import java.util.List;

import com.yanzhu.jh.project.domain.SurProjectAttendanceData;
import com.yanzhu.jh.project.domain.SurProjectAttendanceUnitpay;

/**
 * 劳资管理Service接口
 * 
 * @author ruoyi
 * @date 2024-11-10
 */
public interface ISurProjectAttendanceUnitpayService 
{
    /**
     * 查询劳资管理
     * 
     * @param id 劳资管理主键
     * @return 劳资管理
     */
    public SurProjectAttendanceUnitpay selectSurProjectAttendanceUnitpayById(Long id);

    /**
     * 查询劳资管理列表
     * 
     * @param surProjectAttendanceUnitpay 劳资管理
     * @return 劳资管理集合
     */
    public List<SurProjectAttendanceUnitpay> selectSurProjectAttendanceUnitpayList(SurProjectAttendanceUnitpay surProjectAttendanceUnitpay);

    /**
     * 新增劳资管理
     * 
     * @param surProjectAttendanceUnitpay 劳资管理
     * @return 结果
     */
    public int insertSurProjectAttendanceUnitpay(SurProjectAttendanceUnitpay surProjectAttendanceUnitpay);

    /**
     * 修改劳资管理
     * 
     * @param surProjectAttendanceUnitpay 劳资管理
     * @return 结果
     */
    public int updateSurProjectAttendanceUnitpay(SurProjectAttendanceUnitpay surProjectAttendanceUnitpay);

    /**
     * 批量删除劳资管理
     * 
     * @param ids 需要删除的劳资管理主键集合
     * @return 结果
     */
    public int deleteSurProjectAttendanceUnitpayByIds(Long[] ids);

    /**
     * 删除劳资管理信息
     * 
     * @param id 劳资管理主键
     * @return 结果
     */
    public int deleteSurProjectAttendanceUnitpayById(Long id);

    Long getPay(List<SurProjectAttendanceUnitpay> payList, SurProjectAttendanceData it);

    List<SurProjectAttendanceUnitpay> initList(SurProjectAttendanceUnitpay surProjectAttendanceUnitpay);

    int addSurProjectAttendanceUnitpaies(List<SurProjectAttendanceUnitpay> datas);
}
