package com.yanzhu.jh.project.service;

import com.yanzhu.jh.project.domain.SurProjectAttendanceData;
import com.yanzhu.jh.project.domain.SurProjectAttendanceUser;

import java.util.List;
import java.util.Map;

/**
 * 考勤人员基本属性Service接口
 * 
 * @author ruoyi
 * @date 2023-09-24
 */
public interface ISurProjectAttendanceUserService 
{
    /**
     * 查询考勤人员基本属性
     * 
     * @param id 考勤人员基本属性主键
     * @return 考勤人员基本属性
     */
    public SurProjectAttendanceUser selectSurProjectAttendanceUserById(Long id);

    /**
     * 查询考勤人员信息
     *
     * @param surProjectAttendanceUser
     * @return 考勤人员基本属性
     */
    public SurProjectAttendanceUser findCurrentAttendanceUser(SurProjectAttendanceUser surProjectAttendanceUser);

    /**
     * 查询[研筑]考勤人员信息
     *
     * @param surProjectAttendanceUser
     * @return 考勤人员基本属性
     */
    public SurProjectAttendanceUser findYzCurrentAttendanceUser(SurProjectAttendanceUser surProjectAttendanceUser);

    /**
     * 查询考勤人员基本属性列表
     * 
     * @param surProjectAttendanceUser 考勤人员基本属性
     * @return 考勤人员基本属性集合
     */
    public List<SurProjectAttendanceUser> selectSurProjectAttendanceUserList(SurProjectAttendanceUser surProjectAttendanceUser);

    /**
     * 新增考勤人员基本属性
     * 
     * @param surProjectAttendanceUser 考勤人员基本属性
     * @return 结果
     */
    public int insertSurProjectAttendanceUser(SurProjectAttendanceUser surProjectAttendanceUser);

    /**
     * 修改考勤人员基本属性
     * 
     * @param surProjectAttendanceUser 考勤人员基本属性
     * @return 结果
     */
    public int updateSurProjectAttendanceUser(SurProjectAttendanceUser surProjectAttendanceUser);

    /**
     * 批量删除考勤人员基本属性
     * 
     * @param ids 需要删除的考勤人员基本属性主键集合
     * @return 结果
     */
    public int deleteSurProjectAttendanceUserByIds(Long[] ids);

    /**
     * 删除考勤人员基本属性信息
     * 
     * @param id 考勤人员基本属性主键
     * @return 结果
     */
    public int deleteSurProjectAttendanceUserById(Long id);

    /**
     * 批量删除考勤人员基本属性
     *
     * @param list 需要删除的数据参数集合
     * @return 结果
     */
    public int deleteSurProjectAttendanceUserByParams(List<String> list);

    /**
     * 批量新增考勤人员基本属性
     *
     * @param surProjectAttendanceUserList 考勤人员基本属性列表
     * @return 结果
     */
    public int batchSurProjectAttendanceUser(List<SurProjectAttendanceUser> surProjectAttendanceUserList);

    public void add(SurProjectAttendanceUser user);

   public  List<SurProjectAttendanceUser> queryAttendanceData(SurProjectAttendanceUser where);

    public long countTodayAttendance(SurProjectAttendanceUser where);

    public List<SurProjectAttendanceUser> todayAttendance(SurProjectAttendanceUser where);

    public long countAttendance(SurProjectAttendanceUser where);

    /**
     * 济工网人员查询
     * @param surProjectAttendanceUser
     * @return
     */
    public List<SurProjectAttendanceUser> selectSurProjectAttendanceUserListJgw(SurProjectAttendanceUser surProjectAttendanceUser);

    /**
     * 在岗工人查询
     * @param where
     * @return
     */
    public List<SurProjectAttendanceUser> queryWorkerOnDuty(SurProjectAttendanceUser where);

    /**
     * 统计人员数据
     * @param where
     * @return
     */
    public List<Map<String, Object>> groupUserByParams(SurProjectAttendanceUser where);

    /**
     * 在岗工人查询
     * @param where
     * @return
     */
    public List<SurProjectAttendanceUser> attendanceUserList(SurProjectAttendanceUser where);

    /**
     * 统计人员数据
     * @param projectId
     * @return
     */
    public List<Map<String, Object>> findUserAllByDays(Long projectId);

    /**
     * 按部门汇总在岗人数
     * @param where
     * @return
     */
    List<SurProjectAttendanceData> groupByWorkerOnDutyByDept(SurProjectAttendanceUser where);

    List<SurProjectAttendanceUser> querySurProjectAttendanceUserList(SurProjectAttendanceUser surProjectAttendanceUser);
    /**
     * 按部门汇总在岗|离岗人数
     * @param where
     * @return
     */
    List<SurProjectAttendanceData> groupByWorkerByDept(SurProjectAttendanceUser where);
    /**
     * 在岗|离岗工人查询
     * @param where
     * @return
     */
    List<SurProjectAttendanceUser> queryWorkerByState(SurProjectAttendanceUser where);
}
