package com.yanzhu.jh.project.service;

import java.util.List;
import com.yanzhu.jh.project.domain.SurProjectBuildDesignData;

/**
 * 设计管理Service接口
 * 
 * @author ruoyi
 * @date 2024-03-16
 */
public interface ISurProjectBuildDesignDataService 
{
    /**
     * 查询设计管理
     * 
     * @param id 设计管理主键
     * @return 设计管理
     */
    public SurProjectBuildDesignData selectSurProjectBuildDesignDataById(Long id);

    /**
     * 查询设计管理列表
     * 
     * @param surProjectBuildDesignData 设计管理
     * @return 设计管理集合
     */
    public List<SurProjectBuildDesignData> selectSurProjectBuildDesignDataList(SurProjectBuildDesignData surProjectBuildDesignData);

    /**
     * 新增设计管理
     * 
     * @param surProjectBuildDesignData 设计管理
     * @return 结果
     */
    public int insertSurProjectBuildDesignData(SurProjectBuildDesignData surProjectBuildDesignData);

    /**
     * 修改设计管理
     * 
     * @param surProjectBuildDesignData 设计管理
     * @return 结果
     */
    public int updateSurProjectBuildDesignData(SurProjectBuildDesignData surProjectBuildDesignData);

    /**
     * 批量删除设计管理
     * 
     * @param ids 需要删除的设计管理主键集合
     * @return 结果
     */
    public int deleteSurProjectBuildDesignDataByIds(Long[] ids);

    /**
     * 删除设计管理信息
     * 
     * @param id 设计管理主键
     * @return 结果
     */
    public int deleteSurProjectBuildDesignDataById(Long id);


    /**
     * 按周查询设计计划
     * @param projectId,startDate,endDate
     * @return
     */
    public List<SurProjectBuildDesignData> selectWeekData(com.yanzhu.jh.project.domain.SurProjectBuildDesignData where);

    /**
     * 按项目增加本周的设计计划
     * @param where
     * @return
     */
    public int addWeekData(SurProjectBuildDesignData where);

    /**
     * 批量修改
     * @param list
     * @return
     */
    public int updateList(List<SurProjectBuildDesignData> list);
}
