package com.yanzhu.jh.project.service;

import com.yanzhu.jh.project.domain.SurProjectFunVerify;

import java.util.List;
import java.util.Map;

/**
 * 工程功能检验Service接口
 * 
 * @author JiangYuQi
 * @date 2023-08-18
 */
public interface ISurProjectFunVerifyService 
{
    /**
     * 查询工程功能检验
     * 
     * @param id 工程功能检验主键
     * @return 工程功能检验
     */
    public SurProjectFunVerify selectSurProjectFunVerifyById(Long id);

    /**
     * 查询工程功能检验列表
     * 
     * @param surProjectFunVerify 工程功能检验
     * @return 工程功能检验集合
     */
    public List<SurProjectFunVerify> selectSurProjectFunVerifyList(SurProjectFunVerify surProjectFunVerify);

    /**
     * 统计工程功能检验
     *
     * @param surProjectFunVerify 工程功能检验
     * @return 工程功能检验集合
     */
    public Map<String,Object> findGroupCountByApprove(SurProjectFunVerify surProjectFunVerify);

    /**
     * 新增工程功能检验
     * 
     * @param surProjectFunVerify 工程功能检验
     * @return 结果
     */
    public int insertSurProjectFunVerify(SurProjectFunVerify surProjectFunVerify);

    /**
     * 修改工程功能检验
     * 
     * @param surProjectFunVerify 工程功能检验
     * @return 结果
     */
    public int updateSurProjectFunVerify(SurProjectFunVerify surProjectFunVerify);

    /**
     * 修改工程功能检验
     *
     * @param surProjectFunVerify 工程功能检验
     * @return 结果
     */
    public int updateSurProjectFunVerifyNoLog(SurProjectFunVerify surProjectFunVerify);

    /**
     * 批量删除工程功能检验
     * 
     * @param ids 需要删除的工程功能检验主键集合
     * @return 结果
     */
    public int deleteSurProjectFunVerifyByIds(Long[] ids);

    /**
     * 删除工程功能检验信息
     * 
     * @param id 工程功能检验主键
     * @return 结果
     */
    public int deleteSurProjectFunVerifyById(Long id);

    public List<SurProjectFunVerify> groupByCheckType(SurProjectFunVerify where);
}
