package com.yanzhu.jh.project.service;

import java.util.List;
import com.yanzhu.jh.project.domain.SurProjectUnitInfo;

/**
 * 建设单位信息Service接口
 * 
 * @author JiangYuQi
 * @date 2023-08-11
 */
public interface ISurProjectUnitInfoService 
{
    /**
     * 查询建设单位信息
     * 
     * @param id 建设单位信息主键
     * @return 建设单位信息
     */
    public SurProjectUnitInfo selectSurProjectUnitInfoById(Long id);

    /**
     * 查询建设单位信息列表
     * 
     * @param surProjectUnitInfo 建设单位信息
     * @return 建设单位信息集合
     */
    public List<SurProjectUnitInfo> selectSurProjectUnitInfoList(SurProjectUnitInfo surProjectUnitInfo);

    /**
     * 新增建设单位信息
     * 
     * @param surProjectUnitInfo 建设单位信息
     * @return 结果
     */
    public int insertSurProjectUnitInfo(SurProjectUnitInfo surProjectUnitInfo);

    /**
     * 修改建设单位信息
     * 
     * @param surProjectUnitInfo 建设单位信息
     * @return 结果
     */
    public int updateSurProjectUnitInfo(SurProjectUnitInfo surProjectUnitInfo);

    /**
     * 批量删除建设单位信息
     * 
     * @param ids 需要删除的建设单位信息主键集合
     * @return 结果
     */
    public int deleteSurProjectUnitInfoByIds(Long[] ids);

    /**
     * 删除建设单位信息信息
     * 
     * @param id 建设单位信息主键
     * @return 结果
     */
    public int deleteSurProjectUnitInfoById(Long id);
}
