package com.yanzhu.jh.video.mapper;

import java.util.List;
import com.yanzhu.jh.video.domain.SurProjectPhotography;

/**
 * 项目延时摄影Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-15
 */
public interface SurProjectPhotographyMapper 
{
    /**
     * 查询项目延时摄影
     * 
     * @param id 项目延时摄影主键
     * @return 项目延时摄影
     */
    public SurProjectPhotography selectSurProjectPhotographyById(Long id);

    /**
     * 查询项目延时摄影列表
     * 
     * @param surProjectPhotography 项目延时摄影
     * @return 项目延时摄影集合
     */
    public List<SurProjectPhotography> selectSurProjectPhotographyList(SurProjectPhotography surProjectPhotography);

    /**
     * 新增项目延时摄影
     * 
     * @param surProjectPhotography 项目延时摄影
     * @return 结果
     */
    public int insertSurProjectPhotography(SurProjectPhotography surProjectPhotography);

    /**
     * 修改项目延时摄影
     * 
     * @param surProjectPhotography 项目延时摄影
     * @return 结果
     */
    public int updateSurProjectPhotography(SurProjectPhotography surProjectPhotography);

    /**
     * 删除项目延时摄影
     * 
     * @param id 项目延时摄影主键
     * @return 结果
     */
    public int deleteSurProjectPhotographyById(Long id);

    /**
     * 批量删除项目延时摄影
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSurProjectPhotographyByIds(Long[] ids);

    public List<SurProjectPhotography> selectLastPhotography(SurProjectPhotography where);

    List<SurProjectPhotography> querySurProjectPhotographyList(SurProjectPhotography where);
    List<SurProjectPhotography> selectSurProjectPhotographyListForBg(SurProjectPhotography where);
}
