package com.yanzhu.jh.video.service;

import java.util.List;
import com.yanzhu.jh.video.domain.DevAiProjectConfig;

/**
 * 设备配置Service接口
 * 
 * @author JiangYuQi
 * @date 2023-10-03
 */
public interface IDevAiProjectConfigService 
{
    /**
     * 查询设备配置
     * 
     * @param id 设备配置主键
     * @return 设备配置
     */
    public DevAiProjectConfig selectDevAiProjectConfigById(Long id);

    /**
     * 查询设备配置列表
     * 
     * @param devAiProjectConfig 设备配置
     * @return 设备配置集合
     */
    public List<DevAiProjectConfig> selectDevAiProjectConfigList(DevAiProjectConfig devAiProjectConfig);

    /**
     * 新增设备配置
     * 
     * @param devAiProjectConfig 设备配置
     * @return 结果
     */
    public int insertDevAiProjectConfig(DevAiProjectConfig devAiProjectConfig);

    /**
     * 修改设备配置
     * 
     * @param devAiProjectConfig 设备配置
     * @return 结果
     */
    public int updateDevAiProjectConfig(DevAiProjectConfig devAiProjectConfig);

    /**
     * 批量删除设备配置
     * 
     * @param ids 需要删除的设备配置主键集合
     * @return 结果
     */
    public int deleteDevAiProjectConfigByIds(Long[] ids);

    /**
     * 删除设备配置信息
     * 
     * @param id 设备配置主键
     * @return 结果
     */
    public int deleteDevAiProjectConfigById(Long id);
}
