package com.yanzhu.jh.video.service;

import java.util.List;
import java.util.Map;

import com.yanzhu.jh.video.domain.DevAiProjectData;
import com.yanzhu.jh.video.domain.DevAiProjectDataVO;

/**
 * 设备数据Service接口
 * 
 * @author JiangYuQi
 * @date 2023-09-27
 */
public interface IDevAiProjectDataService 
{
    /**
     * 查询设备数据
     * 
     * @param id 设备数据主键
     * @return 设备数据
     */
    public DevAiProjectData selectDevAiProjectDataById(Long id);

    /**
     * 查询设备数据列表
     * 
     * @param devAiProjectData 设备数据
     * @return 设备数据集合
     */
    public List<DevAiProjectData> selectDevAiProjectDataList(DevAiProjectData devAiProjectData);

    /**
     * 新增设备数据
     * 
     * @param devAiProjectData 设备数据
     * @return 结果
     */
    public int insertDevAiProjectData(DevAiProjectData devAiProjectData);

    /**
     * 新增设备数据
     *
     * @param devAiProjectDataVO 设备数据
     * @return 结果
     */
    public void insertHttpDevAiProjectData(DevAiProjectDataVO devAiProjectDataVO);

    /**
     * 修改设备数据
     * 
     * @param devAiProjectData 设备数据
     * @return 结果
     */
    public int updateDevAiProjectData(DevAiProjectData devAiProjectData);

    /**
     * 批量删除设备数据
     * 
     * @param ids 需要删除的设备数据主键集合
     * @return 结果
     */
    public int deleteDevAiProjectDataByIds(Long[] ids);

    /**
     * 删除设备数据信息
     * 
     * @param id 设备数据主键
     * @return 结果
     */
    public int deleteDevAiProjectDataById(Long id);

    /**
     * 设备数据统计
     *
     * @param devAiProjectData 查询条件
     * @return 结果
     */
    public List<Map<String, Object>> groupCountByAlarmType(DevAiProjectData devAiProjectData);

    /**
     * 按项目分组排名
     * @param devAiProjectData
     * @return
     */
    public  List<Map<String, Object>> groupCountByProject(DevAiProjectData devAiProjectData);
}
