package com.yanzhu.jh.wxsetting.domain.vo;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

/**
 * 公众号绑定 请求参数
 *
 * @author: JiangYuQi
 * @date: 2024/04/13 12:21
 */
@Data
public class WxBindingVo {

    /** 小程序openId */
    @NotBlank(message = "小程序openId不能为空")
    @Size(max = 128, message = "小程序openId最大128位")
    private String openId;

    /** 公众号openId */
    private String msgOpenId;

    /** 小程序openId */
    @NotBlank(message = "公众号授权不能为空")
    @Size(max = 128, message = "公众号授权最大128位")
    private String code;

}
